Contents

GetRight® Help Contents www.getright.com

logo48x48 GetRight

Getting Started with GetRight

Main Windows in GetRight:

· GetRight Tray Icon
· The Download Window
· Download Status
· Configuration
· GetRight Browser

BUY: Paying for GetRight

More Resources:

· GetRight Website (the best resource!)
· Frequently Asked Questions
· Support Website
· Contacting Headlight Software

GetRight Help - Version 6.2 [ About GetRight ] [ Legal ]


Pro Contents

GetRight® Pro Help Contents pro.getright.com

logo48x48 GetRight Pro

Getting Started with GetRight Pro

Main Windows in GetRight:

· GetRight Pro Tray Icon
· The Download Window
· Download Status
· Configuration
· GetRight Browser

BUY: Paying for GetRight Pro

More Resources:

· GetRight Pro Website (the best resource!)
· Frequently Asked Questions
· Support Website
· Contacting Headlight Software

GetRight Pro Help - Version 6.2 [ About GetRight ] [ Legal ]


Why GetRight?

GetRight has many big improvements over the standard download ability built into your web browser and other downloading tools.

RESUMING: GetRight can gracefully recover and resume from many errors that happen while downloading files. With a web browser, if an error occurs while you are downloading a file, you must restart the entire download and get 100% of the file. With GetRight, it is simple to resume the download and only get the remaining part of the file.

For example, (and the incentive to start writing this program), I was downloading a large file over a 28.8 modem back in 1997. After an hour or so it gotten about 90% downloaded when it was disconnected. With the web browser I had to start over and get the entire file again--another hour or more of downloading. So I wrote GetRight. Using GetRight, I would only have to get the remaining 5% of the file--just a few minutes of downloading. GetRight can now even redial your Internet Service Provider and resume downloading without you having to do anything. This feature still applies years later with much faster connections--the files are much bigger too!

GetRight has been tested and successfully recovered from:

• Turning off the computer while downloading.
• Unplugging the modem from the wall while downloading.
• Someone picking up a telephone extension while downloading.
• And lots more.

LISTS: GetRight can be setup to build a list of downloads to be completed later. GetRight can be scheduled to start downloading at a selected time. GetRight can easily be made to dial your Internet Service Provider (ISP) when it is time to make the connection, download the files, then disconnect the modem or even turn off the computer when it has finished downloading the files.

SPEED: Many users see improved download speeds using GetRight instead of other download programs (such as your web browser.) Quite a few users have seen speed improvements with just plain downloading. And with the Segmented Downloading features, GetRight can greatly increase the speed of downloads. (Note that speeds do depend on your Internet connection. Some users will se better improvements than others.)

ALTERNATES: GetRight can search for mirrors for the file you are downloading--giving you more choices for where to get the file. GetRight will then find the fastest of these servers for downloading and transparently change between these different alternate URLs if servers are busy, if another server appears to be the fastest, or if other problems occur.

More information about Mirror Searching.

SCHEDULING: GetRight can be easily setup to download your files at a specific time, including dialing your modem at that time, and hanging up your modem when it is done (such as at night when phone rates are less). You can also schedule GetRight to hang up your modem and stop downloading at a specific time (such as in the morning when phone rates increase)

EASY TO USE: GetRight catches clicks in Microsoft Internet Explorer and other web browsers. Using GetRight to download is as easy as using your web browser.

CONTROL: GetRight has many configuration options and features to suit users from the most novice user who just wants to download a file, to the most sophisticated power user who wants to control every feature to suit their exact needs.

POWERFUL: GetRight has many tools to let you get files from a website. The GetRight Browser lets you view all the files on a page, QuickSync will scan a whole website to extract just the types of file you want, Daily Downloads can redownload the same file for you every day, and more.


Getting Started!

You can also view a web page with Getting Started information at: www.getright.com/started.html

GetRight is a tool to help you download files from the Internet. While GetRight has many options to let you set it up to work how you want it to work, for starters, it is easiest to leave the default settings alone.

Starting Downloads: GetRight will plug into Microsoft Internet Explorer 4.0 (and other web browsers) so that starting downloads with GetRight is as easy as clicking in your web browser. When you click on a file to download, GetRight will take over and show its own "Save As" window and Download window. (There are several other methods to have GetRight start downloads too.)

Resuming Downloads: If a download stops for any reason, you can easily resume it with GetRight. If the download window is still showing, just press the "Resume" button. If it is no longer showing (such as if your computer has been shut down), just double-click on the GetRight logo in your Windows tray icons to open the Download Status window. Then double-click the download from the list of all your downloads to resume it.

More Advanced Features: Nearly all of the more advanced features are available from either the Download Status (to get there, just double-click on the GetRight logo in your Windows tray icons) or the Configuration window (to get there, just right-click on the GetRight logo in your Windows tray icons, and pick "Configuration" from the menu).

What To Read Next?

The how to get the Fastest Downloads web page.

The "How Do I...?" questions step you thru a few of the commonly used functions in GetRight.


Starting GetRight

If you allowed it, the install program added GetRight to your Startup group so that it will automatically run when you start Windows. This will be true for most people. It will normally be running down in your Windows tray icons:

If it is not there, you can run GetRight yourself from the Windows Start button menu, then Programs, then GetRight, then GetRight Tray Icon


Starting Downloads

Starting File Downloads with GetRight.

Other Helpful Items:

• Getting Started with GetRight
• How Do I and Frequently Asked Questions
• GetRight Help Contents
• Tray Icon Menu Help

Starting Downloads with GetRight:

1) Monitoring clicks in your web browser.

This method is by far the easiest. It works with Microsoft Internet Explorer and many other web browsers (other web browsers may need to be setup on the Monitor Browsers - More Browsers configuration page.

GetRight will be triggered by these web browsers to automatically download some file types. Just use your web browser as usual--GetRight will work when it needs to.

• Make sure GetRight program is running. (More Information)
• Use your web browser as usual. When you encounter one of the common download types (.EXE, .ZIP, etc.) GetRight will automatically be triggered to download the file. (This can be configured using the Monitor Types & Options tab on the Configuration forms.)

Tips that work with Microsoft Internet Explorer:

• If you hold the SHIFT key when clicking a link, GetRight will not catch any link that is clicked. This is useful for some web page forms or search engines that look like .EXE files to GetRight.
• If you hold both the CTRL and ALT keys when clicking, GetRight will get any link that is clicked.

2) Clipboard

(Any web browser, or any other program.)

GetRight monitors the contents of the clipboard to see if a web address (URL) is copied into the clipboard.

When a web address (URL) is copied to the clipboard, it automatically triggers GetRight to start up and get the file.

Copying the web address (URL) text to the clipboard:

• Find a file you wish to get in your web browser.

• Using Microsoft Internet Explorer: Click the Right mouse button on a file you wish to download, then pick the "Copy shortcut" item in the menu. Other web browsers will have a similar menu (but each calls it something different.)
• Or from ANY other program--email, word processor, a different web browser, or anything else where you may see a web address (URL)--select the link text (looks like http://xxx.xxx.xxx/file.name or ftp://xxx.xxx.xxx/file.name) and press Ctrl-C to copy the text to the clipboard.

• For the common download types (such as .EXE .ZIP, etc.), GetRight will automatically start as soon as the text is copied.
• For most other types, GetRight will ask you whether it should download the file or not.

• GetRight will prompt you where to save the file.
• GetRight will then get the file. The download window should look similar to the window used in your web browser when downloading.

• NOTE: If GetRight does not start to download, you may still easily start the download manually.

You may configure what GetRight does with different types using the Configuration options.

3) Drag-and-Drop

(Most web browsers.)

From your web browser that supports drag and drop...

• Make sure GetRight is running and the GetRight Drop Target window is visible, you can open it from right clicking the GetRight tray icon, then in the Tools menu.
• Find a file you wish to get in your web browser.
• Instead of clicking on the link (the highlighted, often blue underlined text), click the mouse button but don't release the button. Still holding down the button, move your mouse cursor over the "GetRight Monitor" window. And finally release the mouse button. (More Information)

• GetRight will prompt you where to save the file.
• GetRight will then get the file. The download window should look similar to the window used in your web browser when downloading.

NOTE: You may not drag-and-drop to the GetRight icon when it is minimized to a tray icon in Windows. Double-clicking with the left mouse button on the GetRight logo icon when it is minimized to a tray icon will restore the GetRight Download Status window which can accept drag-and-drop items. Clicking with the right mouse button when GetRight is minimized to a tray icon will bring up a menu of the Advanced Options.

4) Typing in the URL: (See here)

5) For advanced users:

GetRight accepts the URL of the file to be downloaded as a command line parameter.

Entering the command:

GETRIGHT http://www.headlightsw.com/index.html

would start GetRight to download the specified file.


Resuming Downloads

Resuming File Downloads

There are several ways to resume downloading files:

1. If the GetRight window for the file you wish to resume is still available in its download window, just switch to that window and press the "Resume" button.

2. If the GetRight window is no longer running, start the "GetRight Download Status".

You may start this by double clicking on the GetRight logo [image] in the tray icons or from the "GetRight Download Status" menu item in the GetRight Tray Icon right-click menu.

The window is filled with a report view of all your in progress downloads. You may use the menus and toolbars at the top of the form to resume or delete selected downloads. (More Information)


How Do I ... ?

For the most up-to-date support information and the latest versions of these questions, see:

www.getright.com/support.html

• How do I start downloads with GetRight?
• How do I Not download something when I click a link (such as a search site)?
• I have my registration number, where do I enter it?
• How do I resume downloads I have started?
• How do I register and remove the Shareware Reminder windows and Advertisements?
• How do I schedule downloads for later?
• How do I download one file after another?
• How do I set up the different sound files included in GetRight?
• How do I have GetRight always resume downloading when I connect to the Internet?
• How do I have GetRight continue a download started with some other program?
• How do I get to the advanced functions?
• How do I set up GetRight with a Proxy server?
• How do I save and restore GetRight's settings if I am going to re-install windows?
• How do I download all the files on a web page?
• How do I download files that need a username/password?
• How do I create a file with a list of files for GetRight to download?

Frequently Asked Questions

The web version of these questions are updated more frequently and have many more items!

www.getright.com/faq.html

For many of these items, you may use the configuration form to set up a streamlined method to perform the action. If the step may be streamlined, a link to the appropriate configuration tab (or other help topic) will be shown after the text in curly brackets with a brief description of how it may be improved {xxx}.

----------How do I ... ?----------

How do I start downloads with GetRight?

• See here.

How do I resume downloads I have started?

• See here.

How do I register and remove the Shareware Reminder windows?

• See here.

I have my registration number, where do I enter it?

· Click any Enter Code button or menu you see in GetRight. They are in the "Buy" or "Upgrade" menus, as well as on the About GetRight from the tray icon menu.

How do I schedule downloads for later?

• >>> This requires you to be in FULL mode.
• Once you have started a download and the download is in progress, click "Cancel". Click "Yes" on the prompt to say you want to resume it later.
• After you have added as many files as you want, go to the Download Status window (normally, double click on the GetRight logo in the tray icons, or see here for other ways to get a menu to pick "Show Download Status".)
• On the Download Status window, click the Downloads->Schedule Download Start menu item show the schedule window. Pick the time when GetRight should start the download and click OK.
• Leave your computer and GetRight running.
• Advanced Tips:

On the Advanced configuration tab, you can set GetRight to simply prompt you if it should start the download now or later.

On the Internet configuration tab if GetRight is setup with your modem dialing information, GetRight can dial at the scheduled time.

Click any of the items under the Options menu on the Download Status to Hangup When Done or Shutdown When Done, etc.

How do I download one file after another?

• On the Automatic Mode configuration tab, you may set the number of downloads to do at once.
• After you have the downloads you want in GetRight's list, turn on "Automatic" downloading on the Download Status. When one download finishes, another will be started (up to the limit you set for downloading at the same time.)
• In "Basic" mode, as long as no errors occur, when one file finishes, GetRight will start the next one.

How do I set up the different sound files included in GetRight?

• GetRight includes several sound effects for use in GetRight. The GetRight Configuration Wizard can set up several of these sounds for you to use.

To set up sound files yourself:

• >>> This requires you to be in FULL mode.

• Go to the GetRight configuration window. (Right click on the GetRight logo in the tray icons and pick "Configuration" from the menu that appears.)
• In the middle of the "General" tab is a list of different actions in GetRight (and these actions are defined here). Pick one of these, then click the "Browse" button. Unless you installed GetRight somewhere else, go to:

"C:\ProgramFiles\GetRight\Sounds\" and pick the appropriate sound for the action. (The README.TXT file in the "sounds" directory contains several suggestions. Not all actions have sound files included. And you can use any other .WAV sound file you want.)

How do I have GetRight always resume downloading when I connect to the Internet?

• Check the "Always start automatic downloading when connected" on the Internet configuration tab.
• And the GetRight Configuration Wizard asks about this.

How do I have GetRight continue a download started with some other program?

• See here.

How do I get to the advanced functions?

• >>> Many of these require you to be in FULL mode.
• All the advanced options in GetRight are found on either the Configuration or Download Status forms.

To get to the Configuration form, Right click on the GetRight logo in the tray icons and pick "Configuration" from the menu.

To get to the Download Status form, Double Click on the GetRight logo in the tray icons.

• Also see here for some advanced tips.

How do I Not download something when I click a link (such as a search site)?

• >>> This requires you to be in FULL mode.
• Some sites (such as some search sites) use URLs that GetRight thinks are files so it will try to download the "file".
• When GetRight is integrated into either Netscape or Microsoft web browsers, if you hold the SHIFT key down when clicking a link, GetRight will not try to get the link (even if it is a type that GetRight would normally handle, such as .EXE.)

Also, if you hold both the CONTROL and ALT keys down when clicking a link, GetRight will always get the link (even if it is a type that your web browser would normally handle, such as .HTML.)

• You may create a list of servers or specific server/path combinations that GetRight should always ignore when doing click monitoring. See the Monitor configuration tab.

How do I set up GetRight with a Proxy server?

• All the Proxy options are on the Proxy configuration tab. A subset of these settings is also in the Configuration Wizard.
• If you have set up your web browser to use Proxy servers, you should just have to click the "Find" buttons to get the correct values.
• Getting GetRight to resume downloads with Proxy servers may take a bit more set up. There is more information here on getting a Proxy server to resume downloads (not all Proxy servers will allow GetRight to resume downloads).

How do I save and restore GetRight's settings if I am going to re-install Windows?

Saving list of files being downloaded:

• >>> This requires you to be in FULL mode.

• You may save the list of files to be downloaded by selecting files on the Download Status window and using the Import and Export functions under the File menu.
• This also works to transfer downloads between more than one operating system running on the same computer--such as Windows 95/98 and Windows NT.
• GetRight stores these downloads in a GETRIGHT.LST file in the directory where GetRight is installed. If you save this file, you may restore it after re-installing. You may want to just save the whole GetRight folder.

Saving all the other settings:

• There is no simple way to save all your other GetRight settings. But you may use a registry editor to do this (this should be done only by knowledgeable users.)

To Export:

• Select the registry key HKEY_CURRENT_USER\Software\Headlight\GetRight
• Pick "Export Registry File" from the Registry menu.
• Remember the file name and move the file someplace it will not be deleted by re-installing Windows.

To Import:

• Pick "Import Registry File" from the Registry menu.
• Select the file you exported earlier.

How do I download files that need a username/password?

• In FULL mode, you can set up usernames and passwords for servers you use often on the Login Configuration tab.
• In FULL mode, you may set the username and password for any existing downloads on the Download Status window. With the "Change Username and Password" item under the Edit menu, you may set the username and password for any existing downloads on the Download Status
• GetRight will also accept URLs with the format:

ftp://username:password@ftp.xyz.com/...

http://username:password@www.xyz.com/...

NOTE: GetRight will have trouble getting the correct username and password from these formats if your username or password contains the characters: / or @ or : To avoid problems, don't use those characters in your usernames or passwords.

How do I download all the files on a web page?

• Open the GetRight Browser under the GetRight tray icon Tools menu (or any other Tools menu). It lets you easily browse a web page or FTP site to add files for GetRight to download.
• If you download a web page (HTML) with GetRight, it will ask you about parsing the page to find all the links on the page. If you say "Yes," you will also be shown the GetRight Browser.
• Or you can use the Server Synchronizer or QuickSync to download all the files from a webpage--and even from other web pages pointed to by the first!

How do I create a file with a list of files for GetRight to download?

GetRight accepts different formats for a list of files to be downloaded. Once you have created one of these files, you may use the command:

GETRIGHT FileNameOfList

to import the list of files to download.

xxx.LST

• This is a very simple file format--one URL per line. GetRight will prompt you for where the file should be saved (unless you have set up defaults using the "Save To" configuration tab.)
xxx.URLS
• Identical to a .LST file in format, but GetRight sets up your web browser with the MIME type "application/x-url-list" so if a server is setup to send .URLS files with that MIME type, GetRight will be triggered to automatically add them all. This is a nice way for a web page author to send a user a bunch of files for GetRight to download without the user having to click every file!

xxx.GRX

• The file format used by the Import/Export functions may also be used. This allows you to tell GetRight where to save the file, alternate addresses for the file, and some other things.
• File Format:

// xxx -- Comment line; ignored.

URL: xxx -- URL to be downloaded.

File: xxx -- Local path and filename for the file.

Desc: xxx -- Description to use for the download.

Alt: xxx -- Alternate URLs for downloading (may be up to 16).

And should contain the value of the URL item as

one of the Alt values.

• Each 'name: value' pair should be on its own line.
• The URL value should be the first item in each group. Other items (such as File) following the URL value will be used for that URL until the next URL value is found.

If you use the "Export" under the File menu on the Download Status, the exported file will also contain this text that describes the format. (And will be a good example of this file format.) You may also use the "Import" item to open a file of this format.

Getting more help.

• The online Frequently Asked Questions are continually updated with the most current questions and answers: www.getright.com/faq.html
• Visit the support website: www.getright.com/support.html


Things To Try for Errors

Things to try if GetRight doesn't work

The web Frequently Asked Questions has many other items to help you get GetRight running properly.

See: www.getright.com/faq.html

These are some of the most common causes for problems connecting and downloading files.

Firewalls

If you are having trouble connecting to any server, make sure any firewall programs have been set to allow GetRight to access the Internet. If you are just having trouble with FTP downloads, on the GetRight Proxy Configuration,

try making sure the Use PASV mode for FTP transfers (More Firewall compatible). is checked.

Proxy Servers

The other most common error if you are unable to connect to any servers is caused by the Proxy server settings not being correct.

Some Proxy servers (especially older ones) will not allow GetRight to resume downloads, no matter how much you fiddle with GetRight's Proxy settings. If this is the case, ask your network administrator about upgrading their Proxy server software.

• Try using both HTTP and FTP and see if just one doesn't work or if both don't work.
• Verify your proxy server settings are of the format server.name port for example proxy.headlightsw.com 8080 and make sure any username and password needed for the proxy server is right.
• If GetRight works with HTTP, but not FTP; there are several things to try using the GetRight Proxy Configuration

:

• Try turning on the Use PASV mode for FTP transfers (More Firewall compatible).
• Try setting the Use HTTP protocol with FTP Proxy server option first. (This one hopefully will do it. This is the method used by many web browsers.)
• Try changing the FTP Proxy Type.
• If that doesn't make it work, then try setting the Use HTTP Proxy for FTP addresses.

• If neither HTTP or FTP addresses work, try removing the entries for proxy servers (or uncheck the Use proxy servers option)
• If the total file size changes after resuming a download, make sure that "Tell HTTP Proxy server to not use cache" is checked.
• If the proxy server entries were already blank or Use proxy servers was already unchecked, ask your network administrator if you need a proxy server.
• If you are getting an error about "Cache error," try making sure the "Tell HTTP Proxy server to not use cache" is checked.


Browser Monitoring Tips

Browser Click Monitoring Tips

With Microsoft Internet Explorer:

Some web sites do things differently which can make GetRight's monitoring either not start a file that it should, or incorrectly take over for a file that it should not.

• If you hold the SHIFT key down when clicking a link in your web browser, GetRight will not catch any link that is clicked. This is useful for some forms or search engines that look like .EXE files for GetRight to download.
• If you hold both the CTRL and ALT keys down when clicking, GetRight will get any link that is clicked. This is useful to download an image or some other type of file that is not usually handled by GetRight.

Temporarily disabling all monitoring:

• You may temporarily disable all monitoring (both clipboard and Netscape/Microsoft web browsers) by using the "Clipboard and Click Monitoring" menu item from Right clicking on the GetRight logo in your tray icons [image]. If there is a check by this menu, then your monitoring as setup here is enabled. If there is no check, then GetRight will not monitor any of these. You will not need to restart your web browser for this change to take effect.

Always ignoring clicks for specific web sites:

If a site that you often use has files being taken over by GetRight when they shouldn't; on the Monitor--Types & Options configuration tab in GetRight, add the server name in the box for "Ignore all clicks for server(s)".

• For example, if GetRight tries to download the search program http://www.xyzsearch.com/search.exe instead of letting the browser handle it and show the search results, add *.xyzsearch.com in the box to tell GetRight to never take over clicks for that web site.

Other web browsers use different features to take over the download, so these key combinations and ignore-lists won't work.


Accelerated Downloading

Accelerated/Segmented Downloading

GetRight can break up a file and download different pieces from different servers (or a single server) at the same time.

If there are several servers where a file can be downloaded, this can work especially well since it can download from several or all of them at the same time. For some Internet connections, this can dramatically improve the speed of the file download. For example: if your connection can transfer at 600.0k per second, and there are 6 servers for downloading the file, but they each will only send data at 100.0k per second, GetRight can download from all 6 at the same time. So, instead of getting just 100.0k per second, it could get the full 600.0k per second--six times the speed without Accelerated downloading. Accelerated downloading is most useful if there is one file you really want to get as fast as possible.

To help spread around the server usage, and keep from "annoying" some server administrators, GetRight will not use the same server for downloading more than three segments of the same file. If you do not have alternates for a file, you may do three segments to the same server. If you have alternate addresses (mirrors) for a file for GetRight will allow up to ten segments total (so at least 3 mirrors to do all ten). The file must also be at least 100k in size for Segmented downloading to be available.

On the download windows, GetRight will display an additional progress bar when doing Segmented downloading so you can see how each piece of the file is progressing.

You can easily see how the 3 segments are going...and how they will switch around to help each other as they finish different parts of the file. Controls for each segment may be found under the Options button menu on the download window.

You probably don't need to (and should not) use this for every download you do. It is most useful if there is a file you really want to get as fast as possible. Most of the time just a regular file download will use all of your connection's capacity.

NOTE: This is not guaranteed to help improve the speed for all downloads. Your experience will vary depending on many factors, including your connection/modem, your Internet Service Provider, the servers you are downloading from, and Internet traffic in general. But if your download is reaching only a fraction of the speed at which your are connected, this can really help.

When doing accelerated downloading the usual "Resumed ## times" message won't be shown on the download window. Since each segment is resuming at some point in the file, this number grows very quickly and the actual number or times GetRight connected to various servers to get the file isn't as valuable. When the file is using Accelerated downloading, Yes:* will be shown on the Download Status in the Resume column.

Hopefully there are no odd situations, GetRight has done this for many years, but it is possible some files may not download properly when using Accelerated Downloading.

For more updated information and tips (and problems or warnings) about Accelerated Downloading, see www.getright.com/segmented.html

To Start Accelerated Downloading:

Simply start a download as usual. On the download window, click the Options button, then pick "Accelerated Downloading" from the menu that appears. You may use 2 to 8 segments. (The usual method of downloading, is really just 1 segment from the beginning to the end.) The Options button menu will then show each segment so you may control them separately. The more servers available the better, GetRight will try to use as many different servers as possible.

You may also setup on the Accelerate configuration tab, so that GetRight will automatically do Accelerated downloading.

How It Works With Your Limits:

You can setup limits for GetRight's Automatic downloading on the Automatic Mode configuration tab. Accelerated downloading tries to obey these same limits. Each segment counts as a download toward these limits. (As usual, limits only do apply when doing Automatic downloading.)

Note: If the accelerated files share many of the same mirrors, GetRight may not hit the Total limit if the Per Server limit gets reached first. (This applies in general to GetRight...if every file is on the same server, GetRight will often reach the Per Server limit before the Total limit.)

Stopping Accelerated Downloading:

You can use the "Delete This Segment" in the menu for each segment, when you are down to one, that is close to a regular download. The difference is that you very likely have downloaded pieces spread around in the file. In order to not redownload, even the single segment may jump around a bit to skip past completed parts. The only way to completely stop a file in progress from being downloaded using Accelerated downloading, is using the Download Status, Edit->Restart Download(s) From The Beginning menu item. Or deleting the download from your list and re-adding it will work to (but say to Overwrite the existing file!)

More Info: www.getright.com/segmented.html


Tray Icon Menu

GetRight Tray Icon

The GetRight tray icon has many options for accessing GetRight features.

These menu options are available by Right clicking on the GetRight tray icon. Double-clicking the tray icon will show the Download Status window.

Main Menu

• GetRight Download Status: This menu option brings up the dialog box so you may restart or delete selected downloads. (See Download Status)

• URL: If a URL is copied to the clipboard, but is not one that is automatically caught by GetRight, it is shown here so you can more quickly add it to be downloaded. This saves a few clicks instead of picking Tools->Enter New URL then OK on that window.
• Enter New URL: This menu option brings up a dialog box so you may type in the address of a file to be downloaded. You must enter the complete URL for the file. For example: http://www.getright.com/index.html
• Configuration: This menu option brings up the GetRight configuration screen.

Downloads Menu:

• Tile Download Windows: If you have several of GetRight's download windows open, you may pick this so they are tiled to not overlap.
• Pause/Stop All: Pause or Stop all downloads that are in progress.
• Start (Stop) Automatic Downloading: Set GetRight into "Automatic" mode. It will start up up to the number of files you have set for "Downloading XX files at the same time" and obey all the other server limits on the Limits configuration tab. When one download has completed, another will be started so it is back to your setting for "Downloading XX files atArial; the same time". It starts by downloading your Very High priority files first, then the High priority, etc. More Info

• Schedule Download Start: GetRight can be made to wait and start "Automatic" mode at a later time. When the toggle menu is selected, then GetRight is in Scheduled mode. More Info

• Turn Off Computer When Done: This toggle menu shows whether GetRight will turn off your computer when it has finished downloading. More Info
• Hang Up When Done: This toggle menu shows whether GetRight will disconnect you from the Internet when files have finished downloading. More Info
• Re-Dial if Disconnected: This toggle menu shows whether GetRight will try to redial and resume downloading if it is interrupted by the network connection being lost. More Info

Tools Menu:

• GetRight Browser: This menu option brings up the GetRight Browser. This lets you browse FTP servers or web sites and easily add files for GetRight to download.
• GetRight Dialer: This menu option brings up the GetRight Dialer screen. This is available to quickly use GetRight's Windows Dial-Up Networking dialer--one major advantage of using this is that it will redial if the line is busy.
• GetRight Drop Target: This option will show the GetRight drag-and-drop target window. This window is used if you are using drag-and-drop to transfer files to download from your web browser.
• Daily Downloads: A list of files that should be added to your list at different times on different days of the week. (See Daily Downloads).
• QuickSync: Lets you search web sites or FTP sites for files to download. It is similar to the GetRight browser, but can show the results for an entire web site at once. It is helpful if you want to download a lot of files scattered throughout a web site. (All the images or ZIP or MP3 files, for example.) Or if you want to download the entire web site, it can do that, too! (See QuickSync).
• Server Synchronizer: Lets you keep yourself current with sites you visit or download from often. GetRight can search a server and find the files which you do not have on your computer or the ones that have changed. (See Server Synchronizer).
• GetRight Proxy: (GetRight Pro Feature!) Enables (and shows the window) for the GetRight Proxy. This allows other programs to download through GetRight Pro and take advantage of its resuming, dialing, and other features.
• Check for a Newer Version of GetRight: Does just that. If there is a newer version, you will be able to click on the window that checks to go to the GetRight web site and get the update.

Options Menu

• Clipboard and Click Monitoring: This allows you to quickly enable or disable all monitoring of the clipboard or your web browser. You will not need to restart your web browser for this to take effect.
• Play GetRight Sounds: This gives a quick way to mute all the GetRight sounds.
• Use Proxy Servers: This only appears if you have proxy server settings in the GetRight Configuration. If so, you may easily turn on or off GetRight using the proxy servers for connecting.
• Customizing for Advanced users.

Recent Finished Files:

• This lists the last 8 items that GetRight finished downloading. Simply select an item to quickly run or view the file that was downloaded. This also provides access to the History folder on the Download Status window.

Scripts:

• (GetRight Pro Feature!) This menu will be include if you have enabled Scripting in GetRight Pro. This will allow you to run scripts you write. You can either browse to find a script to run, or select from a list of the recent scripts in the menu.

Buy GetRight Menu:

• Enter Code: Type in your registration number after purchasing GetRight.
• Buy Now with your Credit Card: Go to the web page to buy GetRight over the Internet.
• Send a Check, Phone, Fax, More Info: Other methods to purchase GetRight.

Help and Support:

• You can view this Help file, or go to some of the helpful GetRight web pages.

Some Shortcuts:

• Holding some keys down when double-clicking the tray icon will do some "shortcuts" to different commands:
• SHIFT = Enter New URL.
• CTRL = toggle Clipboard & Click Monitoring on and off.
• ALT = Configuration.
• CTRL+ALT = GetRight Drag-Drop Target.


GetRight Download Window

The Download window shows details about the file being downloaded, where it is being saved to your computer, and statistics about the progress and speeds. The buttons at the bottom let you control the download to pause, search for mirrors, and much more.

Cancel

Stops the download and closes the window. The partial download will be saved, you can find it to restart later from the GetRight Download Status.

Pause/Resume button:

Will cause the download to be paused, or lets you resume the download if it was already paused.

Options Button Menu:

Download (or Segment #) sub-menu:

· <List of Alternates, if any>: Lets you easily change between the different alternate URLs for a file. The server name will be shown, along with the Ping time (in 1000's of a second...the lower the number, the better.)

• Lock On Server: [Only shown if there are alternates.] GetRight will periodically check to see if an alternate URL is still the fastest (by pinging all the servers.) Select this to have GetRight not ping and not change from the current server. You may also turn off this checking on the Mirrors configuration tab.
• <Status of connection or K/sec>: [Only shown if Segmented downloading.] The status of the segment's connection, or the speed at which the segment is downloading. This menu item won't be updated while the menu is still showing...you must cancel the menu (click on the download window) then re-click the Options button for the data here to be updated.

• Copy URL to Clipboard: Copies the current URL to the clipboard. If Segmented downloading, copies the URL for the selected segment.
• View Transfer Details: View the exact sequence of commands and responses sent between GetRight to the FTP or HTTP server. Mostly useful for debugging or identifying the cause of a problem.
• Browse the FTP Server With This File: Open this server in the GetRight Browser.

• Resume/Pause/Stop This One: [Only shown if Segmented downloading.] This item lets you start or stop each segment of the file. Other segments will not be changed.
• Cancel This One: [Only shown if Segmented downloading.] This item lets you completely cancel and stop a segment. (The colored thermometer of the segments will not show the same after doing this.)

Accelerate/Segment sub-menu:

• The number of segments to split and download this file at the same time. One is the usual method of downloading--start at the beginning and download to the end. You may choose two, three, or four total segments. They will start at different spots in the file and all download at the same time to (hopefully) improve your download speed. (More Info)

You must have alternate (mirror) addresses for this to be available. (If you do not have alternates, an item for Search for Alternates will be shown instead...described below.)

The file must be at least 100k in size for Segmented downloading to be available.

Selecting a number of segments larger than you have now will start more segments downloading. Selecting a number of segments smaller than you have now will not stop any current segments (since it might not stop the one you want it to stop), but next time will only start the new number. You may stop segments yourself under each segment's menu.

• Recalculate Speeds: GetRight will periodically check to see if an alternate URL is still the fastest (by pinging all the servers.) This will recalculate the speeds immediately.
• Search for Alternates: GetRight will use several methods to calculate alternate addresses (mirrors) for a file. It uses both a list of known mirrors for common download sites (such as TUCOWS or Simtel.net). GetRight will also use a FTP Search server to find many other mirrors for a file. (More Info)
• Mirror Manager: Shows a form so you can remove or add, edit, and verify alternate addresses yourself. (More Info)

• Open Folder: This opens the folder on your computer where the file is being downloaded to.
• Open Source Web Page: When GetRight starts a new download, it calculates the current web page that is shown in your web browser. This option allows you to return to that page at a later time (in case you forgot exactly what an item is, or wish to start a different download from that page).

NOTE: This option may not work properly for pages that are in Frames (can return to the parent frame), if you have several browser windows open, or if you start the download from some other source (such as an email program.)

• Enter File Comment: This allows you to add a short comment or description about the download. The text you enter will be shown in place of the Address (URL) on this form, and on the individual download windows. While you may enter a very long description, only about 50 characters will be visible in the individual download window.

You may edit an existing comment to change it. If you change an existing comment to be "blank", then the Address (URL) of the file will be shown again.

• Run This Program When Done or Open This File When Done: You can set so GetRight will open the file (or run the program) when it is done downloading. The default value of this will be calculated using the file type and what you have setup on the When Done configuration tab, but you may change the action for each file here.

NOTE: If GetRight is currently setup to shut down the computer when it is done downloading, it will not open the files. This is so the computer doesn't sit waiting for someone to click "OK" in some other program before it finishes shutting down.

• Show Acceleration and Mirror details: This shows a report on the bottom of the download window with details about the individual connections for Accelerating your download, and any other mirrors available. This lets you see the current connection status and speeds, etc.
• Show Speed Graph: This shows a speed graph for this download at the bottom of the window.

Skins sub-menu:

• No Skin / Skin Names: Pick to switch between different "skins" to change the appearance of the download window. Or to not show a skin and use the default windows appearance.
• Random Skin: Picks a different skin when the download window is opened. Also picks a random skin each time the Random Skin item is selected.
• Organize Skins: Shows a simple window to let you delete or rename any of the skins in your list.
• Browse to Add a Skin: Lets you select a GetRight Skin file (GRS) off your hard drive.
• Find More Skins: Come to the GetRight skins web page to look for more skins you can use.

Window sub-menu:

Gives a variety of choices about how the window shows. Have the download window on-top of all other windows, make it semi-transparent, hide it, etc.

Games Button:

GetRight can let you play a game right in the download window. Something to do rather than watch a progress bar move as it downloads!

This gives several choices in a menu...you can play a game, or visit the GetRight Arcade to download or play games. You can also hide this button from the menu.

See also:

• Contents.
• Configuring GetRight.
• Resuming Downloads.
• Segmented Downloading.


Download Status

This is one of the main windows in GetRight. The window shows a report of all files that GetRight is currently downloading, or that are in your list to be downloaded, as well has the history of your downloads. You may select one or more items in the list (hold Ctrl or Shift when selecting to pick more than one item) to do any of the functions from the toolbar or menu.

NOTE: In Basic mode, quite a few of these options will be hidden. An asterisk (*) will be in the functions that will be hidden in Basic mode. While the main menu item is hidden in Basic mode, some are still available from Right clicking on an item in the list.

To start the GetRight Download Status window, either double-click the GetRight [image] logo in your tray icons, or Right click that icon and pick "GetRight Download Status" from the menu that appears.

The Download Status can be in two modes, "Downloads" which shows the downloads you have pending or in progress or "History" which shows the downloads that have finished. You can change modes by using the Downloads/History tree on left side, or under the View menu. Some menu items and toolbar buttons will change when you change modes. More information about GetRight's History.

Menus:

[File] [Edit] [View] [Downloads] [Options] [Tools] [Help]

Other items:

[Toolbar] [Downloads and History] [List of Files to Download] [Graph]

File Menu

• Enter New URL: Type in a URL to be downloaded. Adds the new item to the list. (Shortcut key: Ctrl+N)

• Open: (History Mode) This runs/views the selected files. Double-clicking an item in the history list does the same to let you quickly open files you have downloaded.
• Open Folder: (History Mode) This opens the folder on your computer that contains the selected file.
• Open Source Web Page: (History Mode) When GetRight is starts a new download, it calculates the current web page that is shown in your web browser. This option allows you to return to that page at a later time (in case you forgot exactly what an item is, or wish to start a different download from that page). (Shortcut key: Ctrl+O)

NOTE: This option may not work properly for pages that are in Frames (can return to the parent frame), if you have several browser windows open, or if you start the download from some other source (such as an email program.)

• Folders & Filters: GetRight shows a tree of filters and folders in the left side of the main part of the window to help you organize and find files you are downloading. Under this menu item are choices to create a New filter or folder, edit the Properties of an existing item, or Delete an existing item.

• Export List of Selected Downloads/Export List of Selected History Items*: Save a file of information about the selected downloads, or finished downloads. This file may be imported later to restore the downloads if you wish to re-download the files again later.

You may also save your file list in HTML format by naming the export file to end in .HTM or .HTML. GetRight will create a web page that contains information and links for the files you are exporting. The Import option does not directly import HTML format, but the GetRight Browser will process web pages.

NOTE: If you change where the partially downloaded files are located on your computer, you should edit the exported file so that GetRight knows the correct locations when this file is re-imported.

The format of this file is included as a header in all files you export.

• Import Download List*: Bring in a list of files to be downloaded. When importing the list, GetRight will replace special values in the URL or filename with the current date information.

NOTE: If you change where the partially downloaded files are located on your computer, you should edit the file before importing it so that GetRight knows the new locations of any partially downloaded files.

• Recent Finished Files: This displays a menu of the last 4 files which GetRight has finished downloading. Clicking any of the items will open/run that file. (For example; if the file is a .EXE, then the program will be run; or if the file is a .HTML file, your web browser will be opened to view the file.)
• Recent Finished URLs: This displays a menu of the last 4 URLs which GetRight has finished downloading. Clicking any of the items will have GetRight add the URL back into its list of files to be downloaded.

• Exit: Close this window (hopefully you could figure that one out for yourself :)

(Top of page)

Edit Menu

• Select All: Selects all the rows in the list. (Shortcut key: Ctrl+A)
• Select All In Progress: Selects all the rows in the list for downloads that are currently in progress.

• Delete Item(s) from the List and Delete the Files: Deletes all the items currently selected in the list. (And deletes all the partially downloaded files.) (Shortcut key: DELETE)
• Remove Item(s) from the List but Don't Delete the Files: Similar to Delete, except this will remove the selected downloads or history items from GetRight's list, but the partially or fully downloaded files will be left on your computer. This is useful after exporting a list of files that you wish to import and finish later--so the partial files are left around on your hard drive.

• Change Local Filename*: (Download Mode) If a file is not currently downloading, you may change the filename on your hard drive where the download is being saved. If several items you will be prompted to do a Search and Replace to quickly update all the items.
• Change URL*: (Download Mode) Enter a different web address (URL) for the file to be downloaded from. This is useful if the server you started downloading from has been too busy to reconnect when you have tried later. If several items you will be prompted to do a Search and Replace to quickly update all the items.

NOTE: You may want to start a separate download and test that the new server will support resuming before doing this so that your partial file will not be lost if the new server does not support resuming and GetRight has to start from the beginning.

• Change Username and Password*: (Download Mode) Some servers require a username and password to login in order to download files. You may use this option to set the username and password for many URLs at once. A window will appear so you may enter the new values for the username and password. The values you enter will be used for ALL the downloads you have selected.

NOTE1: To avoid any security problems, GetRight does not display the current values in the window that appears or in any of the download windows.

NOTE2: GetRight will accept and use usernames and passwords from URLs with the format ftp://ATXul1024 username:password@ftp.xyz.com/filename

• Mirror Manager*: (Download Mode) This is a much more sophisticated way to change URLs. (More Info)

GetRight allows you to build a list of possible locations for the file to be downloaded. GetRight will then transparently change between these different alternate URLs to download from the fastest server, or if servers are busy or if other problems occur.

These alternate URLs may be easily setup by downloading from TUCOWS or another popular mirrored site in GetRight's MIRRORS.LST file, or by using GetRight's FTP or FileMirrors.com Search features. You also may use this option to view, add, or delete these Alternate URLs by hand.

NOTE: If a file has alternate URLs, there will be an asterisk * before the URL on the list.

• Restart Downloads From The Beginning*: Deletes the file from your hard drive and restarts downloading it from the beginning, or in history mode, lets you re-add the download to your list.

(Top of page)

View Menu

• Unfinished Downloads: This is the normal Download Status view, shows all your pending downloads.
• Finished Downloads (History): This shows information about recently finished files. More info about GetRight's History.

• Toolbar*: You can show/hide categories of buttons from the toolbar, or show/hide the entire toolbar.
• Report Columns: You can show or hide different columns in the report.
• Speed Graph: The speed graph can be shown very small in the corner of the Download Status, much larger across the whole bottom of the Download Status window, or hidden completely.
• Animated Chains*: You can turn on or off the animated (spinning) chains that display when a file is downloading. The chains will still change colors and some shapes to show status, but will not spin when a file is being downloaded.
• Show Download Folders & Filters and History Tree: Use this to either show or hide the Downloads and History (Folders and Filters) pane on the left side of the Download Status window.

• Refresh: Refresh the list to be sure you are looking at the most current information. [In Basic mode, this does exactly the same thing as the Regenerate Cache item under the Advanced menu.]
• View GetRight Log File*: If you are using a log file (which is setup using the Advanced Configuration options) this option will open the log file using Notepad.

(Top of page)

Downloads Menu

• Resume: (Download Mode) In Basic mode, this will be labeled Download!. Resume downloading all the selected items in the list.
• Pause: (Download Mode) Stop/Pause downloading all the selected items in the list.
• Open Source Web Page: (Download Mode) When GetRight starts a new download, it calculates the current web page that is shown in your web browser. This option allows you to return to that page at a later time (in case you forgot exactly what an item is, or wish to start a different download from that page). (Shortcut key: Ctrl+O)

NOTE: This option may not work properly for pages that are in Frames (can return to the parent frame), if you have several browser windows open, or if you start the download from some other source (such as an email program.)

• File Comment: (Download Mode) This allows you to add a short comment or description about the download. The text you enter will be shown in place of the Address (URL) on this form, and on the individual download windows. While you may enter a very long description, only about 50 characters will be visible in the individual download window.

You may edit an existing comment to change it. If you change an existing comment to be "blank", then the Address (URL) of the file will be shown again. (Shortcut key: Ctrl+I)

• Pause/Stop All: Pause or Stop downloading all the items in the list.

• Start (Stop) Automatic Downloading*: Set GetRight into "Automatic" mode. It will start up up to the number of files you have set for "Downloading XX files at the same time" and obey all the other server limits on the Limits configuration tab. When one download has completed, another will be started so it is back to your setting for "Downloading XX files at the same time". It starts by downloading your Very High priority files first, then the High priority, etc. If you set it, when all files have been downloaded, GetRight will disconnect you from the Internet or shut down your computer (or windows).

When the toolbar button is pressed and there is a check in the menu, then GetRight is in automatic mode. Pressing the toolbar button or selecting the menu again will turn off Automatic mode (however any files in progress will continue to download.) Also, if you cancel or pause any downloads in progress, Automatic downloading will be turned off as well. (Shortcut key: Ctrl+G)

Since Automatic mode is often used for unattended downloads where GetRight will get no user-response to any messages, when in Automatic mode, GetRight will not show error messages. If there is an error, it will skip to the next file to download. If the error is likely because of a refused login into a busy FTP server, GetRight will later go back and try again when all other downloads are done, or have errors. (And when trying again later, it will use the timers and counters you have setup on the Connections tab.)

GetRight Pro will show a sub-menu here instead of a simple menu. This lets you choose if GetRight Pro should just do downloads, just uploads, or both uploads and downloads (and in what order.)

• Schedule Download Start*: GetRight can be made to wait and start "Automatic" mode at a later time. When the toolbar button is pressed and there is a check in the menu, then GetRight is in Scheduled mode. (See Scheduling Downloads)
• Schedule Hang Up*: GetRight can hang up your phone at a specific time and will stop any downloads it has in progress when it does this. (See Schedule Hang Up)

Options Menu*:

• Download Windows As*: This menu/button has a sub menu so you can pick how the individual download progress windows should be displayed. Any current downloads will be changed to the display method you pick. (Reselecting the item with the check will reset all windows to that state as well, in case you restored or minimized them.)

Normal Window = Show as a regular window. (In Basic mode, all windows are shown as normal windows.)

Minimized Windows = Regular window, but it starts minimized in the taskbar.

Tray Icons = As a small icon in your tray icons in the taskbar. Right clicking on the tray icon will show a menu to allow you to restore the larger window, pause/resume the download, or close the download. Double-clicking on the tray icon will restore the larger window.

Hidden = Windows are not visible. You can view the Download Status window. Note that if the Download Status window is not open then the downloads will be started as minimized windows. Also, if the individual windows are hidden, and this Download Status window is closed, the individual windows will be changed to be minimized instead of hidden. (Otherwise it is very hard for you to stop or view the status of the downloads!)

GetRight Pro Feature: GetRight Pro will have more choices here. It allows you to control the window settings for uploads, downloads, and automatic mode separately.

• Turn Off Computer When Done*: This toggle button/menu shows whether GetRight will turn off your computer when it has finished downloading. If GetRight is in Automatic mode, then GetRight will turn off your computer when ALL files have finished. If GetRight is not in Automatic mode, then GetRight will turn off your computer when all the files in progress have completed.

NOTE1: If your computer does not support automatic shut down, then this will exit Windows.

NOTE2: If you turn this on, it is a good idea to close any other programs that are running. This is so the computer doesn't sit waiting for you to answer prompts about "Save changes to XXX before exiting?" in other programs.

• Hang Up When Done*: This toggle button/menu shows whether GetRight will disconnect you from the Internet when files have finished downloading. If GetRight is in Automatic mode, then GetRight will disconnect when ALL files have finished. If GetRight is not in Automatic mode, then GetRight will disconnect when all the files in progress have completed.

NOTE: This option is available if you are using either Windows Dial-Up Networking, or Other Networking Software (see Configuring-Internet)

• Re-Dial If Disconnected*: This toggle button/menu shows whether GetRight will try to redial and resume downloading if it is interrupted by the network connection being lost. This is very useful if your Internet Service Provider (ISP) periodically disconnects you, or has time limits for being connected. With this option enabled, GetRight will automatically redial and resume downloading without you having to do anything.

This is turned on when GetRight enters Automatic mode. GetRight will use the options setup on the Internet configuration tab for redialing.

NOTE: This option is only available if you are using Windows Dial-Up Networking or America Online. While this redialing can work with America Online, it may not always detect that the connection was broken and redial, or it may delay several minutes before it detects that the connection was broken. (see Configuring-Internet)

• Obey Speed Limit*: GetRight can be set to obey a "Speed Limit" so that it will only use a fixed amount of your modem's capacity. This feature will allow you to download files with GetRight and still use your web browser without as much loss of performance. This toggle button/menu shows whether GetRight is currently obeying the speed limit.

If you have not set a speed limit when this is pressed, the configuration form will display for you to set a limit.

See Configuring-Limits for information about setting this speed limit.

• Set Priority/Download Order*: This menu contains several options for setting priority or download order. This will be used when GetRight is in either Automatic or Scheduled downloading mode. GetRight can be set to do either use the "classic" Priority ordering, or new "Exact Order" downloading. You can choose which method to use for ordering on the Automatic Mode configuration page. With Priority ordering, the Highest priority items will be started to download before the lower priority items. With Exact Order downloading, it shows a number column in the report showing the order--you can drag-and-drop items to change order or use the menu items here.

The current status of each item that is not currently downloading is indicated on the list next to the filename with arrows (up arrows are higher priority, down are lower.)

NOTE: Priority is not used to give speed preference for items being downloaded at the same time.

(Top of page)

Tools Menu:

• Configuration: Setting up GetRight (see Configuring GetRight) In Basic mode, this will show the Configuration Wizard.

• Verify URLs: This checks to see if the files in the download list are really located on the servers. This does connect to check each file. This verify also fills in the size and if a download can be resumed for most files as part of this process. If "old" verify results are still shown in the window, only any new URLs (so not verified last time) or ones with errors in the verify last time (busy, or some error connecting) will be re-verified.

Refreshing the download list using F5 or in the View menu does reset all the Verify results.

• Log Into Web Site: Some web sites require you to fill in a web page form (which then normally sets a Cookie) so that the site knows you have logged in. The Log Into Web Site window lets you load a form (for example from http://login.yahoo.com/ ) so you can fill in your login information and download files from pages on the site that need a login (continuing the example, http://groups.yahoo.com/ )

• GetRight Browser*: Browse FTP servers or web sites. See Here.
• GetRight Dialer*: This may be used to immediately start the GetRight dialer. (This dialer has the advantage over the regular Windows95 dialer of redialing if the line is busy.) (Shortcut key: Ctrl+D)

NOTE: This option is only available if you are using Windows Dial-Up Networking (see Configuring-Internet)

• Daily Downloads*: A list of files that should be added to your list at scheduled times on different days of the week. (See Daily Downloads).
• QuickSync: Lets you search web sites or FTP sites for files to download. It is similar to the GetRight browser, but can show the results for an entire web site at once. It is helpful if you want to download a lot of files scattered throughout a web site. (All the images or ZIP or MP3 files, for example.) Or if you want to download the entire web site, it can do that, too! (See QuickSync).
• Server Synchronizer: Lets you keep yourself current with sites you visit or download from often. GetRight can search a server and find the files which you do not have on your computer or the ones that have changed. (See Server Synchronizer).
• GetRight Drop Target*: This item will show the GetRight Drop window.

• Download Updated Mirror List: If you start downloading from one of the most common mirrored sites, or any of their mirrors (such as SimTel.Net or TUCOWS) GetRight will automatically calculate a list of alternate addresses. GetRight uses a MIRRORS.LST in the directory where it is installed to calculate these alternates.

Use this option to download an updated version of this file to get the latest set of mirrors.

This MIRRORS.LST file contains documentation on its structure so you may add other customized lists of mirrors. If you create a mirror sets that would be useful for other people, please contact mjb@headlightsw.com so it may be added.

• Check for a Newer Version of GetRight: GetRight can check to see if a newer version than you have is available for you to download. A small window will display to show the status of the checking. If there is a newer version, a "More Information" button will appear on the small window so you may find more information and download the newer version.

• Recover Lost Downloads*: Use this option if GetRight somehow loses one of your downloads, or if you started downloading with another program and want GetRight to finish downloading the file. It first asks you to select the file on your machine that was incompletely downloaded. You then are asked to enter the URL for where the file should be downloaded from. GetRight will then add this file back into the download list.

NOTE: If you use either type of log files (which is setup using the Advanced Configuration options) this option will search the log files to automatically find the URL for the lost download. If you lose downloads often, you should setup to use a log file to assist in recovering them.

• Clear All History Lists*: This clears the contents of the "Enter New URL" drop-down list, and the "Recent Finished Files" and "Recent Finished URLs" menus from the Download Status File menu.

(Top of page)

Help Menu

• Help: This help page.
• About: About GetRight. The about form also includes some statistics about what GetRight has done for you (number of files downloaded total MB downloaded, MB saved by resuming.)

• Getting Started Web Page: Open the Getting Started with GetRight page in your browser. Has some basic information to get you going with GetRight.
• Support Web Page: Open the GetRight Support page in your browser. Has lots of links to information to help you.
• Frequently Asked Questions Web Page: Open the GetRight FAQ (Frequently Asked Questions) page in your browser. More help about common problems.
• GetRight Home Page: This item will open the GetRight home page in your web browser.

(Top of page)

Toolbar*:

Right clicking on the toolbar will show a menu so you may hide or show the toolbar buttons (menu similar to the View->Toolbar menu). You can use this to remove an item which you never use (such as the "Dialer" or "Speed Limit" buttons.) The buttons are grouped into several categories and you may show or hide all the buttons in the category.

(Top of page)

Downloads (Folders and Filters) and History:

In the left side of the main part of the window is a tree of Download folders and filters to help you organize and find downloads in your list, and History to view recently finished files.

Folders: You may drag and drop the files on the right side into different folders to help you categorize your files. Folder Priority is used when doing Automatic downloading. Files in a High priority folder would be downloaded before those in a normal or low priority folder. The individual file priority is also used, with the folder priority taking preference. For example, a Very Low priority file in a High Priority folder would be downloaded before a Very High priority file in a Normal Priority folder. Combining these two different priorities, there are 15 real priority levels.

Filters: The filters are used to quickly view all the files of a particular type.

History: Contains several time filters so you can filter just to see files that finished in a given date range (such as all that have finished Today, or that finished Yesterday.)

Folders & Filters: Right clicking on a folder or filter item will show a menu to allow you to add new filters or folders, or to edit or delete existing items.

GetRight Pro Feature: GetRight Pro will have different folders for uploads and downloads, as well as separate history items.

(Top of page)

List of Files to Download:

Right clicking on items on the list will give you a menu of several of the choices from the menus described above.

Copy URL(s) to Clipboard: (This is only available from Right clicking) This will copy the URLs of all selected downloads to the clipboard.

List Columns:

Clicking on the header text for any of these columns will sort the list by the data in that column. Clicking the header text for a column will sort by that column in the reverse order (a little icon will help show the column being sorted, and the sort direction.)

Download Mode:

• "Icon": This column contains the status using icons and lets you easily do some sorts on the "icon" information. Different numbers will show at the top to indicate the sort method:

1 = Sorted by the Verify URLs results (to make it easy to find all the bad links after verifying.)

2 = Sorted by the download priority

3 = In progress downloads are sorted to the top.

• Local File: This column includes the file name (minus the file path) of the file being downloaded to your computer.

Sorting Tips: If you hold the CTRL key down when clicking on the header to sort by this column, GetRight will sort all the currently in progress downloads to the top. If you hold the ALT key down when clicking on the header to sort by this column, GetRight will sort by the Priority of the downloads.

• Resume: This column contains Yes or No to indicate if the server supports resuming. If Yes, a number is added to indicate the total number of times this file has been resumed. If the file is using Accelerated/Segmenteddownloading, Yes:* will be shown.
• Progress: This column contains an indicator of how much of the file has been downloaded. It will usually be a percent.
• Total: This column contains the total size of the file being downloaded.

NOTE: The "units": bytes, KB, MB will vary depending on the size of the file.

• Est. Time: This is the estimated time remaining for this file. This is based on the transfer rate the last time this file was in progress, so may not be completely accurate if the connection was busier (or less busy) at that time.
• Address (URL) or Comment: This is the address from which the file is being downloaded. If an asterisk * is before the address, it indicates that there are Alternate/Mirror URLs stored by GetRight. If you have set a file comment, it will be displayed here instead of the Address (URL).

History Mode:

• "Icon": Sorts by the icon shown, will group all files of similar types together.
• Local File: This column includes the file name (minus the file path) of the downloaded file.
• Size: This shows the total size of the downloaded file.
• Time: This shows the elapsed download time, this is the time spent actually downloading the file.
• Ave. K/Sec: This shows the average speed for the entire download. Note that if a file is resumed after being started with another download program, or recovered after becoming "lost" (Using the Tools->Recover Lost Downloads for example) this speed may be way off--it doesn't take into account any part of the file that was there before GetRight started downloading.
• Finished At: Date and time when the download was completed.
• Added At: Date and time when the download was added to GetRight's download list.
• Address (URL) or Comment: The URL of the file downloaded.

(Top of page)

Graph:

In the lower right corner of the window (in the Status bar) is a graph that will display when files are downloading. This graph indicates the total transfer rate of GetRight for the last few minutes.

This graph is useful to see if you are getting a consistent transfer rate, or if it is varying widely.

The highest value on the graph is the highest transfer rate while GetRight has been running this session. If GetRight is closed and restarted, this will be reset. (This is in case you get different connection speeds.)

You can hide or change the size of the graph using the View menu.

(Top of page)


Enter New URL

• Select "Enter New URL" in the GetRight Tray Icon menu (see GetRight Tray Icon Menu) or from the File menu on the GetRight Download Status window.

• Type in the address or press Ctrl-V to paste the URL text you copied the text into the clipboard. (If the clipboard text begins with http:// or ftp:// it is automatically pasted for you.)
• Click OK.

• GetRight will prompt you where to save the file.
• GetRight will then get the file. The download window should look similar to the window used in your web browser when downloading.

NOTE: While this window is shown, GetRight will ignore any URLs copied to the clipboard (to make it easier for you to copy something that you want to edit.)


Add Sequence

Add Numbered Sequence of URLs

If you have a website or ftp server with a list of numbered files, GetRight can automatically add a sequence of numbered URLs to download.

Something like:

http://www.getright.com/file1.gif

http://www.getright.com/file2.gif

http://www.getright.com/file3.gif

The URL is the address. Use %#% to show where GetRight should insert the number into the URL. For the example above, it would be http://www.getright.com/file%#%.gif

The Sequence lets you choose the Start and Finish numbers (so if the numbers go from 10 to 30, enter 10 for the start and 30 for the finish.)

http://www.getright.com/file001.gif

http://www.getright.com/file002.gif

http://www.getright.com/file003.gif

# Digits lets you control if zeros are added to the number. For the 2nd example set of URLs above, since the total number of characters/digits in the number 001 is 3, you would use 3 for the # Digits.


Schedule Start

Schedule Download Start

[Available from the Download Status window, under the "Downloads" menu. ]

• Do not do scheduled downloads: Cancel scheduled downloads if you have enabled them.
• "Today" only: Download at the scheduled time "today." Today is defined as the next 24 hours--so if it is 8 in the evening (PM), and you say to download at 2 in the morning (AM), then GetRight will start downloading at 2AM the next day--6 hours from the time you scheduled.
• Download at this time on selected days: This is for a re-occurring scheduled download. Pick the days of the week when GetRight should download. When the computer is turned on, GetRight will start downloading at the set time on the set days. (And will turn on the options as set up below when the scheduled time arrives.)

The following checkboxes correspond to buttons on the Download Status window.

If these items are checked, they will press the buttons on the Download Status window both when this form is exited, and when GetRight starts a scheduled download on a day because the Download at this time on selected days option is enabled. This is so you can set up GetRight to download on specific days and always redial, hangup, or shut down your computer when it is scheduled on those days.

• Redial modem if disconnected: With this option enabled, GetRight will automatically redial and resume downloading without you having to do anything. GetRight will use the options set up on the Internet configuration tab for redialing.

NOTE: This option is only available if you are using Windows Dial-Up Networking (see Configuring-Internet)

• Hang up modem when done: After starting to download at the set time, GetRight will hang up your modem when ALL files have finished.

NOTE: This option is available if you are using either Windows Dial-Up Networking, or Other Networking Software (see Configuring-Internet)

• Turn off computer when done: When all the files have been downloaded GetRight will turn off your computer.

NOTE1: If your computer does not support automatic shut down, then this will exit Windows.

NOTE2: If you turn this on, it is a good idea to close any other programs that are running. This is so the computer doesn't sit waiting for you to answer prompts about "Save changes to XXX?" in other programs.


Schedule Stop/Hang Up

Schedule Download Stop/Hang Up

GetRight has several options about scheduling GetRight to stop downloading and hang up your modem. Any downloads in progress will be stopped when GetRight hangs up.

This would be useful if your phone rate changes at some time in the morning and you want GetRight to stop downloading before the rate increases. For example, when combined with the scheduled dialing, you could set GetRight to start downloading at 1:00 AM and then stop at 7:00 AM.

NOTE: If you are set to be "Always connected to the Internet..." (see Internet Configuration tab) then GetRight will just stop all downloads at the set time, if you are set to any of the other items on the Internet Configuration tab, then GetRight will also try to hang up the modem. If you are always connected, some items here (like "Hang up by a number of minutes after GetRight dials modem" will not be available.)

NOTE2: GetRight does not actually have to be downloading anything for it to hang up your phone at a specific time.

NOTE3: If the "Turn Off Computer When Done" toolbar button is pressed on the Download Status, then at the scheduled time, GetRight will both hang up the modem and turn off the computer.

• Stop (hang up) at a specific time: A set of boxes will let you select a time to hang up your modem. You may also set up to always stop or hang up your modem at this time.

• Hang up by a number of minutes after GetRight dials modem: You can schedule GetRight to hang up your modem some time after it has dialed. You may also set up so GetRight will redial and continue downloading after it has hung up, and so GetRight will always hang up this amount of time after dialing (it will hangup if you use the regular GetRight Dialer instead of scheduled dialing too.)

Example: A good use for this, unlike in the US, many places in the world pay for all phone calls--even local calls. I've been told that some telephone system now gives the first 19 minutes of a local call free--so you could schedule GetRight to hang up after 17 minutes of downloading and then dial again and continue to avoid charges.

{I don't know how well the phone company would like people doing this, but it is possible to do now.}

TIP: Give less than the max to take into accout the time needed to make the connection and for GetRight's prompting to verify hanging up.

NOTE: This option works only if GetRight is doing your Internet dialing!

• Stop (hang up) by a number of minutes from Now: Pretty self explanatory. GetRight will stop or hang up in the number of minutes from the time you click the OK button.

• Delay stopping (hanging up) if any files being downloaded can not be resumed later: Some servers do not support the resuming features in GetRight--with these, if GetRight stops or hangs up, it will have to restart at the beginning. This delays until any files in progress that can't be resumed are done.


Tools

GetRight has many tools to let you perform various download tasks.

The Server Synchronizer allows you to download many files from a website (or upload them in GetRight Pro). It is designed for websites you visit often or always want to have the most current version of any files from the website.

The QuickSync is similar to the Server Synchronizer, except it is designed for more of a one-time visit. Such as if you want to get all the images from a website, but likely won't visit to do the same thing again.

The GetRight Browser lets you easily view and browse a website or FTP server just as you view files on your computer in Windows. It is a great way to select a batch of files to download from a website.

The Daily Downloads lets you create a list of downloads to be added to GetRight at different times on different days of the week. Such as to always download a weather map or a anti-virus update.

The Podcast Downloader allows you to subscribe to any podcast/rss channel, and GetRight will check periodically and automatically download new files.


Server Syncronizer

Server Synchronizer

Server Synchronizer lets you keep yourself current with sites you visit or download from often. GetRight can search a server and find the files which you do not have on your computer or the ones that have changed.

Want to copy a web site for offline viewing? No problem!

Need to be sure you have all the current documents from your corporate intranet? No problem!

Want to make sure you have all the MP3's from your favorite band's website? No problem!

Need to get that Linux installer and documentation? No problem!

Want to upload all your changes for your website? GetRight Pro does it!

QuickSync vs Server Synchronizer: QuickSync is intended for sites you wish to match with once, such as to grab all the images or sound files. Server Synchronizer is intended for sites you wish to repeat and match with your computer often, such as making a backup copy of the files for your web server.

• Sync: Runs the currently selected synchronization.

• Add: Creates a new Synchronizer item. Clicking this will open a blank Synchronizer Properties window.

NOTE: The shareware version of GetRight will only allow one synchronization item. The registered version allows more.

• Edit: Opens the Synchronizer Properties window for the currently selected item.

• Copy: Copies the currently selected synchronization item to another record. If you want several synchronizations that are similar, copying one can save time since you will not need to re-enter all the information.
• Delete: Removes the selected synchronization item.

• URL: Opens the GetRight browser. If a synchronizer item is selected, the browser will open to that URL.
• Help: Opens the help file with information about synchronizing.

• OK: Closes the Synchronizer window.

You can use a Server Synchronizer item in the Daily Downloads! In the Daily Downloads, for the URL field, just use the format sync:<name> where <name> is the Name you've given the Server Synchronizer item. (The first column on the Server Synchronizer page.) This lets you easily setup so GetRight can do things like download the latest files from a website every morning.

GetRight Pro: you can drag-and-drop any files or folders onto an item listed on the Server Synchronizer (or even these items where they're listed on the Download Status) and the files will be added as uploads to that server. This is much easier than having to log into the server to upload files!


Properties

Type (GetRight Pro Only)

• GetRight Pro allows you to choose from several different types of synchronizer items. Some can just be a login (so you can drag-and-drop any files you want to upload), while others can do different sorts of upload or download synchronizing. Different tabs will be hidden or shown depending on this setting.

Server

• Name: This is the name you want this synchronization to be called. It should make it easy for you to see what you are synchronizing, especially if you have several synchronizations from the same server.

• FTP Path or HTTP URL : The starting point for the search and synchronize.

This can be either an FTP site (or sub directory or that web site) or an HTTP web site (or page within the site).

• Username and Password Login : If the HTTP or FTP site requires a login, you can configure that here.

• Depth This determines whether or not you want to synchronize one particular directory or web page, the page and one level deeper, or the entire site.

FTP: This will only search subdirectories of the primary search directory. It will not 'back up' to the root of the server if the search is not begun there.

HTTP: This will only search web pages in the main search directory or subdirectories of it. It will not follow links to parent directories or to other domains. If you want to search an entire web site, be sure you begin at the base url. It will, however, show results which are found in other directories or on other domains.

My Computer

• Synchronize with local folder: This is the 'base' directory on your computer where things will be saved. The synchronizer will recreate the directory structure of the server, and create subdirectories from here.
• Options: These options determine how the synchronizer should work. Whether it should get all the files, or just ones that are now or changed. If you are synchronizing a site regularly, this can save time, by only downloading new or different files.

The "Download files with different sizes/dates. (Overwrite)" option will delete any existing older file with the same name when downloading the updated file.

The "Download files with different sizes/dates. (Rename)" will rename the new file so it has -### in the name so it will not overwrite the existing file. So C:\Downloads\image.gif would become C:\Downloads\image-001.gif, etc.

• Don't go forever... This option prevents the synchronizer from searching forever on big sites. (Unless you want it to.) If you switch this option OFF, be careful if synchronizing big sites unattended...

Filters

• Filtering : It's not always necessary to get every file on a site, this allows the search to be more refined. If you are looking only for EXE files or MP3 files, etc. this filter can be used accordingly.

Results

• Results Options: This let's you choose whether you want to be able to look at (and select) your search results before adding them to the main download window. If you are sure that you want to download all the search results, then the "Automatic..." setting can save a step.

Advanced (GetRight Pro Only)

• Smart Replace: This is a very useful feature if you often upload files that are also available to users for downloading. (Such as when I upload a new getright_setup.exe when a new version of GetRight is released.)

GetRight Pro will upload the file to a different name by adding .GetRight to the name of the file it is uploading. Then when the file is complete, it deletes any filename.old version and renames the current version to be filename.old and then renames newest .GetRight version to take the place of the original file. It is a little bit of complicated renaming, but it all happens automatically in GetRight Pro.

On our servers, this not only keeps the length of time that the file is unavailable for downloading to fractions of a second, but by renaming something from filename to filename.old, anyone currently downloading the file is able to finish the older version they started (not all servers may do this, but ours do!)


Results

QuickSync and the Server Synchronizer shows the resulting URLs it found in a window so you can select the ones you really want to download.

• Re-Search: Opens a new search window so you can change or refine your serach.

• Export File List: If you want to save a search, but don't want to download the files right away, you can export a download list. Available formats are:

GRX GetRight's standard export file list.

HTM A web page with links to all the files.

LST or URLS A simple text list with all the URLs.

NOTE: If you want to re-create the server's directory structure when importing downloads that have been exported, be sure to use the GRX format.

• Advanced Select: Similar to the 'Filter' on the search page, but allows you to create or add or subtract from a selection of files by file type, wildcards, etc.
• OK All: Closes the search results window and adds all the files to the download list.
• OK Selected: Closes the search results window and adds the selected files to the download list.

• Close: Closes the search results but does not add any files to the download list.


QuickSync

QuickSync lets you search web sites or FTP sites for files to download. It is similar to the GetRight browser, but can show the results for an entire web site at once. It is helpful if you want to download a lot of files scattered throughout a web site. (All the images or ZIP or MP3 files, for example.) Or if you want to download the entire web site, it can do that, too!

Unregistered users may use QuickSync once each time GetRight is run--then have to close and restart GetRight to do it again. Buying GetRight of course allows you to use this as much as you want.

QuickSync vs Server Synchronizer: QuickSync is intended for sites you wish to match with once, such as to grab all the images or sound files. Server Synchronizer is intended for sites you wish to repeat and match with your computer often, such as making a backup copy of the files for your web server.

• URL: This is the 'base URL' where Quick Sync will begin searching. If searching FTP sites, only this directory (and subdirectories if selected) will be searched. If searching HTTP (web) sites. The search will follow the links regardless of directory.
• Download To: This is the 'base directory' where you want to save the files on your computer. Quick Sync and GetRight will re-create the directory structure of the site you are downloading from if files are located in other directories!

• Filter: This allows you to filter your results, if you do not want to see every file. If you are looking for EXE files or MP3 files, etc. this filter can be used accordingly.

• Search Depth: This lets you decide how much you want to search the web site. Whether just the one page, or the page and all linked pages, or the entire web site. NOTE: Searching the entire site is a registered only feature.
• Don't go forever...: Some web sites are BIG. This setting can help to keep searches from getting too overblown. Be sure you know what you are getting into if you choose to search the entire web site and turn this setting off...

(This can get insane if you turn this off and search with the 'search entire web site' setting above. If you do this and then go trying to index all of yahoo or microsoft or some other huge web site you will probably crash your computer if you let it go long enough. You've been warned.)


GetRight Browser

The GetRight Browser lets you browse FTP or HTTP servers. The GetRight Browser acts much like a cross between Windows Explorer, Internet Explorer, and Netscape Navigator. If you've used any of those tools, it will seem quite familiar.

Getting There:

You can open the GetRight Browser from any "Tools" menu. Right click on the GetRight tray icon [image] and pick "Tools" then "GetRight Browser".

Quick Info:

• Just type in a URL into the address bar to start browsing!
• Double-click any files to download them (or open the directory).

Menus:

[File] [Edit] [View] [Go] [Favorites] [Tools] [Help]

Other Items:

[Toolbar] [Address Bar] [Main Display Area] [Keyboard Shortcuts]

Note on Uploading: For now, the GetRight Browser is just for browsing or downloading. It does not upload files at this time. A future version of GetRight (or a future product--"ftpRight"?) is expected to add uploading and other cool features...

File Menu:

• Open File: You may browse HTML files on your hard drive as if it were a web server. Use this to pick a HTML file to start. You may also type in a path on your hard drive to open a local file too. Something like: C:\Files\Web\Michael\pictures.html
• Open in Web Browser: When browsing a web page, use to open the page in your default web browser.

• Download: Simple download options. If one file is selected, it will do the normal GetRight "Save As" window. If several items are selected GetRight will prompt for a directory where they all should be saved.

NOTE: Double clicking a file in the list will do the same as picking the "download" menu. (Unless you double click a single README or *.TXT file when browsing a FTP server--that will open the file so you can view it!)

TIP: An even better way to start downloads from the GetRight Browser: just drag-and-drop files from the list of files to an open folder in Windows Explorer!

• Download (As Alternates): If all the files are really mirrors of a single file (such as the results of a FTP Search) use this to easily add them all as alternates. With this option, it is not required that the files be named the same.
• Download (Advanced): This shows a window with advanced downloading options (such as renaming all the files, etc.)

• FTP Search for File: Lets you easily use one of the services to let you search for files on FTP servers.

• Disconnect from FTP Server: Closes a connection to a FTP server.
• Start Downloading on This FTP Connection: Re-uses this GetRight Browser connection to the FTP server to start downloading files from the server. This is especially useful if the server is busy and difficult to connect to. The browser acts as if you have disconnected from the server, but the download windows starts.
• Reconnect to FTP Server: Disconnects and reconnects to a FTP server--returning you to the same directory location.

• Properties: This gives you some information about the file selected.

(Top of Page)

Edit Menu:

• Copy URL(s) to Clipboard: Copies the URLs for all the selected items to the clipboard. If more than one is selected, each URL will be on its own line.

• Select->Select All: Select everything in the list.
• Select->Unselect All: Select nothing in the list.
• Select->Toggle XXX: This switches the selected/unselected state for files by the file type.

Downloads = .EXE .BIN .ZIP .SIT .HQX .TAR .TGZ .ARJ .LZH .GZ .Z .FML .VSL

Images = .GIF .JPG .JPE? .TIF? .BMP .MPG .MPE? .AVI .MOV

Inline Images = For HTTP only, images that show in the page. (IMG FIG OVERLAY IFRAME)

Pages = .HTM? .?HTM? .ASP .TXT .TEXT

Sounds = .MP3 .WAV .AU .RA .RAM .AIF? .MID .LAM

• Select->Reverse: Select the opposite of what's selected now.
• Select->Custom: This shows a window with some advanced options for selecting files.
• Filter: This shows a window with some advanced options for filtering (hiding) files from the list.

• Find: This shows a window with some options for searching for items in the list.
• Find Next: Find the next item which fits the "find" criteria set earlier.

(Top of Page)

View Menu:

• Toolbar->Standard Button Bar: Show or hide the main toolbar.
• Toolbar->Address Bar: Show or hide the address bar.
• Toolbar->Sets of Buttons: Show or hide different groups of buttons from the toolbar.

• Reload: Refreshes the current page by reloading from the server.
• Stop: Stops loading the current page.

• List: View in a list that just shows the file names.
• Report: View in a report that shows the file names, sizes, dates, HTML tag type, or other information.
• Arrange Icons->Options: Changes how the report is sorted. Picking these works the same as clicking the headers of the report columns.

• View Page Source: View the HTML of a page, or the directory contents returned by the FTP server.
• View Page in Web Browser: Opens the current page in your default web browser.
• Clear Web Sites: Removes all web sites from the tree-view on the left of the window except the current web page. This cleans up the display if you have visited many sites.
• Clear Log: Clears the communication log at the bottom of the window.
• Tag Items in Download List: This will add a small arrow next to any items in the current list which are already stored in the download list in GetRight (shown on the Download Status.) Since this can be slow if you have a large list of files, or many files are in the directory listing, you will need to redo this function on any new or refreshed directory listing.

(Top of Page)

Go Menu:

• Back: Go to the last page.
• Forward: Go to the next page.
• Up One Level: Go up one level in the directory tree.

• Force Directory Change: Lets you treat any item as if it were a folder and change directories into it. This is useful for web pages that use "odd" types that the GetRight Browser does not recognize, etc.

• The Rest: Pick the other items to open popular web sites or FTP servers.

(Top of Page)

Favorites Menu:

• Add to Favorites: Add the current page to your list of favorites.
• Edit Favorites: Change your favorites. You can change the menu order, create sub-menus, change icons and more.

Advanced Trick: If you hold CTRL when picking this, it opens the Go menu items so you may change them. There is no guarantee that your changes to the Go menu won't get lost if you upgrade GetRight.

• The Rest: Pick the other items to open web sites or FTP servers you have added to your favorites.

(Top of Page)

Tools Menu:

• GetRight Configuration: The usual GetRight Configuration window.
• GetRight Browser Configuration: Some setup items that are specific for just the GetRight Browser. More Help.

• GetRight Download Status: Show the list of your in-progress downloads.
• GetRight Browser: Open a new GetRight Browser window.
• GetRight Dialer: Dial your modem to connect to the Internet.
• GetRight Drop Target: Show the GetRight Drop window (can use it to drag-and-drop links from your web browser.)

• Check for a Newer Version of GetRight: GetRight can check to see if a newer version than you have is available for you to download. A small window will display to show the status of the checking. If there is a newer version, a "More Information" button will appear on the small window so you may find more information and download the newer version.

• Clear Cache: The GetRight Browser saves web pages and FTP directories on your hard drive so it can more quickly display them later if you go back (so it doesn't have to communicate over the network to get the information again.) You may pick this item to remove all this stored information so the browser will re-get the data from the Internet.
• Clear Browser History Lists: Clears the drop-down list contents for items in the GetRight Browser. (Such as the Address bar items, Filter, Select, etc.)

(Top of Page)

Help Menu:

• Help: This help page.
• About: About GetRight. The about form also includes some statistics about what GetRight has done for you (number of files downloaded total MB downloaded, MB saved by resuming.)

• Getting Started Web Page: Open the Getting Started with GetRight page in your browser. Has some basic information to get you going with GetRight.
• Support Web Page: Open the GetRight Support page in your browser. Has lots of links to information to help you.
• Frequently Asked Questions Web Page: Open the GetRight FAQ (Frequently Asked Questions) page in your browser. More help about common problems.
• GetRight Home Page: This item will open the GetRight home page in your web browser.

(Top of Page)

Toolbar:

Shortcuts to many common menu choices. Icons for the toolbar items are shown in the menus to help you tell which button will do which function. Or hold the mouse cursor over the button to get a short tool-tip description.

(Top of Page)

Address Bar:

This is very similar to the address bar in your web browser. Just type in a URL to open a web page or browse a FTP server. The Login button lets you easily enter a username and password for logging into FTP servers. When the Login button is pressed, spaces for the username and password will be shown.

Some of the formats accepted include:

ftp://ftp.xyz.com/

ftp://ftp.xyz.com/path/path/

(To start in a specific directory.)

ftp://ftp.xyz.com:###/

(To give the port number ###.)

ftp://user:pass@ftp.xyz.com/path/path/

(To login with a username/password. The username and password will be automatically transferred to the Login button items.)

http://www.xyz.com/index.htm

(Top of Page)

Main Display Area

The main part of the window is made up of a 3 pane display. This display is much like that in Windows Explorer with the addition of a view at the bottom that shows information about the communications with the FTP or web server. The left side shows a tree view of the folders for the current server. The right side shows a list of all the files in the current directory. The bottom shows the list of command sent to the server (most people won't need to view this and can leave it sized so it is not showing).

Double-clicking an item in the list on the right will add the item to GetRight's download list (prompting you as needed) or open the directory.

Directory Tree Status Icons:

The folders will be gray if you haven't visited the page/folder, normal if you have, and red if there was an error visiting that page/folder.

Directory List:

• You may click the column headers to sort the report by that column.
• Drag items from the list to Windows Explorer to download them to that directory!

(Top of Page)

Keyboard Shortcuts:

Most of these are the same as your web browser or Windows Explorer.

Alt+, or Alt+<

Go Up One Level

Alt++ or Alt+=

Add to Favorites

Ctrl+A

Select All

Ctrl+B

Edit your Favorites

Ctrl+C

Copy URL(s) to the Clipboard

Ctrl+F

Find

F3

Find Next

Ctrl+O

Open the selected item

Ctrl+T

Custom Select

Ctrl+U

View Source

ESC

Stop loading the page

Alt+Enter

File Properties

Alt+Left Arrow or Ctrl+Left Arrow

Go Back

Alt+Right Arrow or Ctrl+Right Arrow

Go Forward

F5 or Ctrl+R

Reload (Refresh) the current list.

(Top of Page)


Advanced Downloading

This window shows from the GetRight Browser when you pick the Download (Advanced) menu item under the File menu.

• Use directory(s) setup on Configuration "Save To": This option uses your default settings for where files should be saved.
• Save to __: This lets you over-ride the default settings and save the files extracted to a specific directory. All files will be stored in this directory (or under it--see the next item.) Enter a valid directory, or use the "..." button to select the directory. (If this directory does not exist, it will be created for you when you click "OK")
• Recreate directory structure: This checkbox is available if you have selected the "Save to" item above. This will create a directory structure similar to that on the server.

For Example, if you are saving to the directory C:\GETRIGHT\ , and you are downloading the image http://www.getright.com/images/logo.gif ; then GetRight would create the directory C:\GETRIGHT\IMAGES\ and would store the image there.

• Use default names and do not prompt: Uses the name of the file shown in the list. GetRight will still prompt you for the filename if the filename already exists.
• Use "Link Text.Type" for file name: For HTTP, this lets you name the file the same as the Text shown on the web page (which is often more descriptive, "About GetRight.HTML" vs "about.html" .)
• Rename all files with common naming format: If you don't care about the original names, just want different names for each item. This allows you to simply number all the files. It is smart enough start the numbering beyond what you have already downloaded--if you have download files 000 to 008 and select to download more, it will start the next files at 009. This would be very useful if you are collecting a large number of images or other files from a web site.
• Prefix: text to show before the numbers.
• #Digits: The number of digits to show in the numbered files. For example, a 3 here would start with 000, a 5 would be 00000. When numbering, GetRight will find the next "blank" in the sequence. So if you've downloaded 000 thru 082, the next file would be numbered 083.
• Extension: File type for all the files to add. You can set them all to a single file type, or use a * to keep the existing file type. Usually leave as * so if you're collecting many images and some are .GIF and some .JPG they would all still be the right types!
• Start At #: If you wish to have the naming start at a specific number for this batch of files, enter that here.

All of the above are combined into a naming format (a sample is shown as you change the above values).

• Download all files later: GetRight will not start these downloads now if this item is checked (and will not prompt about downloading them now or later.) You will need to use the Download Status form to start these downloads later.
• Play "Address Added" sound: If you are adding many files, having GetRight play the "File Added" sound for each one can be very annoying. This turns off playing the sound while these addresses are added.


Edit Favorites

GetRight Browser Edit Favorites

This lets you edit the "Favorites" menu items.

Quick Info:

• Just drag-and-drop items to change the order or move them between folders.
• Right click an item to rename, change, delete, or to change the icon for a Favorite menu item

Options:

• New Folder: Add a new folder for storing favorites. Drag-and-drop items to move them around.
• New Separator: Add a new Separator (horizontal line in the menu).

• Delete: Remove the selected item.
• Rename: Change the text shown in the menu.
• Properties: View or change other properties about the favorite (such as the URL, username/password.)

• Help: This help page.
• OK: Save your changes.


Daily Downloads

Daily Downloads lets you create a list of downloads to be added to GetRight at different times on different days of the week. For example, use this if you want to download the same stock price page every morning.

[Available from the Download Status window or GetRight [image] tray icon; under the "Tools" menu for both. ]

Options:

• Add: Create a new entry.

You may set:

• The URL that should be downloaded (with special values), or a .GRX file that has been exported from GetRight. (If you use a .GRX file, then the filename item below will not be available.)
• You may also use Server Synchronizer items in the Daily Downloads! For the URL in the Daily Downloads, just use the format sync:<name> where <name> is the Name you've given the Server Synchronizer item.
• The filename that should be used for the download (with special values)
• The time it is added to your download list and the days of the week that the download should be added
• Whether the download should be started when it is added (or just added). If you are adding many at the same time, it is a good idea to set them to be added, but not start downloading--then use the schedule download functions to start downloading a few minutes after the downloads are added. Note that if you are importing a .GRX file, then if this is set to start, GetRight will enter Automatic Downloading mode.
• Edit: Change one of the daily downloads.

• Copy: Copy the currently selected item and edit it. Lets you quickly add a similar item.

• Delete: Remove the currently selected item.

• Go: Do the currently selected item to add it into your download list. Works as if the scheduled time has arrived. Good for testing that URLs are entered right, etc.

• Help: This help.
• OK: Save your changes.


Podcast Downloader

A bit of history...RSS is a type of subscription service, where you use a program to "subscribe" to a website so you can be informed of updates. Many news and blog websites use this. With RSS feeds you are able to see the latest headlines from many websites in one central place instead of having to visit each site. There are a variety of programs that let you subscribe and view these headlines (including several web browsers.) Podcasting is an extension of this where MP3 sound files are included as a type of attachment in the RSS feed. Radio shows and other audio are the primary types of files today. But it could easily be other types of data: "Vidcasting, Vodcasting" (or whatever it gets called), images, etc.

With GetRight's Podcast Downloader, you are able subscribe these different channels, and GetRight will check periodically and automatically download new files. These files can then be moved onto an iPod or other audio device so you can listen whenever you want.

On the Podcast Downloader window in GetRight, you can do different operations to manage your podcast subscriptions.

Add/Edit/Copy: show the Podcast Properties window. Most fields are simple and self-explanatory. You get to choose the Podcast/RSS feed to check, how often to check, where to save the files on your computer, how many files should be added, etc. For several different media players, you can even choose so that when the download completes, it is automatically added to a playlist you choose.

TIP: If you leave the Name blank, GetRight will connect to the URL for the podcast and automatically get the title to use as the name.

The Browser button opens the selected podcast feed in the GetRight Browser. It lets you view all the files currently listed in the podcast to choose any you want to download.

The Go button will check the selected item immediately.


Configuring

Configuring GetRight

To start the GetRight Configuration window, right click on the GetRight logo [image] in your tray icons and pick GetRight Configuration from the menu that appears.

GetRight allows configuring many options to suit the needs of many different users. Most first-time users should accept the default values and will need to customize very few of the settings. As you continue to use GetRight, you can change other items to suit your needs.

The only settings that must be configured: If you use proxy servers , you must setup the Proxy server settings in GetRight.

Pick different categories from the tree on the left to setup items in that category. Click the text below for help on the items on each specific category:

[General]

[Starting & Stopping]

[Subscriptions]

[Monitor]

[Types & Options]

[More Browsers]

[Save To]

[Internet]

[Proxy]

[Connections]

[Speed Limit]

[Login]

[FTP & Basic]

[Web Page]

[Cookies]

[Downloads]

[Automatic Mode]

[Mirror Search]

[Mirror Options]

[Accelerate]

[BitTorrent]

[Network]

[Sharing]

[Connections]

[DHT Network]

[GetRight Pro] Pro!

[Uploads] Pro!

[Scripts] Pro!

[Web Access] Pro!

[As Proxy] Pro!

[Client Server] Pro!

[Interface]

[Sounds]

[Icons]

[Advanced]

[Log Files]

[Protocols]

[Saving]

[When Done]

[Shortcuts]

[Notifications]

[Miscellaneous]

[GetRight Browser]


(Basic Mode)

Basic/Full Mode

Basic mode hides many of the advanced options to make it simpler for users who just want to download files without all the fancy extras.

Full mode provides access to all available functions in GetRight.

You may change between Full mode and Basic mode from either the Configuration window (General tab) or the Configuration Wizard.

Changes in Basic mode:

• The Configuration Wizard is used instead of the many-tabbed Configuration window.
• Many of the menu items and toolbar items are hidden on the Download Status and other windows.
• The Download Status uses a different default toolbar (with text in the buttons.)
• GetRight always operates in a sort of "Automatic" mode--as long as no errors occur, when a file finishes downloading, if there are more to be downloaded, then they are started. But errors will stop this.
• Most of the items you can set up on the many-tabbed Configuration window will still be used, even though you can't get back to that configuration window without switching back to Full mode.


(Configuration Wizard)

The Configuration Wizard is available in both Basic and Full modes. (In Basic mode, it is used for all Configuration menu items. In Full mode, a "Configuration Wizard" menu item is on the Download Status window, Edit menu.)

This Wizard is to make it easier for you to set up some of the most common and important options in GetRight. Each of the "pages" contains some help text and a few simple choices.

What main Configuration items each page is helping you set up (these can help give a little more information about some of these items)

Registration:

Please register and pay for shareware. (This one will not show if you have registered.)

GetRight Mode:

General tab, the "Basic ..." checkbox.

Internet Connection Type:

Sets up many of the different timeouts on the Connections tab and File Mirrors tab and the number of files to do at once on the Limits tab.

Web Browsers:

Monitor tab. the top items.

Prompting to Download:

Advanced tab, the "Start downloading immediately..." and "Prompt to start downloading..." items.

Geographic Location:

File Mirrors tab. the top box

Proxy Servers:

Proxy tab. (This one will not show if GetRight does not think you need proxy servers.)

Download When Connected:

Internet tab, the "Always start automatic downloading..." item.

Sounds:

General tab, sets up many of the sounds.

The "Some Sounds" item just sets sounds for finishing a download and prompting to hang up your modem or shut down your computer. The "All Sounds" sets many more sounds.

Logging Downloads:

Advanced tab, the "Write individual *.log file..." and "Keep log of all..." items.

Virus Scanner:

Advanced tab, the "Send to virus scanner..." item.

See the Full Configuration help for information about many of the other items you can configure in GetRight.


General

General - GetRight Configuration

This is for setting up the simplified or more complex options in GetRight.

• Use "Basic" interface. ...: This allows you to turn on Basic mode. Many of the advanced options will be hidden to make the GetRight user interface simpler and less confusing to use. That includes hiding this many-tabbed Configuration window! In Basic mode, the Configuration Wizard is used instead. You may return to the Full mode from either this Configuration window or the Configuration Wizard.

• Switch and use the Wizard for configuring GetRight: This changes from this tabbed configuration window to a much simpler "Wizard" that steps you thru setting up the most important of these items. The Wizard is much simpler to use, but does not allow you to setup as many items in GetRight.

• Buying GetRight: This program is shareware. You may obtain a registration code by "registering" this program with Headlight Software. (See Registration Form). Click the "Enter Code" button to type in your registration code. After registering, the "Shareware Reminder Windows" that periodically appears when starting a download will be removed, and you may turn off the advertising banners in GetRight. Do not try to enter anything if you have not registered this program. These items will disappear once you have entered a valid registration number.

(Main Configuration Help)


Starting & Stopping

Starting & Stopping - GetRight Configuration

If you allowed it, the install program added GetRight to your Startup group so that it will automatically run when you start Windows. This configuration page lets you change if and when GetRight will start or stop.

• Start GetRight when Windows starts: If this item is checked, GetRight will be added to the Windows Startup group.
• Start GetRight when web browser starts: This requires that Click Monitoring of your web browser is turned on. If GetRight isn't running it will be started when your web browser visits the first web page. If GetRight has been closed, then this will also restart GetRight! If GetRight restarts constantly after you close it, or starts at other times when a web browser is not open; try turning this off. Some other programs can use the Internet Explorer web browser to display information, even if they aren't directly showing web sites. (Microsoft Developer Studio has been known to do this, other programs may too.)

[Making GetRight close when you close your browser may be done in the future, but is not in this version of GetRight.]

• Show Splash window when GetRight Starts: You may turn off the window that shows while GetRight is loading. But you must be a registered user to do it.

• Close GetRight when all Web Browser windows are closed: This will close GetRight when all the web browser windows are gone. It tries to detect if you are still using GetRight (to not close) and so gives a couple minutes after the last window closes before it will close GetRight.
• Close GetRight when your Internet connection closes: Smarter opposite of "Start GetRight when web browser starts" if you're using Windows Dial Up Networking. This lets GetRight keep downloading until your connection closes.

Both of these are smart, so won't close if GetRight is scheduled, is downloading, etc.

• "GetRight" shortcut under the Windows Start button menu: This allows you to add (or remove) a "GetRight" shortcut item from under the Windows Start button.
• "GetRight Dialer" shortcut under the Windows Start button menu: This allows you to add (or remove) a "GetRight Dialer" shortcut item from under the Windows Start button.

• "GetRight" shortcut on the Windows Desktop: This allows you to add (or remove) a "GetRight" shortcut item from the Windows Desktop.
• "GetRight Dialer" shortcut on the Windows Desktop: This allows you to add (or remove) a "GetRight Dialer" shortcut item from the Windows Desktop.

(Main Configuration Help)


Language

GetRight is translated into many different languages. This lets you automatically download and install the patch file to translate all the text in GetRight into different languages.

The top list shows all the language files currently on your computer, and lets you click the button to visit the website of the language author (in case you find an error, or just want to say Thanks.)

The lower Download Language button will first find all the available translations and show them in a list. Picking any from the list will add the correct file to your download list, downloading that file will make it be added to the upper list of available languages. So converting to Spanish, Italian, etc is as easy as a couple clicks!

Especially very soon after a new version of GetRight has been released, not all the translations will be available. If the one you want isn't there, just check back soon. For information on creating a translation, visit www.getright.com/translate.html


Subscriptions

You can choose to subscribe to channels about several different types of programs. When a new program is available for the channel, GetRight will show a notice with details, so you can choose whether to download the file or not. You will be notified about new files at most once a week for each channel. These will only be tools that we at GetRight use on our own computers and find useful, or games that we play.


Monitor Browsers

Monitor Browsers - GetRight Configuration

GetRight can monitor your web browser and the contents of the clipboard to detect files for it to download..

Internet Explorer

• Replace the "Save As" window...(IE 5.5 and higher): This newer method works very well, using GetRight with this is as simple as using your web browser.. This monitoring method was designed just for download managers like GetRight to take over and download files. Internet Explorer calls GetRight whenever it would show the "Save As" or the "Save or Open" message. This avoids some of the problems with other click monitoring, especially sites that use scripts to send the file so it doesn't look like a file to download. GetRight even is called when you Right click a link and pick the "Save Target As..." menu item.

The disadvantage of using this method alone is that holding CTRL+ALT when clicking does not work, also, GetRight's "Right Click" menu items in Internet Explorer won't work either. But you can (and should) use this method in combination with the other Internet Explorer click monitoring method for those to work.

• Catch downloads based on file types... (4.0 or higher): GetRight will be automatically triggered by Internet Explorer to download the file types setup on the Types & Options config page. Using GetRight with this is as simple as using your web browser. This is the Internet Explorer method used in GetRight versions before 5.1.

NOTE: If you change either of these value, you will need to log out of Windows or reboot for the change to take effect.

Click Monitoring Tips

Clipboard

• Monitor Clipboard: When this option is selected GetRight will monitor the contents of the clipboard. When text for a correctly formed URL is copied to the clipboard, GetRight will process it to see if it should download the file (based on the file types on the Types & Options config page) and trigger to download the file if it does.

(Main Configuration Help)


Types & Options

Types & Options - GetRight Configuration

For some of the click monitoring methods, they are based on the type of the file of the URL. This is use to detect "download" file types, like .ZIP or .EXE and trigger GetRight to download those files.

• Automatically start downloading files of types: This textbox contains a list of file types which GetRight will immediately start to download. The defaults are the most common download types--executable files and several different compression types.

You may add more file types (file extensions) by entering them in the textbox. Be sure to use the format .XXX ? and * wildcards are OK. The period is required. Semicolons are not needed anymore, but won't cause any problems if it is there. Make sure there is a space or return between items in the list.

NOTE1: If GetRight prompts you about getting a file type and you select "Yes; and always get this file type with GetRight", then that type will automatically be added to this list.

NOTE2: With the click monitoring for some types (.GIF, .HTM, .HTML, .JPG, .JPEG), they will not be downloaded by GetRight even if they are in this list of types to get. Otherwise, if .GIF was downloaded by the click monitoring, GetRight could try to download every image on every web page you opened!

NOTE3: Several of the other web browsers don't use this list.

• Ignore all clicks for server(s): GetRight's click monitoring can be confused by servers that use forms or other URLs that appear to be EXE files. GetRight may incorrectly catch these clicks and download the web page. (A quick, temporary solution is to hold the SHIFT key when clicking on these URLs to tell GetRight to ignore the click.) If you frequently use a server that does this, you can add the server name to this list so that GetRight will ignore all URLs located on that server.

You should not use any thing except the server name (no paths.) You should use semicolons or spaces to separate servers if you have more than one. For example: www.abcde.com; www.xyz.com; ? and * wildcards are OK. (The wildcard checking isn't perfect, use something like *.abcde.com to work best.)

NOTE: Several of the other web browsers don't use this list.

• Advanced button: The Advanced button shows a window so you can view, add and edit combinations of server names and paths (in the URL) to specifically catch or ignore clicks. For example, this can be used if a website you visit often has sound events or a search script that triggers GetRight, and you want to stop GetRight from trying to download the sound files, but to continue catching other files from the website. There are several built-in example items for GetRight to work with known "exception" sites.

• Prompt in Web Browser for GetRight or Browser to download the file: GetRight can show a brief message in your web browser, asking what you want to use to download the file. This prompt will only show for a 5 seconds before having GetRight take over (the browser needs the function it calls to return pretty quickly). This only works in Internet Explorer.
• Alternate IE file type monitoring; not as compatible with Windows XP: GetRight 5.1 and earlier used "Method 1" for the click monitoring. This worked for many years. When Windows XP came out, there were a few quirks, and then when Windows XP Service Pack 2 arrived, there were some big issues. So we switched to "Method 2". We'd done Method 2 years earlier and had sent people information on using it if they were having problems--so it's been used for a long time too. The newer Save As replacement works well with either method, and avoids several of the quirks with each.

Quirks:

Method 1: With Windows XP SP2, Internet Explorer can switch to a "blank" page when GetRight takes over a download.

Method 2: Links won't show as "visited" in Internet Explorer. Can work better with other browsers based on Internet Explorer.

• Special Keys Button: Normally, if you hold the SHIFT key down when clicking in your web browser it tells GetRight to ignore the click, and holding CTRL+ALT tells it to catch any click. On the screen that shows from this button, you may change the key combinations for this catching and ignoring, or turn it off completely.

(Main Configuration Help)


More Browsers

More Browsers - GetRight Configuration

A variety of other web browsers are supported by GetRight.

Remember that any web browser will work with GetRight's Clipboard monitoring. Just right click a link in your web browser, and pick the menu for copying the URL to the clipboard. That will trigger GetRight and is a good "backup" method to quickly get any download into GetRight.

NOTE: If you change any of these values, you will need to close and restart the web browser for it to work properly.

Firefox: The best monitoring for Firefox is an add-on you can download here: www.flashgot.net

Mozilla, Firefox, Netscape 6.x (and higher) use a Plugin for click monitoring. The plugin method has been around for quite a few years, but has some real quirks, so I kept hoping a better way would be added into these other browsers--but it hasn't, so finally this plugin is built into GetRight instead of an extra file to download.

• If you do not have JavaScript turned on, you've got to click "Back" in your browser after every file is caught to go return and continue browsing. A message will be shown in your browser saying this. (If you do have JavaScript turned on, the message may flash for an instant, but your browser should return to the page automatically.)
• The types (MIME types) that GetRight will download are built into the Plug-In DLL. Unlike the monitoring for other browsers, you can't as easily control what types are downloaded or change them yourselves.
• The types that are built into the DLL are EXE, ZIP, RAR, and MP3.
• There's no way for the plugin to say "NO". Browsers Always send the types to this plugin...so SHIFT to ignore a click or CTRL+ALT to catch any click don't work as they do with the other click-monitoring methods. Plus the browsers all open a "page" to show the plugin (which says that GetRight took over the download)--so you always have to go Back a page after it catches a click. This can cause problems using the mail clients included with these browsers too...right click any attachments and choose the "Save To Disk" option.
• These are both related to how the whole plugin system was designed many years ago. Hopefully these browsers will add more ways to do click monitoring, or have extras like the DownloadWith add-on ( http://downloadwith.mozdev.org/ )
• More information about these plugins may be found at www.getright.com/opera.html

Opera can be set to send the URL to another program for different types of files. This adds the settings so GetRight will be sent the download for the same file types as the Plugin above. Some of the same quirks apply here, mostly not being able to use the SHIFT and CTRL+ALT keys. You won't have to click "Back" like the plugin, so it is an improvement! For this one, you can change and add more of these settings in the Opera preferences, on the File Types page using the ones GetRight adds as a guide (look at application/octet-stream for an example).

Netscape 4.x uses the same method GetRight has used for many years (back when Netscape 4.x was brand new!) It works well for people still using this browser. GetRight will be automatically triggered by Netscape to download the file types setup on the Types & Options config page.

(Main Configuration Help)


Save To

Save To - GetRight Configuration

This lets you setup default directories where files should be saved on your hard drive.

The radio buttons at the top control how the default directory should be setup. Depending on which one is selected, the bottom section of the form will change.

• Remember last directory used: Each time you are prompted where to save a file with GetRight, the last directory where you saved a file will be shown as the initial directory.

• One default directory for all downloads: Use a single default directory for all files. Whenever you are prompted where to save a file with GetRight, this directory will be used.
* A textbox will be shown where you may type in a directory, or click the "Browse..." button to pick the directory.

• Default directory by file type: Depending on the type of the file, different default directories may be setup. For example you could use this to save .EXE files to C:\INSTALL and .WAV files to C:\SOUNDS.
* The report list contains the file types (extensions) and default directories with textboxes below so you may select one item to change, or add a new value.
* Click on an item in the report to change its value or delete it (the buttons will be "Set" and "Delete").
* Click a blank area in the report to add a new value (the buttons will be "Add" and disabled "Delete").

You may enter several types for one directory by separating the extensions with semicolons, such as: .EXE;.ZIP; You may also use either ? or * wildcards in these extensions, such as: .HTM* &#16ArialArialArialArial0;The case (uppercase vs lowercase) of the text is ignored. A beginning * is not needed. (use .EXE instead of *.EXE).

NOTE1: To handle any other files that do not fit the specific types you set, use special file type of DEFAULT Any types that do not match any of your types will use the DEFAULT item's directory.

NOTE2: If no extension is found that matches the file type, and no DEFAULT file type value is found, GetRight will use the last directory used.

• Generate directory from download information: Subdirectories will be created whose name contains some information about the download. All subdirectories will be created under a parent directory.
* Parent Directory: The directory under which all the other directories will be created. Type in a value, or click the "Browse..." button to pick an existing directory.
* Server Name: The server name for the download is created under the parent directory. If the server name begins with ftp. or www. then those will be removed before the directory is created. So downloading a file from either www.getright.com or ftp.getright.com would create the directory .\getright.com\ for saving the files.
* Server Name and Path: The server name, and the path for the download is created under the parent directory. If the server name begins with ftp. or www. then those will be removed before the directory is created. So if downloading http://www.ArialArialserver.com/path1/path2/file.exe the directory .\server.com\path1\path2\ would be created and the file saved there.
* Source Web Page Server Name: Gets the current web page from your browser, the server name for the download is created under the parent directory. If the server name begins with ftp. or www. then those will be removed before the directory is createArialArialArialArialArialAriald. So downloading a file from either www.getright.com or ftp.getright.com would create the directory .\getright.com\ for saving the files.

NOTE for this item. The value calculated is NOT guaranteed to be right. Especially if you click a number of files in a row on different pages, or have many web browser windows open and are quickly switching between them when adding files, or other causes. GetRight can easily get the page from the wrong browser window. This also does take a little bit of time to request the URL from your web browser. If the source page can not be found, the download server is used.

* Current Date: The date when the download is started will be used as the directory name. The format used is Year-Month-Day, so Christmas 1998 would be \1998-12-25\. Or January 1st, 2000 would be \2000-01-01\.
* File Extension (Type): The file extension (or type) of the file is used, so setup.exe would create the \exe\ directory, or file1.zip would create the \zip\ directory.
* Custom: Allows custom directory formats. You can use all the special date variables from the Daily Downloads, as well as the following:

%SERVER% for the server name minus ftp. or www. (getright.com for www.getright.com)

%FULLSERVER% for the server name including ftp. or www.

%TYPE% for the file type (exe for setup.exe).

%PROTOCOL% either www or ftp.

%PATH% for the server's path to the file (\pub\files for www.xyz.com/pub/files/setup.exe).

%PATH-% for the server's path to the file, with / changed to - so only get one folder instead of many nested ones if the file on the server is deep. (-pub-files for www.xyz.com/pub/files/setup.exe). Also can do %PATH_% for _ or Arial%PATH~% for ~ as the replacement character.

%PAGESERVER% gets the web page from your browser and is the server name minus ftp. or www. (getright.com for www.getright.com/download.html) for the web page where the download link was clicked.

%PAGEFULLSERVER% gets the web page from your browser and is the server name including ftp. or www. for the web page where the download link was clicked.

%PAGEPATH% gets the web page from your browser and is the server's path to the page (\files\xyz for www.xyz.com/files/xyz/index.html).

NOTE for these %PAGEx% items. The value calculated is NOT guaranteed to be right. Especially if you click a number of files in a row on different pages, or have many web browser windows open and are quickly switching between them when adding files, or other causes. GetRight can easily get the page from the wrong browser window. This also does take a little bit of time to request the URL from your web browser.

• Use default name and do not prompt for file name: This causes GetRight to skip prompting you for the filename, and automatically uses the default name (if a file with that name does not already exist in the directory.) For example, if you were downloading http://www.getright.com/faq.html, GetRight would automatically save the file with the name faq.html (or faq.htm if you are using Windows 3.1) into your default directory and would not prompt you at all.

This may be used with the One default directory for all downloads or Default directory by file type or Generate directory from download information options.

• Automatically make unique file names: When using the "Use default name and do not prompt for file name" item above, you can check this item so that if there already exists a file with the default name, GetRight will add a number to make the new name different. For example, if PICTURE.GIF already existed, GetRight would save the new file as PICTURE-01.GIF. GetRight will try numbers from 01 to 99 to find an unused name, if all are used, GetRight will then prompt you.

NOTE: When a new file is downloaded by GetRight, the suffix .GetRight will be added to the filename on the disk to indicate that the file is not complete. When the file finishes downloading, then it will automatically be renamed to remove the .GetRight. From a user perspective looking at GetRight, this is invisible--it removes the .GetRight for prompts and for displaying. But it will be visible if you look at the files in the directory while they are being downloaded. You may turn off this feature and not add .GetRight to your partial files on the Advanced configuration tab.

(Main Configuration Help)


Internet

Internet - GetRight Configuration

This tab has three radio buttons at the top. Depending on which is selected, the bottom portion of the form will show different information to be setup. These settings allow GetRight to connect to the Internet to start a scheduled download, or to disconnect from the Internet when it has completed downloading files.

Always connected to Internet (or do not try to connect.):

• Use this option if either you have a full time connection to the Internet, or you do not want GetRight to try and connect to the Internet itself.

Connect using Windows Dial-Up Networking:

Plays sound "Dialer Connected" when the dialer connects to Internet.

Plays sound "Dialer Did Not Connect" when the dialer did not connect.

· Dial-Up connection(s) to use: Use this list to select one or more existing Windows Dial-Up Networking options. When dialing, GetRight will try all the different dialer items in sequence until it connects or reaches your limit for the number of retries. The ability to select several is very useful if your Internet Service Provider has different phone numbers you can dial. This will allow GetRIght to dial different phone numbers each time it tries.

NOTE: All options must share the same username and passwords. Up to 10 different items may be selected at once, if more than 10 are selected, only the top 10 will be saved when you click OK for the configuration window.

NOTE2: The special value "(GetRight Should Never Dial)" is used to indicate that you use Windows Dial-Up Networking (so that GetRight can hang up the modem when done, or do scheduled hang ups) but that GetRight should not dial itself--you should select this option if you use some other redialing program instead of GetRight. When this item is selected, GetRight will not try to dial--even if other items are also selected in the list! Also, Scheduled downloading may not function correctly if you have "(GetRight Should Never Dial)" selected and you are not connected to the Internet at the time the scheduled download starts.

· Advanced Button: When pressed, this brings up an additional window so you can set different login or proxy settings for each connection. The Proxy options are the same as those explained on the Proxy configuration item. More
· Username and Password: Enter the username and password needed to log into your Internet Service Provider (ISP). If you leave these fields blank, you will be prompted when GetRight dials to make the connection. If you are using the scheduling features, you will need to enter the username and password so GetRight can connect when you are not sitting at your computer.
· Redial if the line is busy: Pretty self explanatory. If the line is busy or other dialer errors occur, GetRight will redial.
· Reestablish Connection window title: This is the window title for the window that appears when the Windows Dial-Up Networking is disconnected (such as by unplugging the phone line from the wall.) The default will be correct for English versions of windows, but will need to be changed for non-English versions.

This text must be correct so that GetRight can close that window an free up the modem--otherwise you'll get "Device in Use" error messages when GetRight tries to redial.

Connect using Other Dial-Up Networking software:

This lets you setup other Internet dialing software which use different methods to dial or hangup the modem. If it is not one of the pre-defined items under the "Others" button, this will take more knowledge for you to setup. Even when other dialing software is setup correctly in GetRight, GetRight's "re-dialing if you are disconnected" feature will not work--but all other GetRight dialing features will work.

Others: This button will show a menu of other Internet dialing software that have been pre-defined with settings for GetRight. Select the item from the menu to fill in the settings for that Internet dialing software.

America Online: While GetRight can make America Online dial, hang-up, etc, it does not work nearly as well as when you are using Windows Dial-Up Networking. For example, extra message windows from America Online (such as special offers you are shown when you login) can cause GetRight to not detect that AOL has dialed and connected OK.

It is possible the settings will not be correct for all versions of AOL, or other language or country versions of the Internet software (for example, the "America Online" item has been tested with the US version of AOL 4.0 and 3.0, but not other country's versions of AOL).

NetZero: You must have setup your member ID and password in NetZero, and checked the item about "Remember my member ID and password the next time I connect".

• Internet connection window title contains the text: This must be a string of text that is in the window title that should only appear in the title of your other networking software. "XYZ Connected to Internet" would be a good entry, while "in" would not. This is used to tell when the other software has finished connecting, and to find which window needs to be closed to hang up (if setup below.)
• Connect if needed; to connect, run the command/script: Check this box to have GetRight run your other network software to start a connection. You must enter or select the correct command in the box below.
• To disconnect from the Internet

• Close the Internet connection window to disconnect: This option will close the window containing the text setup above when it is time for GetRight to disconnect.

• Run the command/script to disconnect: You must enter or select the correct command in the box below.

Other options:

• Always start automatic downloading when connected: Whenever your computer connects to the Internet, GetRight will start "Automatic" downloading. This would be useful if you want to keep downloading parts of a file whenever you are connected to the Internet.

Plays sound "Dialer Connected; Downloading" when this is triggered.

NOTE1: This is available when you are using any network connection software, but it generally works better if you are using Windows Dial-Up Networking. Depending on the network connection software you use, it is possible that GetRight checking to see if you are connected could cause your modem to dial. When you are not connected to the Internet, click the "Test" button to see if this causes your modem to dial. If your modem dials, don't turn on this item.

WHY: [If you want to know why: If you aren't using Windows Dial-Up Networking, GetRight tries pinging your proxy server (if you have one) or one of the servers that has files to download--if it responds, GetRight assumes you must be connected to the Internet. This method should work with any Winsock even without you setting up other things--so it will work for "Basic Mode" users too. But some Winsocks detect when you try to connect and will dial your modem automatically.]

NOTE2: This will start GetRight's Automatic downloading even if GetRight is not the program that dialed the Internet. This is good for the person whose files are being downloaded, but could be annoying for other people who share the computer because GetRight will start downloading no matter what program you use to dial.

WARNING: Be careful when using this setting with the Redial if Disconnected option on the Download Status window turned on. If both these are set, when someone dials (using any dialing program) GetRight ArialArialwill redial and continue downloading after they hang up (even if they hang up normally). You might want to use the "(GetRight Should Never Dial)" in the Dial-Up connection to use above if you use another dialing program that will redial by itself.

(Main Configuration Help)


(Advanced Internet)

Advanced Internet - GetRight Configuration

You can setup different values for Proxy servers or Login information for each Windows Dial-Up Networking connection. This is very useful if you have a number of different ISPs that all use different settings. You can put in the different values here, then GetRight will use the right ones for the connection you are using.

• Dial-Up Connections: Select any of your Windows Dial-Up Networking connections to set different settings GetRight should use with the connection.

• Username and Password: Enter the username and password needed to log into your Internet Service Provider (ISP). If you leave these fields blank, GetRight will use the username and password entered on the main Internet configuration page.
• Use different proxy server settings for this connection: Check this if the the connection has different proxy settings than on the main GetRight Proxy configuration page. When checked, tabs identical to the main GetRight Proxy configuration will be shown.


Proxy

Proxy - GetRight Configuration

A Proxy server is needed by users who are behind a security Firewall. The Proxy server enables these users to access the internet through the Firewall. These settings are most commonly needed by businesses, though some ISPs will also use proxy servers. If you are using proxy servers, and GetRight is not working correctly, the most likely problem is that something is not correct in these proxy settings. (And it can often take a bit of trial and error to figure out what it is if you can't get your network administrator to help get these settings correct.)

• Use PASV mode for FTP transfers: This setting is needed for some types of network connections (especially with some firewalls and proxy servers.) If FTP transfers are not working, try changing this value. If FTP transfers work fine, you don't need to change this.
• Use proxy servers: This checkbox is marked to indicate that you need to use proxy servers to connect to the Internet. (If you use proxy servers and GetRight doesn't work)

If this is not checked, the Proxy Server sub-tabs will be hidden.

Proxy server settings can be quite complex, and generally require more knowledge about how your network is setup. Hopefully you'll be able to accept the default entries, but if not, it may take some fiddling around to get a set of options that works best for your proxy servers.

If you use a proxy server and no servers will resume downloads for you.

HTTP Proxy

• server:port: If you use a HTTP proxy server to access the web, enter its address here. It must be of the form: server.name port for example www-proxy.headlightsw.com 8080

By clicking the Find button, GetRight will attempt to automatically determine this information from your web browser's configuration. You should be able to accept the value filled in for you. (Or you can ask your network administrator.)

• Use HTTP Proxy for FTP addresses: This allows you to have GetRight use your HTTP proxy server for getting both HTTP and FTP addresses. Try using this setting if GetRight is not able to download FTP addresses but is able to download HTTP addresses. (But try using the Use HTTP protocol with FTP Proxy server option before trying this one.) If this option is set, the FTP Proxy tab is not available.

NOTE: Depending on your Proxy server, GetRight may not be able to resume FTP downloads with this option set.

• Tell HTTP Proxy server to not use caches: Proxy servers may save data in case someone else makes the same request. The proxy server may believe that a request to resume a download at another point is the same as a previous request and return the wrong data. Turn on this option to tell the proxy server to not use its cache and go get the data from the server again.
• Login to HTTP Proxy server: Some HTTP proxy servers require the use of a username and password. If yours does, check this. You may then enter the username and password. You must check the checkbox for Password in order for your password to be saved since it is not highly encrypted. If you do not fill in the username and password, GetRight will prompt you each time it is needed.

TIP: If your proxy server does require a username, but not a password, then you should enter some text as a fake password so that you are not prompted each time GetRight would need the password.

NOTE: The stored password will be scrambled so it is not easily readable, but is not highly encrypted.

FTP Proxy

• server:port: If you use a FTP proxy server to access the web, enter its address here. It must be of the form: server.name port for example ftp-proxy.headlightsw.com 2121

By clicking the Find button, GetRight will attempt to automatically determine this information from your web browser's configuration. You should be able to accept the value filled in for you. (Or you can ask your network administrator.)

• FTP Proxy type: This drop-down list lets you select from different FTP Proxy server types. Most FTP Proxy servers use type "USER with no login". Ask your network administrator if this setting does not work.

NOTE: The "CONNECT Address" type is really for use if you are using an HTTP Proxy server as an FTP Proxy. If you set this option, you should make sure that the server:port entered is for an HTTP Proxy. With this option, you should also check the "Use alternate (PASV) ftp download method" option.

• Use HTTP protocol with FTP Proxy server: This allows you to have GetRight use the HTTP protocol when downloading FTP addresses through your FTP proxy server. Try using this setting if GetRight is not able to download FTP addresses.

NOTE: Depending on your Proxy server, GetRight may not be able to resume FTP downloads with this option set.

• Login to FTP Proxy server: Some FTP proxy servers require the use of a username and password. If yours does, check this. You may then enter the username and password. You must check the checkbox for Password in order for your password to be saved since it is not highly encrypted. If you do not fill in the username and password, GetRight will prompt you each time it is needed.

TIP: If your proxy server does require a username, but not a password, then you should enter some text as a fake password so that you are not prompted each time GetRight would need the password.

NOTE: The stored password will be scrambled so it is not easily readable, but is not highly encrypted.

SOCKS Proxy

• server:port: If you use a SOCKS proxy server to access the web, enter its address here. It must be of the form: server.name port for example socks.xyz.com 1080

By clicking the Find button, GetRight will attempt to automatically determine this information from your web browser's configuration. You should be able to accept the value filled in for you. (Or you can ask your network administrator.)

• SOCKS Proxy type: This drop-down list lets you select from different SOCKS Proxy server versions.
• Use SOCKS Proxy with HTTP/FTP Connections: These let you control if GetRight should just use the SOCKS proxy for either HTTP or FTP connections, but not both. For example, if you have a HTTP proxy and a SOCKS proxy available, you might just want to use the SOCKS proxy for FTP connections.
• Login to SOCKS Proxy server: Some SOCKS v5 proxy servers require the use of a username and password. If yours does, check this. You may then enter the username and password.

NOTE: The stored password will be scrambled so it is not easily readable, but is not highly encrypted.

Exceptions:

• Do not use proxy servers for connecting to servers: For some people who need to use a proxy server to connect to the Internet, they do not need to use a proxy server to connect to their Intranet (usually other servers for the business.) This allows you to have a list of servers that do not require using a proxy server.

(Main Configuration Help)


Connections

Connections - GetRight Configuration

This allows you to setup several options for what to do if there are problems with the connection to a server while GetRight is downloading. For most of these, you should be able to accept the default values.

Timeouts

• Timeout connection attempts after XX seconds: GetRight will return an error if it does not get a response from the server in the entered amount of time. Change the default if your Internet connection needs more time to make connections.
• Stop and Resume if no data received...: Sometimes a download will stop without being disconnected. Enable this option and set a number of minutes so that GetRight will automatically stop and reconnect to the server. This is very useful to "kick-start" a stalled transfer without you having to do anything. This "kick-start" timeout can be set differently for servers that will resume transfers vs. ones that must be restarted from the beginning. If the server resumes, there is no reason not to have a pretty short time.

For XX minutes if the server does resume:

For XX minutes if the server does not resume:

Retrying

• Assume server login or timeout error means server is busy: Many popular FTP sites have a limit on the number of users who may be downloading files at the same time. This allows you to set GetRight to automatically "redial" the server until it successfully connects or reaches the maximum number of times it should retry. If this option is not set, GetRight will prompt you to see if your username or password is not correct.

For some error replies (like "Password not accepted"), GetRight will be able to tell that it is a bad login, and will prompt you even if this is checked.

NOTE: With this option set, if your username or password are not correct, GetRight will NEVER connect and will continue attempting until it reaches the maximum number of times it should try to reconnect.

• Try to reconnect after XX seconds: Enter the number of seconds that GetRight should wait before attempting to contact the server again.

NOTE: While you can enter a value as low as 5 seconds, it is more friendly to other Internet users (and the server you are trying to download from) if you set this to a larger value and are not continually trying to connect to a busy server. If a server is busy, you may be much better off just waiting and trying at a different time of day when the Internet is less busy. The GetRight scheduling options can help you by scheduling downloads at times that are less busy.

• Try to reconnect up to XX times: You may set the total number of times that GetRight will try to reconnect to a busy server. Set this option so that GetRight will give up and not attempt to reconnect forever. GetRight may attempt up to reconnect up to 9999 times.

WARNING: You should set these numbers to a reasonable combination if you are using GetRight's scheduled downloading features--otherwise GetRight could try to connect all night if a server was down or very busy!

• If the server sends a delay time, use that value: Some FTP servers will send in their busy message something like "retry in 2 minutes". And sometimes if you don't obey that delay, they will block you from connecting at all for some time. With this item turned on, GetRight will try to find any delay time sent by the server and use that for the delay between retries.

Miscellaneous

• Rollback XX K on resumed connections: Because some data may have been corrupted when GetRight was disconnected, this allows you to backup a little bit and re-get a small amount of data to be sure that no errors are in the file on your computer. It is suggested that this be the about number of kilobytes (K) downloaded in 2 seconds, which will depend on the speed of your Internet connection. For most modems, the default of 4K is fine.
• Re-Use FTP connection if more files are on the same server: Some busy FTP servers can be difficult to connect with to download files. Once GetRight has connected to a FTP server, it can re-use the same connection to download several files from the same server without having to reconnect for each individual file. This option tells GetRight whether to re-use FTP connections or not. Re-using a FTP connection will over-ride many of the other options--such as all the files on the server will be downloaded, ignoring the Priority of other files that are on different servers.
• When downloading, Ping to help keep connection alive: Periodically pinging a server can help some a few people from being disconnected from the Internet by their ISP. GetRight will periodically ping each server from which it is downloading.

NOTE: This will not always prevent you from being disconnected; but it may help some users whose Internet Service Provider disconnects after a period of inactivity--where somehow it doesn't detect that downloading in progress means it is active.

(Main Configuration Help)


Speed Limit

Speed Limit - GetRight Configuration

This tab allows you to set some of the limits that GetRight will use.

• Speed Limit XX YY per second: These items let you set a speed limit for GetRight. GetRight will try to stay close to this limit when downloading (it probably won't hit this value exactly, but does get pretty close.) This feature will allow you to download files with GetRight and still use your web browser without as much loss of performance. A speed limit of 0 (in any units) is treated as no speed limit.

This textbox accepts only full numbers (no decimals) but by using the units, you can get the same effect. 1k is about 1000 bytes, and 1MB is about 1000k. So to enter 2.5k, you should enter 2500 bytes.

NOTE1: The "Always obey speed limit" item below, or the "Obey Speed Limit" menu/toolbar button on the Download Status window must be set for GetRight to obey this speed limit.

NOTE2: Just to be sure it is clear: this is an upper speed limit. Your connection may not have the ability to even reach this limit. Setting this value to something higher than your modem's capacity won't do anything. It won't turn your 2400 baud modem {bicycle} into a T1 {Porsche} by increasing this speed limit, sorry!

NOTE3: Segmented downloads and speed limits do not mix well. Segmenting is to get the fastest possible downloads, while speed limits are to reduce the speed. If both are enabled, Segmented downloads won't obey any speed limits.

• Always obey the speed limit: Whenever GetRight starts up, it will be set to follow the speed limit. This may be temporarily over-ridden by using the "Obey Speed Limit" menu/toolbar button on the Download Status window. Or this will be over-ridden if the Do not obey spArialeed limit when screen saver is active item below is checked, and the screen saver is running.
• Do not obey speed limit when screen saver is active: This makes the speed limit much smarter. If the screen saver is running (so it is likely you are not browsing or doing other things on the computer) then GetRight will stop obeying the speed limit and download as fast as it can. This does over-ride the Always obey speed limit item above if the screen saver is running. Of course, this works much better if your screen saver is set to come on after just a few minutes instead of an hour...

NOTE1: This option is only available if you are using Windows98 or Windows2000 or higher. This is not available for Windows95 or Windows NT 4.0.

(Main Configuration Help)


Login

Login - GetRight Configuration

Web Sites and FTP servers can require you to login to download files. Different sites and servers can use different methods to know you're logged in.

For FTP servers, it is always on the FTP & Basic configuration page.

For web sites that show a popup window it is on the FTP & Basic configuration page.

For web sites where you fill in a form on the page itself it is on the Web Page and Cookies configuration pages (most web sites are like this).

(Main Configuration Help)


FTP & Basic

FTP & Basic - GetRight Configuration

Some servers require a username/password in order to download files. You may setup a set of usernames and passwords here so you do not have to type them in each time you download from those servers.

Note: While the stored passwords are scrambled so they are not readable, they are not strongly encrypted. If you have concerns about security, you shouldn't enter any passwords here.

The top portion of this contains a report listing Server/Path, Username, Password with textboxes below so you may select one item to change, or add a new value.

• Click on an item in the report to change its value or delete it (the buttons will be "Set" and "Delete").
• Click a blank area in the report to add a new value (the buttons will be "Add" and disabled "Delete").

The Server/Path is used to tell GetRight where to use this username/password. Adding a path to the server name should be used to indicate that different directories (such as those pointing to different user accounts) or different servers need different usernames or passwords to log in. If a URL contains the text in the Server/Path entry, then GetRight will try the corresponding username and password. If it does not work, GetRight will then try the next one in the list until it gets to the bottom of the list.

The Server/Path is optional, and if the Server/Path box is left blank, an asterisk " * " will be shown in the report indicating that this username/password should be tried at any server. But it is not as efficient if GetRight has to try many username/passwords to find the one that works, so it is recommended that you do use this field where possible.

GetRight tries the username/passwords in order from the top to the bottom. Use the Up and Down buttons to move the more common items you will use to the top of the list.

A sample:

Server/Path Username Password

ftp.xyz.com mike 12345abc

ftp.abcd.com rebecca 6789mnop

Registered users of GetRight are allowed up to 100 entries. Unregistered users are limited to just one.

• Try Anonymous download before checking list for Username/Password: By default, GetRight will try logging in anonymously--not using any login information. If that fails, then it starts to check this list for a username and password to use. Some sites seem to not like this (causes a reconnection too fast?). If you want GetRight to skip the first anonymous attempt and start checking this list for the first connection, uncheck this box.

Note1: GetRight does not recognize asterisks " * " or question marks " ? " within other Server/Path entries (but .xyz.com in the list will be treated as *.xyz.com*)

Note2: The text may be anywhere in the URL, GetRight just looks to see if the text is there. So a Server/Path entry of "xyz" would be found in the URL "ftp://ftp.abcd.com/pub/texyz10.exe". This shouldn't be a problem, since GetRight will just try the next one if it doesn't work.

(Main Configuration Help)


Web Page

Web Page - GetRight Configuration

Some web sites require you to fill in a web page form (which then normally sets a Cookie) so that the site knows you have logged in.

You can setup GetRight to know how to fill in these forms so it can automatically login and download from these sites. If you use this, be sure GetRight is set to directly accept and send Cookies on the Cookies configuration page.

When adding or editing you set the URL for the login page (such as http://login.yahoo.com/ ) and the range of sites where it should be used (.yahoo.com).

Click the Download Form from URL button to get the web page and the form displayed so you can fill in the fields.

It does use the actual form element names from the HTML of the web page, so can be a little more cryptic than on the web site directly. But usually it is easy to figure out what they mean (passwd = Password, etc.)

(Main Configuration Help)


Cookies

Cookies - GetRight Configuration

Cookies are small bits of information that can be sent by a web site to a web browser that is then sent back later when visiting other pages on the same site. This allows a web site to know you are logged in, etc. But cookies can also be used for other tracking you might not want (like tracking advertising).

Some web sites will require the correct cookies be sent (or accepted directly by GetRight and sent back) in order to download files. You can choose how cookies should be used below.

• Use Cookies from web browser: Some web sites require cookies in order to download files from their server. This option allows GetRight to read cookies saved by your web browser. GetRight will never save or change any cookie information in your web browser's cookies. (Most sites that require cookies to download require that you send a cookie value that was previously sent to your web browser.)

This reads either Microsoft Internet Explorer or Netscape Navigator/Communicator cookies.

• Directly accept and send Cookies: GetRight can also directly accept cookies. Some web sites will require this (such as http://groups.yahoo.com/). This must be used if you are using the Web Page login options. You may use the other items to choose how and when GetRight should clear all its cookies.

(Main Configuration Help)


Downloads

Downloads - GetRight Configuration

GetRight can add files to its download list and then start downloading the file, or it may just add the file to the list so that you may start downloading it later, or ask what you want.

• Start downloading newly added files immediately: Check this option if you wish to have GetRight start downloading files as soon as they are added to your list.
• Add them to the list, but do not start downloading new files: Check this option if you wish to have GetRight just add downloads to your list, but not start downloading them.
• Ask me if files should be downloaded now or later: This lets you have GetRight ask you what it should do when adding a new files. You can say which files to start immediately, and which to just add to the download list to be done later.

• Set new files to be downloaded later if GetRight is already working do download this many files: If there are that number of downloads currently in progress, any new downloads added to GetRight's list will skip any Now/Later prompts and always be added for downloading later.

(Main Configuration Help)


Automatic Mode

Automatic Mode - GetRight Configuration

These limits will be obeyed when GetRight is doing Automatic downloading. You may exceed these limits when starting file downloads yourself.

• Up to XX files at the same time: When resuming or scheduling downloads, this controls how many files GetRight will try to download at the same time. For a 28.8 modem connection 2-3 is probably the most you would want to download at the same time.

NOTES: This option is over-ridden if you select to resume multiple downloads by hand from the Download Status window. There are limits in many Windows network connections so that you are usually limited to "only" about 13-14 files/connections downloading at the same time.

• Up to XX connections at the same time (total): This lets you control your number of Files at once separately from the number of Connections at once. When doing Accelerate (Segmented) downloading, one file may use far more than one connection. If you have several files at once and all of them could be trying to do Many segments, this lets you keep the total number of connections to a reasonable number.

There are limits in many versions of Windows network connections so that you are usually limited to "only" about 13-14 files/connections downloading at the same time. Windows NT/2000/XP don't have these limits, but Windows 95/98/ME do. When doing Segmented downloading, each segment counts toward this limit.

• Up to XX connections at the same time from each FTP server:

Up to XX connections at the same time from each HTTP server: These two are used to limit GetRight from download too many files from the same server at the same time. These do not over-ride the "Download up to XX files at the same time" above. These allow you to set a higher number in that box (such as 5 at once total) and keep GetRight from downloading all 5 from a single server.

This should help improve performance when downloading from busy servers and make some server administrators happier. Some servers (particularly FTP servers) will limit the number of connections you may have at once anyway.

While some Internet connections can handle a large number of downloads at once, it is not nice to servers (and their administrators) to download large numbers of files from one server at the same time. When doing Segmented downloading, each segment counts toward this limit.

• Use Priority levels for download ordering: This is the older, "classic" way GetRight does the file ordering. You say if a file is in one of 5 priority groups (High, Medium, etc.). When a new download is to be started, it picks one from the highest priority next--but within each priority the order can't be set.
• Use Exact Ordering to set the download order: This a newer way to set the order, the Download Status will have a column showing a numbered order, if you sort by that column, you can drag and drop the files to the exact order you want. There are also menu items to reorder as well.

• Repeat download list XX times. (To retry "broken" links, etc.): When GetRight finishes the list of downloads, you may set this so that GetRight will reset itself and repeat Automatic downloading for the remaining items in the list. This is especially useful if there are still some items that were not downloaded because the server was busy, or the link was temporarily broken, etc. You can also have GetRight pause before repeating the list. This is useful to allow any busy servers time to get less busy.

• Always do "Automatic" downloading when starting a new download: Whenever a download starts, GetRight will enter "Automatic" downloading mode. This will make GetRight start more downloads when those in progress are finished and obey the limits for the number of files at once.

NOTE: Since "Automatic" mode is also intended for downloading with no user needed (or available), GetRight will also show no error messages or other user messages--and just skip to the next download if there is an error. This also will make the Web Page Processor not prompt about processing the page! But you may now use command line parameters to process a page on your hard drive. From a DOS prompt, enter GETRIGHT /? for a list of all command line items and options.

• Pausing a download turns off Automatic Downloading mode: If you pause or stop or cancel any downloads in progress while doing Automatic downloading, GetRight can be set to continue using automatic downloading.

(Main Configuration Help)


Mirror Search

Mirror Search - GetRight Configuration

GetRight can track many Mirrors (other possible addresses) from where a file may be downloaded. GetRight will find the fastest of the different addresses to improve your download speeds. Also, if one server is busy, or if GetRight is unable to reconnect to a server, it automatically switches to use a different Mirror for the file.

When downloading, GetRight does check that the files for alternates are exactly the same size as the original file, but it is always possible that some files returned by these searches will be the same size and name, but do not contain the same contents (DISK1.ZIP is a definite candidate for this). Most files have names unique enough to not be a problem. But if two file have the same name and size, this could cause GetRight to end up with a corrupted file after the download. If you want to be completely safe from this happening, do not use Mirror Searching; or only use it when the file names are not likely to conflict with names someone else might have used.

• Automatically use the selected Mirror Search methods: For some file types (.EXE .ZIP) GetRight can automatically do these file mirror searches for you. There are several different mirror searching methods described below.
• Only use the selected Mirror Search methods when you choose to search: You can tell GetRight do mirror searches either by checking the boxes on the "Save As" or other windows when adding the download into GetRight, or under the Options button on the download window itself. When these are selected, GetRight will use the methods you have checked.

• Use GetRight's list of mirrors for common servers: If you start downloading from one of the most common mirrored sites or their mirrors (such as Simtel.net or TUCOWS) GetRight can automatically calculate a list of alternate addresses. GetRight uses a MIRRORS.LST and MYMIRROR.LST in the directory where it is installed to calculate these alternates. You may uncheck this item if you do not wish this to occur.

Update: This was the original way GetRight used to find mirrors. It still works fine for sites in its list, but most sites are not in its list. Some of the newer methods, especially the FileMirrors.com that automatically build the database of mirrors are much more effective.

• Use FTP search services to find mirrors...: GetRight can automatically use one of the sites which allow searching for many different addresses where a file may be found. This is more likely to find alternate addresses for a file, but can take a bit more time (usually has to download between 25k and 40k). You may pick which server to use for these FTP searches. If you click the magnifying glass button, GetRight will ping these servers to choose the fastest for you from the drop-down list. As the name implies, FTP searching will only find mirrors on FTP servers.

Update: The biggest site that used to provide this service ftpsearch.lycos.com has totally shutdown their ftp searching service. Our own FileMirrors.com is your best bet!

FILENAMES: The file name must contain two numbers to avoid searching for alternates of things like "SETUP.EXE" or "DISK1.ZIP". Most programs to download do contain a number as part of a version in the filename. If the file name is used by more than one unique file (like "DISK10.ZIP" is), this FTP searching could produce incorrect alternates.

The FTP Search server does give an approximate file size to GetRight. If this isn't close to the size of the file from the original URL, the alternate(s) will be removed when GetRight connects to the original URL. If GetRight connects to any alternates later that aren't really exactly the same size as the original URL, it will remove those alternates.

PRIVACY: As part of the FTP searching process, the FTP search server is sent the name of the file to search for. No full URL is sent. With any Internet connection, your IP address is available to the server you connect to; but no other personally identifying information is sent. If you turn this feature on, the FTP search request is only sent to the server you set.

• Use FileMirrors.com service for searching for mirrors...: This is an anonymous URL sharing service for users of GetRight. If another GetRight user downloaded the same file before you, but found a different mirror for the file and shared that information, this lets you find the mirror they used. And if you share, any people downloading the file after you can then find the mirror you found too. Even better, if you're the 100th or 1000th person downloading the file, you may get many mirrors.

Sharing the URL when using this service is optional. But the more people who do share, the better the database will be and the more mirrors everyone can find. There are enough people sharing that the database of mirrors is very good, but the more the better!

Since this search sends the exact file size, this search method is less restrictive than FTP searching about trying to make sure the file name is unique.

More Info about FileMirrors.com.

PRIVACY: When searching with this service, GetRight will send at least the file Name and Size. You may optionally also include the URL so it can be added to the FileMirrors.com database and help others searching for the same file. With any Internet connection, your IP address is available to the server you connect to; but no other personally identifying information is sent. If you do not want to use this service, make sure this item is unchecked.

The information in the database may be used for aggregate statistics for things like "yesterday's most requested files" on the FileMirrors.com website.


(About FileMirrors.com)

FileMirrors.com is an anonymous URL sharing service for users of GetRight. If another GetRight user downloaded the same file before you, but found a different mirror for the file and shared that information, this lets you find the mirror they used. And if you share the information, any people downloading the file after you can then find the mirror you found too. And if you're the 100th or 1000th person downloading the file, you may get many mirrors.

Many sites list a number of locations where you can download a file (sometimes buried a few pages deep). Different users will click or find different ones. As different users share the one URL they clicked on, the FileMirrors.com database will add them as possible mirrors for a file with a specific name and size. With enough users sharing, this will let everyone find more mirrors for downloading files!

Sharing the URL when using this service is optional. The more people who do share, the better the database will be and the more mirrors everyone can find. Even when this sharing is enabled, this service is not intended for use with all files:

• GetRight will only use this service for EXE or Compressed file types--EXE, ZIP, RAR, etc. No images, web pages, etc.
• GetRight will only use this service for downloads that do not use a username/password.
• GetRight will only use this for files at least 100K in size.

PRIVACY: When searching with this service, GetRight will send at least the file Name and Size. You may optionally also include the URL so it can be added to the FileMirrors.com database and help others searching for the same file. With any Internet connection, your IP address is available to the server you connect to; but no other personally identifying information is sent. If you do not want to use this service, make sure the item is unchecked.

The information in the database may be used for aggregate statistics for things like the "yesterday's most requested files" on the FileMirrors.com website.

Mirror Search Configuration

Using FileMirrors.com when Recovering Lost Downloads


Mirror Options

Mirror Options - GetRight Configuration

GetRight can track many possible addresses (URLs) from where a file may be downloaded. GetRight will find the fastest of the different addresses to improve your download speeds. Also, if one server is busy, or if GetRight is unable to reconnect to a server, it automatically switches to use a different alternate URL for the file.

Calculating Mirrors (Alternate Addresses for a File):

GetRight can use a variety of methods to search for Mirrors. You can control how it searches on the Mirror Search configuration page.

In order to make this process work even better, GetRight will select its list of alternate URLs based on geographic locations--a closer server should offer faster download speeds than one that is located on the other side of the Earth. GetRight will select servers based on those that are located in your country, then those in your country list (where you can list the closest other countries), your Continent, then the rest of the Earth.

• Country Code: The country code for Internet addresses in your country. For example, "us"=United States of America, "jp"=Japan, and "be"=Belgium. Servers in your country will be given first priority when GetRight calculates a list of alternate servers. List of All country codes.
• Country List: A list of other countries. This should normally be used to list other countries that are closest to you. Countries in this list will be given second priority when GetRight calculates a list of alternate servers.

Separate countries codes with a space. List of All country codes

• Continent: Contains a drop-down list of all the continents. Countries in your continent will be given third priority when GetRight calculates a list of alternate servers. (Yes, few people will actually need "Antarctica" but you never know--the scientists down there might use GetRight :-)

• When adding, if the file name is the same as that of an existing URL: Pretty much as the options describe. For example, if you have http://www.getright.com/grsetup.exe in your download list already, and start a new URL that points to a file with the same name (grsetup.exe in this case, such as http://www.xyz.com/files/grsetup.exe) you can choose if it should automatically be added as a Mirror address for the original download, added as a new and separate download, or ask you which of those it should do.

• Find fastest server: This option allows GetRight to calculate the fastest server for downloading in the list of alternates. Once it has found the fastest server in the list of alternates, it will switch to downloading from that server.
• Recalculate fastest server every XX minutes: (Enabled when Find fastest server is checked.) When this option is checked, GetRight will periodically recalculate the speeds to all the servers. If the current server is no longer the fastest server, GetRight will switch to the current fastest server.

NOTE: Setting a small time for this could actually slow down the download--since GetRight could easily spend time reconnecting to different servers each time it recalculates the speed.

NOTE2: If the current server is nearly as fast as the fastest server, GetRight may not change servers. You may always pick the button to the right of the URL field on the individual download forms if you wish to change to a different server.

• Switch servers if getting less than XX bytes per second: This option enables GetRight to change to a different server if the server is sending data very slowly. If the average for several minutes is less than the number of bytes per second entered, then GetRight will switch to an alternate URL.

The number of bytes per second to enter will vary depending on your modem, telephone lines, patience, etc. For a 28.8 modem, which usually transfers at about 2.5K/sec (or about 2500 bytes per second), a value of 500 bytes per second (or about 1/5th the capacity) might be correct. You will need to watch your transfer rates and pick an appropriate value (multiply your average K/sec value by 200 to get a reasonable value to use here.)

• Preferred servers: This option enables you to enter a list of favorite servers. GetRight will give preference to these server when selecting the URLs and when changing between URLs. It is recommended that servers entered here should support resuming, should be mirrors of common download sites, and should be geographically close to you.

Servers in this list should be separated by spaces.

(Main Configuration Help)


Accelerate

Accelerate - GetRight Configuration

GetRight can automatically do Accelerated (Segmented) Downloading. GetRight can split the file and download different pieces at the same time. For some Internet connections, this can dramatically improve the speed of the download.

Use this to control if and how GetRight will automatically segment your files, different file size ranges can do different numbers of segments; or you can choose to always do the same number of segments.

• Do not Auto-Segment for these servers if no mirrors are available: Some servers restrict so you can only have one connection at a time. If you attempt to Segment a download from one of these, you might get an error. If you often download from a server with this restriction, you can add to this list so If no mirrors for a download are available, GetRight won't segment downloads from that server. (* and ? wildcards are OK. Separate items with spaces. For example: *.xyz.com *.abcd.com )

To set so no files will be segmented unless mirrors are available, you can just put a * in this box.

(Main Configuration Help)


BitTorrent

BitTorrent is a way of communicating between computers to transfer files very efficiently. Just like HTTP and FTP are protocols that also transfer files. The key difference is that HTTP and FTP are protocols designed for you to download the file from one central server. (GetRight has stretched the protocols to do its Acceleration/Segmenting which allow it to download from more than one place at a time. But it still just downloads the file from X central servers, it can just use more than one of them at a time.)

BitTorrent is different: you communicate with other people who are downloading the same file ("peers" in BitTorrent lingo). Instead of downloading from one place, you will download small pieces of the file from different peers--and you'll connect to a bunch of peers, up to 20 in GetRight. There often is a "seed" peer that has the whole file, to get the file started and send pieces so all the parts are available to be passed around between peers.

In addition to downloading pieces from different peers, you will be sharing and uploading the pieces you've already downloaded back to other peers. So if peer A has piece 1 and you download it, peer B may later ask you to give it piece 1. This sharing is required and is part of the whole BitTorrent protocol, there's no way to not share. The faster you share pieces with a peer, the faster it will allow you to download its pieces.

Another advantage is that BitTorrent has built in information so the pieces of the file can be validated to make sure it is 100% the same as the original file (another big improvement over HTTP/FTP.) You should never have a bad BitTorrent download.

Because of how BitTorrent works, it is better if your computer can be listening for other peers trying to download the same files. GetRight does try to set this up automatically (if your router/firewall supports Universal Plug-and-Play) but not all versions of Windows or routers allow this.

To start a BitTorrent download, you first download a .torrent file, which has the data GetRight needs to do the download. The options on this page control how GetRight will use these files.

You can set so GetRight will download all .torrent files, and if GetRight should use its BitTorrent downloading for any .torrent files it downloads. If you use a different BitTorrent download program, you may want to turn these off, or set so GetRight downloads the .torrent, but uses the other program to handle it, etc.


BitTorrent Network

For BitTorrent downloads, it is better if your computer can be listening for other peers trying to download the same files you are downloading. (The default settings should be used unless you know what you are changing.)

You should pick the Use GetRight for Port Forwarding, then try the Test button. If it doesn't work then try the Use Windows for Port Forwarding and test that too.

www.getright.com/portforward.html has much more information about Port Forwarding and GetRight. If neither of those work, or if you're curious about what it's doing, you should visit that page.


BitTorrent Sharing

For BitTorrent downloads, you will be sharing data with other people downloading the same file. It is more friendly for other users if you leave the window open and keep sharing when you have finished a file, helping them finish too.

You can set so GetRight will upload at a maximum rate, or have it base the upload rate on a portion of the total speed.


BitTorrent Connections

For BitTorrent downloads, you will be sharing data with other people downloading the same file. People who you share with will allow you to download from them.

You can control how many active uploads and downloads each Torrent will have. Unless you really know what you're changing, you should leave these settings alone.


BitTorrent DHT Network

The DHT Network is for sharing contact information, so people downloading the same file can discover each other.

It is like the Six Degrees of Separation idea, where if you go from a friend to a friend's friend to a friend's friend's friend, within six friend jumps, you can have a connection between any two people on Earth. (Or even more fun is Six Degrees of Kevin Bacon, doing the same with actors in films.)

The DHT Network lets computers do that. Your computer would have a small number of friends ("peers"), and when it needs to find the people downloading the same Torrent™ file you are, it would start with its peers (friends), who would direct you peers that are closer to what you want, and those would direct you ever-closer to the one you want. After repeating the process a few times, you'll find the peer with the information you need.

More Information


GetRight Pro

GetRight Pro - GetRight Configuration

GetRight Pro has many features that are not included in the standard GetRight.

Uploading lets you send files to a server in addition to how GetRight can get files.

Scripts let you automate all the features in GetRight, from downloading to turning off the computer.

As Proxy lets other programs download thru GetRight so the other program can get the benefits of GetRight's ability to resume downloads, dial a modem, etc.

Client/Server lets you have several computers, and have all of them send so only one of them will do the downloading.


Uploads

Uploads - GetRight Configuration

This is a GetRight Pro Feature!

GetRight Pro allows you to upload files to a server in addition to downloading files from a server. Most of the settings for uploads are set on the Server Synchronizer since logins, etc are specific for each server. You can choose so that GetRight Pro will prompt you to confirm when it adds uploads.


Scripts

Scripts - GetRight Configuration

This is a GetRight Pro Feature!

GetRight Pro supports a powerful scripting language. This scripting allows a wide variety of advanced downloading, uploading, scheduling, and other functions to be performed.

On the scripts configuration page in GetRight Pro, you can choose to enable scripting. For security, all scripting features are off by default.

This Scripting help assumes you have some knowledge of programming languages. GetRight's language is pretty simple and commands are in pretty plain English. There are some examples of common tasks at the bottom of this page.

When scripts are enabled, a new menu will be included in GetRight Pro's tray icon menu to allow you to run scripts.

Notes:

· .GRM is the default type script (macro) files.
· Some constant things I've used in these documents: FILE-PATH is a full file path and name, such as C:\Program Files\GetRight\GetRight.exe URL is a full URL, like http://www.get-right.com/getright_setup.exe SYNC-NAME is the name of an item on the Server Synchronizer list. TEXT is a message, or text to add to a log file, etc. Especially if any of these have a space, they should be included in " quotes.
· Each command is on a separate line, any line that starts with // will be treated as a comment and ignored.
· Any parameter shown in [square brackets] is optional. Any list in (parenthesis) and separated by a | bar means one of the list items must be included.
· Scripts are slow by design. Scripts will run one step a second. Even a crazy infinite loop that would lock in other languages won't do any sort of real CPU usage.
· You can use any of the script commands from the command line as well! This would let another program, such as a web page editor, send an upload request into GetRight Pro.

Special Scripts

STARTUP.GRM

If enabled on the GetRight Pro--Scripts configuration page, this script will be run when GetRight is started. This script is located in the folder where GetRight is installed.

WHENDONE.GRM

If enabled on the GetRight Pro--Scripts configuration page, this script will be run when a download or upload is finished. This script is located in the folder where GetRight is installed. All the "When Done" type scripts also have some special values you can use:

%FILE% is the full path and name of the file that was downloaded.

%FILENAME% is just the name of the file that was downloaded.

%SIZE% is the size of the file downloaded.

%URL% is the address where the file was downloaded.

%MD5% is the MD5 value generated for the file.

WHENDONEDOWNLOAD.GRM

If enabled on the GetRight Pro--Scripts configuration page, this script will be run when a download is finished. The special values above may be used.

WHENDONEUPLOAD.GRM

If enabled on the GetRight Pro--Scripts configuration page, this script will be run when a upload is finished. The special values above may be used.

Flow Commands:

loop

exitloop

endloop

if

else

endif

if message "TEXT"

A Windows message box will be shown, with YES/NO buttons. If YES is chosen, the if block is done. If NO is chosen, the ELSE is done (or the block is skipped if no ELSE block is included.) TEXT is the message to show, it should be included inside quotes: "text".

if day ##

True if the current day of the month is the number specified (nice for a backup script that should only be done on the first day of the month.) ## can be a comma separated list: 1,3,5,7

if weekday ##

True if the current day of the week is the number specified (nice for a backup script that should only be done on Monday.) 1 - Sunday, 2 - Monday, etc. ## can be a comma separated list: 2,4,6

if month ##

True if the current month is the number specified. 1 - January, Duh. ## can be a comma separated list: 3,6,9,12

if file FILE-PATH

True if the specified file exists

if url URL

If block will be done if the specified URL exists (and the script won't continue until it checks...so a connection error could stop at this command for 30 seconds or so.)

if filetype .XXX;.YYY

For a WHENDONE.GRM script, the if block will be done if the file that finished is of the type given. You can have several in a list separated by ; semicolons, and may use ? or * wildcard characters.

if filename XXX.XYZ

For a WHENDONE.GRM script, if the file name of the file saved on your computer matches the value. You can have several in a list separated by ; semicolons, and may use ? or * wildcard characters.

if (downloads|uploads|more)

True if there are items in the lists to be finished (as seen on the Download Status). Either uploads or downloads, or just more of either to be done.

if internet

True if you're connected to the Internet

if working

True if there are files currently in progress downloading or uploading

Function Commands:

add URL

Simply add a URL to be downloaded. The normal saving settings from the General--Save To configuration will be used, so you should set to have GetRight have where to save the files, skip asking, etc.

automatic (down|up|downup|updown|off)

Turns Automatic Downloading either on or off. The different parameters indicate whether to do just downloads, just uploads, or both (which include the order, downup is downloads first then uploads, updown is uploads first.) off turns automatic mode off.

beep

Makes a noise.

dial

Dials the default modem settings on the Internet configuration page. It will wait until the dialer window has connected (or failed) before continuing with the script.

done

Stops the script

download URL to FILE-PATH [wait] [later] [overwrite]

Adds a URL to be downloaded. The path and file name are given too. You may add the optional WAIT parameter so the script will pause until the download is complete (or fails) or you may add the optional LATER parameter so the download will be added to the list, but not started. Adding the OVERWRITE parameter will tell GetRight to overwrite any existing file with the name.

exitscript

Stops the script

hangup

Hang up the modem.

hangup when done (on|off)

Turns the Hangup When Done switch on or off.

import FILE-PATH

Import a GRX file that is a list of downloads. (See the File--Import/Export functions on the Download Status).

log FILE-PATH "TEXT"

Appends text to a log file. TEXT is the info to add to the file, it should be included inside quotes: "text". For security, the file name must end in .log or .txt or .nfo. You can use any of the special values.

message "TEXT"

Show a message with an OK button. TEXT is the message to show, it should be included inside quotes: "text". The message window has a countdown timer, so will go away after 3 minutes.

open FILE-PATH

Runs the program on your computer that is the default program in Windows for viewing the file (like Word for .DOC files). You may include %FILE% in the FILE-PATH if this is used in the WHENDONE.GRM script...%FILE% will be replaced with the full path and file name of the file that has been downloaded. Normally, you'd do "open %FILE%"

Note that for security reasons, this OPEN command is disabled by default, see the GetRight Pro--Scripts configuration page to enable the "Allow scripts to run other programs"

quicktip "TEXT"

Shows a short message text in a small window that shows above the tray icons, useful for a brief status or something simple (about 50 letters will fit). The message will automatically go away after a few seconds.

redial (on|off)

Turns the Redial switch in GetRight on or off.

run FILE-PATH [wait]

Runs a program on your computer, to scan a file for viruses, etc. You may include %FILE% in the FILE-PATH if this is used in the WHENDONE.GRM script...%FILE% will be replaced with the full path and file name of the file that has been downloaded. The FILE-PATH should usually be in quotes, likely even doubled-up for this one: ' "C:\Program Files\VirusScan\Scan.exe" "%FILE%" '

Note that for security reasons, this RUN command is disabled by default, see the GetRight Pro--Scripts configuration page to enable the "Allow scripts to run other programs"

script FILE-PATH

Starts another .GRM script, quite useful to have the STARTUP.GRM script run a set of other scripts.

shutdown [prompt] [getright|standby|hibernate|logoff|hard]

Turns off the computer.

There are many parameters to do different types of shutdowns. If none are included, it will just shutdown normally. If PROMPT is included, it will ask about shutting down or not (with a countdown timer in case nobody is at the computer.)

shutdown when done (on|off)

Turns the Turn Off Computer When Done switch on or off.

speedlimit (on|off)

Turns the Speed Limit switch on or off.

speedlimit ## (b|kb|mb)

Turns the Speed Limit switch on with a set speed, measured in the units per second (speedlimit 2 kb would be 2 kb per second.)

stop all

Stops all downloads that are in progess.

sync SYNC-NAME

Runs one of the server-synchronizer items, just specify the name of the item to be executed.

syncdown URL to FILE-PATH [wait] [later]

Checks the URL to see if it is newer or a different size than the file on your computer, if it is GetRight adds the URL to be downloaded. You may add the optional WAIT parameter so the script will pause until the download is complete (or fails) or you may add the optional LATER parameter so the download will be added to the list, but not started.

syncup FILE-PATH to URL [wait] [later]

Checks the URL to see if the file on your computer is newer or has a different size, if it is, GetRight adds the URL to be uploaded. You may add the optional WAIT parameter so the script will pause until the upload is complete (or fails) or you may add the optional LATER parameter so the upload will be added to the list, but not started.

upload FILE-PATH to URL [wait] [later]

upload FILE-PATH to SYNC-NAME [rename NEWNAME] [wait] [later]

Upload a file from your computer.

If you use the URL format, you should include the username and password in the URL using the format: ftp://username:password@ftp.server.com/path/

If the URL ends in a /, the file name from FILE parameter will be used as the name of the file; if the URL doesn't end in a /, it uses the part after the final / as the name...so be careful with /'s!

upload c:\file.exe to ftp://user:pass@server.com/

upload c:\file.exe to ftp://user:pass@server.com/newfile.exe

If you're uploading to a server-synchronizer item, you may also use an optional RENAME NEWNAME to give the file a different name on the server.

You may add the optional WAIT parameter so the script will pause until the upload is complete (or fails) or you may add the optional LATER parameter so the upload will be added to the list, but not started.

wait # (minutes|seconds|hours)

waits for a specified number of seconds/minutes/hours (both minute/minutes, hour/hours and second/seconds are understood)

wait ##:## (am|pm) [today] [SMTWTFS]

Waits for a specified time. If the optional TODAY parameter is included, and the current time is later than the time in the command, the script will continue now (and not wait for the time to arrive tomorrow)

The optional parameter SMTWTFS are flags for the different days of the week, use - to not do a day. So -M-W-F- would do Monday, Wednesday and Friday.

wait for all done

Waits for everything in progress to finish.

wait for automatic done

Waits for automatic mode to be done (off, so everything that can be done is done.)

Variables

Script items can use the same special variables as the Daily Downloads and other functions. These let you include dates and other information, such as to download a file so the name has the date included.

Examples

//Turns off the speed limit at a time in the evening, and back on the next morning

//The extra things at the beginning with "today" let it work no matter the time the script is first run :-)

speedlimit off

wait 06:00 today

speedlimit on

loop

wait 18:00

speedlimit off

wait 06:00

speedlimit on

endloop

//Another speed limit one, with different speeds throughout the day.

//Also using the same "today" trick to skip to the right time and speed if it starts at any point in the day.

wait 8:00 today

speedlimit 5 kb

wait 12:00 today

speelimit off

wait 13:00 today

speedlimit 10 kb

wait 20:00 today

speedlimit off

loop

wait 8:00

speedlimit 5 kb

wait 12:00

speelimit off

wait 13:00

speedlimit 10 kb

wait 20:00

speedlimit off

endloop

//A file that should be downloaded whenever it changes. Will check every 2 hours.

//syncdown will check the file, so only downloaded when it really changes.

loop

syncdown http://www.server.com/the_file.zip to c:\work\the_file.zip

wait 2 hours

endloop

//Upload a file if it exists, giving a different name each day.

//Also dialing if needed, hanging up if it's done (and nothing else is happening)

//and logging that the file was done.

loop

if file C:\Backup\log.txt

dial

upload C:\Backup\log.txt to ftp://user:pass@server.com/log-%D%-%MM%-%YYYY%.txt wait

log C:\Backup\done.txt "Done: %D%-%MM%-%YYYY% md5=%MD5%"

if working

//Something else going, don't hang up.

else

hangup

endif

wait 24 hours

else

wait 1 hour

endif

endloop

//A simple WHENDONE.GRM script.

//Check a file for viruses, as well as Trojans

run "C:\Program Files\VirusScan\Scan.exe" "%FILE%" wait

run "C:\Program Files\TrojanScan\Scan.exe" "%FILE%" wait

//Give me a message on my birthday.

loop

if month 6

if day 9

message "Happy Birthday Michael!"

exitscript

else

//right month, wait a bit until we get to the right day.

wait 8 hours

endif

else

//Wrong month, wait a day (could reasonably wait longer since also waiting for the 9th, but whatever.)

wait 24 hours

endif

endloop


Web Access

GetRight Pro can run as a simple web server, which allows you to view and control the download list on your computer from anywhere in the world. You can view your download list, pausing and resuming items, and can even add new downloads. (Start that new game demo downloading to your home computer while you're at work...even view the progress as it's downloading.) This does require that you are able to connect in to your computer from the "outside". Your should visit the Web Access page for the most current information and help.

The Username and Password are highly recommended. This keeps so just you can add/view downloads on your computer.

The Port is part of the address where GetRight will be listening. Tt is the number you would add after the server name (if you have one or use the Dynamic DNS) or the numeric address. For example, to connect to your computer, you might use something like: http://mike.getright4me.com:3680/

The Title is just the text that is displayed at the top of the webpage you view. It can be set to whatever you like.


As Proxy

As Proxy - GetRight Configuration

This is a GetRight Pro Feature!

GetRight Pro can act as a Proxy server. This allows another program to download through GetRight. The other program will get the benefit of GetRight's ability to resume downloads, dial a modem, etc. If errors occur, GetRight Pro can resume the download, etc., with the other program not even being aware that there had been a problem.

This feature is designed to help other programs that do auto-updating or download data (such as a virus scanner that gets virus updates.) You normally should not use this as a proxy for your web browser.

When GetRight and the other program are running on the same computer, the server IP address to use in the other program is 127.0.0.1 (or you can use localhost, but that doesn't seem to be defined on all computers, while 127.0.0.1 will work every time.) On the As Proxy configuration page in GetRight, you can set the port for GetRight Pro to use for the proxy server, normally it is 2088. You will need this port number when setting up the proxy server settings in the other program.

You can open the GetRight Proxy window by right clicking on the GetRight Pro tray icon, then in the Tools menu, pick the GetRight Proxy item. The actual IP address and port used will be shown in the window title. You may need it if GetRight is running on one computer and the other program is running on another. A log of the addresses will be shown in a box in the window. You may check the "Show full headers" checkbox to show the complete transfer information.

(Main Configuration Help)


Client/Server

Client/Server - GetRight Configuration

This is a GetRight Pro Feature!

GetRight Pro can operate in a Client-Server mode. If you have several computers you use, but want only one of them to do the downloading, this is the feature for you!

When you click a link on computer B, it is sent to computer A so it is added to A's download list. The only setup is on the Client/Server configuration page in GetRight Pro. You must tell if the computer is a client or the server. You may also set a name if you desire (useful if more than one person in an office uses this same feature.)

The computers will need to be connected on the same local network, such as your house or likely within a single building in an office.

You may turn the Client/Server settings On or Off, as well as setting if the computer is a Client or the Server.

The sharing group allows you to have several sets of computers on the same network that are in different GetRight Client/Server groups. So computers 1, 2, and 3 could use 1 as the server; while 4, 5, and 6 used 6 as the server.

(Main Configuration Help)


Interface

Interface - GetRight Configuration

This lets you setup how windows and the interface of GetRight looks and works.

• Download Windows As: This item lets you pick how the individual download progress windows should be displayed. If changed, any current downloads will be changed to the display method you pick here. (You may also change this on the Download Status window.)

Normal Window = Show as a regular window. (In Basic mode, all windows are shown as normal windows.)

Minimized Windows = Regular window, but it starts minimized in the taskbar.

Tray Icons = As a small icon in your tray icons in the taskbar. Right clicking on the tray icon will show a menu to allow you to restore the larger window, pause/resume the download, or close the download. Double-clicking on the tray icon will restore the normal window.

Hidden (on Download Status) = Windows are not visible. You can view the information on the Download Status window. Note that if the Download Status window is not open then the downloads will be started as minimized windows. Also, if the individual windows are hidden, and this Download Status window is closed, the individual windows will be changed to be minimized instead of hidden. (Otherwise it is very hard for you to stop or view the status of the downloads!)

GetRight Pro Feature: GetRight Pro will have more choices here. It allows you to control the window settings for uploads, downloads, and automatic mode separately.

• Use smaller download windows: Makes the individual download windows about one third smaller (less images and animations too.) [You must have purchased GetRight for this item to be available.]

NOTE: Changing this will not change any download windows that are currently open. You must close and re-open any download windows for the size change to take effect.

· Use "classic" graphics in toolbars and menus: While we really like the new graphics [image] some people prefer the older ones [image]. Note that even if you do choose this, some graphics will still use the newer style--such as new features where an older classic graphic does not exist.

• More screen reader compatible menus and buttons (no graphics): All the icons in the menus and buttons with pause/resume icons on them look nice, but can make it a bit more difficult for people using screen readers in GetRight. This lets you turn them off.

(Main Configuration Help)


Sounds

Sounds - GetRight Configuration

This form lists events that occur within GetRight and lets you associate a sound with each of these events.

Events:

• Address Added: When a new address is added to GetRight's download list.
• Address Added as Alternate: When a new address is added as an alternate address to an item in GetRight's download list.
• Alternates Calculated: GetRight was able to calculate alternate addresses where a file may be downloaded.
• Connection Broken: When GetRight loses the network connection to a server where it is downloading
• Connection Error: When there was some error making a network connection to start downloading the file.
• Connection Timed Out: When GetRight was not able to start the transfer because the server did not respond.
• Dialer Connected: When the GetRight dialer has connected to your Internet Service Provider.
• Dialer Connected; Downloading: When the computer has dialed the Internet, and "Always start automatic downloading when connected" is enabled on the Internet configuration tab.
• Dialer Did Not Connect: When some error occurs when GetRight is dialing your Internet Service Provider.
• Dialer Starting to Dial: When GetRight is starting to dial your modem.
• Finished All Downloads: When everything in progress has completed.
• Finished All (With Some Errors): When automatic mode ends but some files were left in the list because of errors.
• Finished Download: When GetRight has finished downloading each file.
• FTP Browser Logged Into Server: When the GetRight Browser has successfully connected and logged into a server. This is useful if the server was busy at first and GetRight had to retry...the sound alerts you when GetRight was able to connect.
• Prompting to Hang Up: When GetRight shows the prompt that gives you 30 seconds to cancel hanging up your modem.
• Prompting to Login: When GetRight shows the prompt to ask you for a username/password to login to the server.
• Prompting to Turn Off Computer: When GetRight shows the prompt that gives you 30 seconds to cancel turning off your computer (or shutting down Windows.)
• Re-Using FTP Connection: GetRight finished downloading a file, and another file is on the same FTP server, so GetRight is switching to download the next one from the same server.
• Server Will Not Resume: When a file being downloaded may not be resumed. (If this sound is selected, it may cause the Start Downloading sound to not play--especially if this is a long sound.)
• Start Downloading: When GetRight has connected to the server and has started to download a file.
• Start Downloading (Resume): When GetRight has re-connected to a server and has continued to download a file that it had already partially downloaded. If no sound is set for this, the Start Downloading sound will be played.
• Starting Scheduled Download: When GetRight starts downloading at a scheduled time.
• Switch to Alternate Address: When GetRight switches to continue the download from a different server.

Click the GetRight Sounds button to set All the sounds that come with GetRight. If you like the voice, she has recorded more sounds for other windows events (like "You've Got Mail", etc.) If you don't like the voice, there are some other sound effect recordings (many in other languages). Both are at www.getright.com/otherfiles.html

Click the play button to play the sound for a selected action.

Click the None button to clear the sound for a selected action. No sound will be played.

Click the Use Default button to use the default Windows beep sound for the selected action.

Click the Browse... button to select a sound (.WAV) file to associate with the action.

(Main Configuration Help)


Icons

Icons - GetRight Configuration

This lets you change the look and function of some of the tray icons.

• Tray Icon: Use the slider to move between several built-in tray icon choices. Or click the tray icon picture-buttons to pick any icon (.ICO) file off your computer.
• Drag-Drop Window Icon: Click the button to select any icon .ICO file to use for the icon. Click "Cancel" on the open file window to clear the icon.

• Double-click tray icon opens: By default, GetRight opens the Download Status when you double click the GetRight logo tray icon. With this you may pick several different GetRight windows to be opened when you double-click that icon.

• Include "X" in Tray Icon menu: You can choose which sub-menus are included when you right click the main GetRight tray icon. Selecting one of the items will run the program, or view the file.

• Icons in menus for "Recent Finished Files": Show the correct Windows file-icons in the menus for running the recent finished files. If you have a slow computer, getting these icons may slow down the menu displaying, so you may turn off those icons. (This applies to both the optional Recent Finished Files in the tray icon, and the Recent Finished Files in the Download Status window, File menu.)
• When downloading as Tray Icons, show percent text in icon: When showing the individual download windows as tray icons, this lets you control whether or not GetRight will include the tiny numbers to show the percent. (On some monitors, might not be too readable).
• When downloading as Tray Icons, use alternate Tray Icon color: When showing the individual download windows as tray icons, the default color is Red on a Black background. With this checked, it uses Green on the default "gray" color.

NOTE: You must restart GetRight after making this change.

· When downloading, animate GetRight's Tray Icon: When downloads are in progress, it will do a smaller version of this:

(Main Configuration Help)


Advanced

Advanced - GetRight Configuration

Some other fancy options for the serious downloader.

• Expert mode; no delete or cancel confirmation prompts: Avoid a few of the "Are You Sure?" type prompts. For the individual download windows, this causes clicking "Cancel" or closing the window to assumes you do want to finish the download later.

• Include GetRight items in Internet Explorer right-click context menus: GetRight can add some items into Internet Explorer's context menus. For example, when you right click a link, it will have a menu item for "Download with GetRight". If you do not want these menu items, uncheck this box. (You may have to restart your browser if you make changes to this one.) This requires that the Internet Explorer click monitoring is turned on. If Internet Explorer click monitoring is turned off on the Monitor configuration page, this will be turned off as well.

• Automatically check for new versions of GetRight every X: GetRight can check to see if a newer version of GetRight is available. Uncheck this if you do not want GetRight to do this check automatically. You can set the time interval to control how often GetRight will check. You may also check by hand, using the menu item under the Tools menu on either the GetRight Tray Icon, Download Status or GetRight Browser windows.

• "Turn Off Computer When Done" really does X: You can control what GetRight really does when it does when the "Turn Off When Done" option is on. The default is to really shut down the computer, but you may change to do any of the listed choices to make it Hibernate, Log Off, etc. Note that not all computers may support Stand By or Hibernate or other modes. For now, GetRight's windows and prompts will still say "Turn Off" even if it will do something different when it actually goes to perform its "turn off" function.

Most of the items are obvious. The Shut Down (Hard) one will have Windows kill all programs--without even giving them time to cleanup. If your computer seems to often get "stuck" waiting for someone to respond to "End Task" messages, it might be worth trying this. Otherwise, this one is not recommended. And be surArial;e to save all your work and close all programs you can when using this option!

• Try to prevent computer entering Stand By mode when downloading: You can set your computer to enter "Stand By" mode after a time of inactivity--no user input. If GetRight is downloading at the time the computer tries to enter Stand By mode, you may wish to have it wait until after GetRight has finished so that the download completes.

• Reset all prompts with "Don't Ask Again" checkboxes to ask again. Pretty obvious.

(Main Configuration Help)


Log Files

Log Files - GetRight Configuration

Log files can help you keep a record of what you have downloaded and where files came from.

• Write *.txt file with any comments you enter for a file: If you enter a comment for a file (either on the "Save As" window, or using the Download Status, Downloads->File Comment menu), GetRight can save that comment into a .TXT file with the file on your hard drive. This can be very useful to figure out what the file is at a later time. (For example, if you saved the file "getrt400.exe" with the comment "GetRight 4.0 Installer", GetRight would write that comment into a file named "getrt400.exe.txt"

GetRight also includes some other useful information about the file (such as the URL, source page, and date you added the file).

• Write *.log file for each downloaded file: This option has GetRight write a separate log file for each file it downloads. This file is the same name as the file downloaded, with .log added. This file contains information about when it was downloaded, and from where it was downloaded, etc.
• Write "Downloads.txt" file with file names and comments (or names and URL if no comment) in each folder where you download files: Pretty obvious, it's an index type file for every folder where you save downloads.
• Write "Descrip.ion" file with file names and comments (or names and URL if no comment) in each folder where you download files: Pretty obvious, it's an more specialized index type file for every folder where you save downloads. Some other programs will use this to show extra information about the files.

• Keep a single log of all downloads: You may enter a path and filename to have GetRight store some information as it starts and stops downloading files. This log file will contain information about every file that is downloaded by GetRight. Click the Browse button to select the path and filename using the standard "Save As..." window.
• Maximum log file size XX KB: This allows you to limit the size to which the log file will grow. Whenever GetRight is started up, it will trim the log file so that it is this size. A value of 0 means GetRight will not limit the file size.
• You may also pick what information to include in the combined log. The "download start, stop, and resume" item will make the log bigger and harder to find items.

(Main Configuration Help)


Protocols

Protocols - GetRight Configuration

• User Agent: To make GetRight send something different as the "User-Agent" in a HTTP request. If this is left blank, then GetRight will send its own user agent--the exact text includes the version number, so is different for each version of GetRight. A few common user agents (Netscape Navigator, Microsoft Internet Explorer) are included in the list, along with some rare ones, and a few I just made up.

WARNING: Some sites have "blocked" GetRight for various reasons (like the features to let you get many files from their server, or because their methods don't work well with GetRight's click monitoring.) Changing this may let you get back in--but they can block your address completely so you can't get in with ANY program. So Beware!

• Send "Referer" in HTTP requests: GetRight (just like your web browser) sends a "referer" header to tell the server where you clicked on a link to the file. GetRight does calculate a value from your web browser for this, but it can easily be the wrong URL if you have several browser windows open. Uncheck this to not send any referer information.
• Calculated from open web browser page: GetRight uses the value it calculated from your web browser. This can be the wrong value [web page] if you had several browser windows open when you started the download.
• Generated from the download URL: Send a generated value for the "referer". The value is generated as: http://server/path/index.html where server is the server name from the URL of the file and path is the directory to where the file is located (so for "http://www.xyz.com/files/setup.zip" the referer sent would be "http://www.xyz.com/files/index.html"). This will help with some servers that do checks that you clicked on the link to the URL from their web site--and GetRight is getting the referer from the wrong browser window. Or you can check this if you wish to send anonymous "referers".
• Random from the download URL: Sends a somewhat randomly generated value for the "referer". The value is generated from the URL of the file being downloaded (using some of the "Generated" one above to be the same server), plus some other random small changes to make it look like a regular page. This may help with some servers that do checks that you clicked on the link to the URL from their web site. [Exactly how this is randomly generated is likely to be changed with each version of GetRight.]
· Send the URL as the Referer: Sends the URL for the file being downloaded as the Referer.
• None except GetRight's Referer key in the Registry: Normally won't send any referer value at all. The Advanced Users item below describes the location of the special cases where it will send a referer value.

WARNING: Some sites have "blocked" GetRight for various reasons (like the features to let you get many files from their server, or because their methods don't work well with GetRight's click monitoring.) Changing these may let you get back in--but the server administrator can block your address completely so you can't get in with ANY program. So Beware!

Note: "Referer" was misspelled in the original HTTP documents, so I've spelled it the same here to match.

• Special Referer Values button: Some sites sometimes require specific values for the Referer. Check www.getright.com/faq.html

about sites you're having problems downloading from--there may be an update to add the right registry settings. This shows a simple form so you can view, edit and add any special referer exceptions you need for sites that expect a specific value. There are several built-in example items for GetRight to work with known "exception" sites.

• TIP: Referer value is used as a template and is changed: %URL% replaced with the current full URL of the file. %SERVER% replaced with the server name of the file being downloaded. %PATH% replaced with the path to the file--including beginning and ending / characters.

So http://%SERVER%%PATH%index.html for the download http://www.xyz.com/blah/blah/file.exe would result in http://www.xyz.com/blah/blah/index.html as the referer.

• EMail Address for Anonymous FTP logins: Many FTP servers require your email address to login to download files. This email address will only be used by GetRight for logging into FTP servers.

By clicking the Find button, GetRight will attempt to automatically determine this information from your web browser's configuration. You should be able to accept the value filled in for you. (Most FTP servers actually only check for some text followed by an @ sign, so you can safely leave the default getright@ and be able to log into most FTP servers.)

(Main Configuration Help)


Saving

Saving - GetRight Configuration

• Add .GetRight to filenames until done downloading: By default, GetRight will add .GetRight to each filename that it is in progress downloading. This allows you to easily see that a download has not yet completed downloading. If you do not want this to happen, you may turn it off with this option.
• Set file dates to match the date of the file on the server: Pretty obvious, if the file date on the server is June 9, 2002, GetRight will set the file date/time to be the same when the file has finished downloading. Note that not all files will GetRight be able to get the date from the server.
• Create (empty) files on the hard drive as soon as downloads are added: By default, GetRight will create empty files on your computer for files it will be downloading. If you don't want it to create the files until the download is actually started, use this item.
• Don't add .GetRight to file names for music and video file types: Some music (.MP3 .WAV) and video (.MPEG .MOV .AVI) types may be viewed when the file hasn't completed downloading--you can hear or see the portion that has been downloaded. To make it easier to preview these types, GetRight can be set to not add the extra .GetRight to the file names for those types.
• Add any comments entered on the Save As window to the file name: This has GetRight append any comments for a file that you type in on the Save As window to the name of the file you select. This helps you identify some cryptic names with a better description, but saves the more cryptic name too.

For example, if you pick to save C:\Downloads\g60.exe and give it the comment GetRight 6.0 installer, the actual name of the file GetRight will save on your computer is C:\Downloads\g60 - GetRight 6.0 installer.exe

• Do extra write caching to reduce disk activity. GetRight can save the data it downloads in memory, then write in much larger batches. This is in addition to the normal disk caching that Windows itself will do. This can really reduce the amount of disk activity if you wish. But because data is not written quickly, if GetRight or Windows crashes you can lose all the data that is in memory and not yet written. But of course GetRight will just resume from the last point where it did save the data to the disk.

(Main Configuration Help)


When Done

When Done - GetRight Configuration

This lets you setup what GetRight does when it finished downloading each file.

• Virus Scanner program to use: This contains the filename and path for a program to be started when GetRight completes downloading every file. The local path and filename of the file GetRight has downloaded is appended to this when the program is run. This program would normally be a virus scanner, but could actually be any program you want (such as WinZip). Click the Browse button to select the program, orfontArial;Arial;-family:Arial; font-family:Arial; click the "Search" button to automatically calculate your virus scanner. Or type in the filename and path. You may also enter any other command line parameters for the program being run. You can use %FILE% to embed the path to the file anywhere in the command for the virus scanner, for example:

C:\Program Files\AntiVirus\scanner.exe -file="%FILE%" -x

NOTE: All current virus scanners do some type of "automatic" protection and scan files when you start to run the file, etc. Having GetRight send the file to a virus scanner can help double check and give you peace of mind, but likely is not really be needed. And well over 99% of viruses come by email. I've never downloaded a file infected by a virus, but can get dozens or hundreds of infected emails a day.

• File types to send to Virus Scanner when finished downloading: This is a list of file types that need to be checked for viruses. Make sure you use the format .XXX; Not all files really need to be scanned (such as images or sounds) but if you put a .* in this box, every file will be scanned. You can use wildcard characters here.

• When finished getting the file, close the download window: This controls whether or not the GetRight status window will close when the file has completed downloading to your computer.

NOTE: If you are in "Scheduled" or "Automatic" download mode, or if the window is hidden or shown as a tray icon, the windows will be closed even if this item is not set.

• File types to Open (View) when finished downloading: This is a list of file types that should be opened when they finish downloading (for example a sound file would be played by your default sound-player). Make sure you use the format .XXX; If you put a * in this box, every file will be opened. You can use wildcard characters here.

Some good contents for this box (which you can cut-and-paste into the box):

.GIF; .JPG; .JPEG; .JPE; .WAV; .MOV; .MP3; .MPE;

This is used to set the default value for the menu item under the Options button on the download window. You may use the menu item on the download window to change the "Open When Done" behavior for each file.

NOTE: Be aware that opening every .EXE or other files which could contain a virus is not a good idea. Your virus scanner may not have had time to find or remove the virus before a .EXE file is run, so you should usually NOTfont-faArial;mily:Arial; automatically open all types (*) or programs (.EXE;).

If the file is from a location you recognize and trust (such as TUCOWS or Microsoft or Netscape), you may always set the "Run When Done" item under the Options button on the download window for the file manually.

NOTE2: If GetRight is currently setup to shut down the computer when it is done downloading, it will Not open the files. This is so the computer doesn't sit waiting for someone to click "OK" in some other program before it finishes shutting down.

(Main Configuration Help)


Shortcuts

Shortcuts - GetRight Configuration

To help you find files you need to install, GetRight can create "OneRun" shortcuts for program files it downloads. These are special shortcuts that will automatically be deleted once you double-click them to run the file!

You may choose a few standard locations for the shortcuts to be placed on your computer or choose a Custom location.

If using the Custom location, you can use a few special values:

%DESKTOP% to mean your User Desktop.

%COMMONDESKTOP% for the shared Windows Desktop.

%START% for your User Start button.

%COMMONSTART% for the Shared Start button.

%MYDOCS% for your My Documents folder.

Example:

%MYDOCS%\Finished Downloads\

Notes: You should only use ONE of these special values at a time. Because of how these special shortcuts work, they can be moved, but if so, they won't delete themselves after they are run.


Notifications

Notifications - GetRight Configuration

These options can allow you to have GetRight notify you using some "other" method when it has finished downloading a file. This is most useful if you have a pager/cell phone/etc that can get text messages or email. With this, and some wireless device you can do something else, but still be notified when the file in GetRight is done. You probably do not want to have these done for every file, but just for that "really important file" like a new game or movie trailer.*

Do notifications for Every file downloaded: Not recommended, but if you want to be notified for every file, this will do it.

Only when you choose extra notifications (use Options button in each download window): In the download window for each file, can turn on the extra notification.

• Open a web page in your browser: This is most useful if a web site form lets you send text messages to a pager or phone.

• Run a program or command: If you have another program that can be used to notify you in some way...such as a program that lets you send text messages to a phone or dial a pager.

• Send an email: Send yourself an email. Good if you can get email on a pager or cell phone or a portable-handheld-wireless computer. Or could be used with the GetRight Mail Control to tell you when it finishes the files you've sent to GetRight by mail.

Special Values:

For any of the items (web page, program to run, email message) GetRight can replace a few text items with values about the download it finished.

%INFO% is a generic one, "filename Done" kinds of things.

%URL% is the full URL.

%FILE% is just the file name saved on your computer.

%FULLFILE% is the full file name and path on your computer.

* We thought it was kind of odd when someone requested it, but after a bit of thought, we agreed that occasionally it would be nice to go outside, but still be notified when that file is done. So here it is :)


Miscellaneous

Miscellaneous - GetRight Configuration

A few of the items you can change that don't really fit anywhere else.

• Hangup Prompt Timer (Seconds): When using the "Hangup When Done" item, GetRight uses a default 30 second timer to let someone cancel in case the computer is in use. You may change the timer here.
• Shut Down Prompt Timer (Seconds): When using the "Turn Off Computer When Done" item, GetRight uses a default 30 second timer to let someone cancel in case the computer is in use. You may change the timer here.

• Show simpler estimated time remaining: Shows the time remaining in a simpler format ("About x hours, x minutes remaining.")
• Do GetRight Browser if download a web page: You uncheck this to have GetRight never start its Browser when it downloads a web page. (If GetRight is in "Automatic" mode, it won't prompt you to process the web page either.)
• Debug web browser click monitoring: For a few people, the GetRight click monitoring has stopped working. To help figure out why, you can turn on Debugging for the GetRight click monitoring. A GetRightClick.log file in the directory where GetRight is installed will be used to store information about the GetRight click monitoring.

NOTE: You should NOT do this unless you are having problems with GetRight catching clicks in your web browser. The log file may slow things down as it gets large--and it can grow quickly.

NOTE: You must restart your web browser after changing this value.

• Keep "History" items in drop-down-lists and menus: GetRight will remember a few of the recent items you have entered for many windows (such as when typing in a URL, it remembers the last few you typed in.) If you do not want GetRight to remember any of these history items, uncheck this.
• Closing the Download Status shows any "Hidden" downloads as Tray Icons: If GetRight is downloading with "Hidden" window, if the Download Status is closed, it normally changes them to be tray icons, otherwise they are impossible to see and stop without re-opening the Download Status (and having "invisible" downloads confused a number of people). If you wish, you may use this to have GetRight to leave the windows as hidden.
• Show "Added" tip if a new download would otherwise not be visible: If you have set to use the default name and not prompt on the Save To page, and set so files are downloaded later on the Downloads page, any file added wouldn't be visible. If that is true (and a few other conditions can cause this) then GetRight can show a small window that says the download was added. This small window will appear near the mouse cursor and will disappear in a few seconds.
• More aggressive clipboard monitoring. Get all file types except: You can use this option if you want GetRight to be much more aggressive about its clipboard monitoring. With this checked, almost any URL will be caught by GetRight. The box below lets you set some types it should still try to not do--the default is just web pages. Wildcards ? or * are accepted. Use spaces to separate items in the list. The default values are:

.HTM* .ASP .?HTM* .HTS .STML .SHTM*

• Maximum Download List Size: You may use this to set the maximum number of downloads that GetRight will track at the same time. A higher number will use more memory, and depending on your hardware, could slow down GetRight or your computer. If you have a fast computer with lots of memory, you may not even notice the difference. You can use a value between 10 and 5000. 500 is the default value. You will need to restart GetRight after making this change. Unless you actually hit the 500 file limit, it's better to not change this value.

If you have not yet purchased GetRight, you may only increase this limit to be 1000.

(Main Configuration Help)


GetRight Browser

GetRight Browser - GetRight Configuration

This lets you setup several options for how the GetRight Browser functions.

Tabs:

[General] [FTP] [HTTP] [Save]

General Tab:

• Save Username and Password login information: Control whether the GetRight Browser saves the username and passwords for your sites. If it doesn't save, it is more secure (if you're worried about someone finding your passwords); but if you do save it is easier to go back to servers (since you don't have to put in the information each time.) The GetRight Browser does "scramble" the passwords so they are not readable, but they are not strongly encrypted.
• Show directory change error messages: Control whether the GetRight Browser gives a message, or just shows the folder in the color red if there is an error viewing or opening the directory.
• Program to use for "View Page Source": Use the program of your choice to view the web-page or ftp-server source.

• Do not use proxy server when using browser: Normally, the GetRight Browser uses the same proxy server settings as the rest of GetRight. Some people's proxy servers don't allow browsing FTP sites but they are able to connect directly as well.
• Number of Temporary files (cache) ____: Sets the number of directories that the GetRight Browser will save so it does not have to re-get the directory contents every time. A larger number will save more time if you visit lots of directories, but takes more space on the disk. Probably just leave it alone unless you have a reason to change it.

(Top of Page)

FTP Tab:

• Hide files whose name begins with a period: UNIX servers consider files that begin with a period to be "special" and they are usually hidden when showing the directory contents.
• Show server path to starting directory in tree: Show or hide the path to get to the starting directory. For example logging into ftp.xyz.com with username mike, may put the real starting directory as /usr/m/userpages/mike/ Leave this unchecked to hide some of the ftp server directory structure that you usually don't need to see.
• Double-Click views *.TXT and *README* files: Lets you view text files, or readme files by just double-clicking them. If unchecked, does the default "download" option when double-clicking.

Viewing the file only occurs if a single item is selected in the list, you are viewing a FTP server, and the file ends in .TXT or contains either the text README or 0INDEX.

For viewing the file, it uses the same program you have setup on the General tab, Program to use for "View Page Source" item (Windows' Notepad is the default.)

• Try to keep FTP connections alive: Tries to keep the connection to a FTP server from timing out by sending occasional harmless commands to the server so it will reset its timer.

Note: Some servers don't like this, or know what it is trying to do, so this is not guaranteed to work for every server!

• Extra LIST command parameters: You can tell GetRight to use any extra parameters for getting the browser's FTP directory listing. For example, -la will show hidden files and directories (at least on some servers.) Unless you've got a special need, just leave this one blank.

(Top of Page)

HTTP Tab:

• HTML Tags in file list: The GetRight Browser can show or hide different types of web-page items from the list of files. Uncheck the HTML tag types for any you want to be hidden from the list.
• Other HTML Tags to hide from file list: The GetRight Browser can hide other types of web-page items from the list of files. For example, if a new tag <JUMP HREF="here"></JUMP> is ever added, you could use this to hide those items.
• HTML "Directory" file types: The GetRight Browser shows whether a link is a file to download or a directory based on the file type. You may add or remove types to this list to make items show as directories. * and ? wildcard characters are OK. Separate items with spaces.

(Top of Page)

Save Tab:

• If several files selected, save all files into one directory. Unchecked = use settings from main "Save To" configuration tab when several files selected: Controls whether the GetRight Browser uses the settings from your Save To setup or prompts for one directory for saving files when you are saving many files.

• Download all files later: GetRight will not start these downloads now if this item is checked (and will not prompt about downloading them now or later.) You will need to use the Download Status form to start these downloads later. This is useful if you're adding many files at once.
• Play "Address Added" sound: If you are adding many files, having GetRight play the "File Added" sound for each one can be very annoying. This turns off playing the sound while these addresses are added.

(Top of Page)


Advanced Tips

Below are some advanced features, tricks, etc.


Command Line Options

GetRight accepts many command line parameters to let you open windows or automate tasks with GetRight.

GetRight command line items:

GETRIGHT = Start GetRight.

GETRIGHT http://... = Download the specified URL.

GETRIGHT ftp://... = Download the specified URL.

GETRIGHT [/Q] filename.grx

= Import a GetRight exported file list.

/Q = (Quiet) Do not show any results messages.

Must be before the path and filename of the .grx file.

GETRIGHT filename.lst = A list of URLs to be added to GetRight's list.

One URL per line. Does not start downloading.

GETRIGHT filename.urls = A list of URLs to be added to GetRight's list.

One URL per line. Does not start downloading.

.URLS files are setup to be 'viewed' by GetRight from Windows.

And by the web browser MIME type 'application/x-url-list'.

GETRIGHT /URL:"x" /FILE:"x" [/W] [/O] [/L]

= Start downloading the URL to a specific file.

/URL: = The URL x of the file to download.

/FILE: = Local path+name x to save the file.

Be sure to use quotes around the value

if there is a space in the filename!

/W = (Wait) Does not return until file is done.

Downloads as a separate *program*.

These won't show well in the Download Status.

Must be use with START /W to actually wait!

/O = (Overwrite) Overwrites any existing file.

/L = (Later) Adds only, doesn't start downloading now.

GETRIGHT /CLOSE = Closes GetRight tray icon and any other windows.

GETRIGHT /CONFIG = Opens the GetRight Configuration window.

GETRIGHT /DIAL [/W] = Dial Internet with GetRight dialer.

/W = (Wait) Does not return until dialer is closed.

The dialer closing doesn't always mean it connected OK!

Must be use with START /W to actually wait!

GETRIGHT /HANGUP = Hang up the modem.

GETRIGHT /SHUTDOWN = Shutdown the computer (if supported by the computer.)

GETRIGHT /DAILY = Show the daily downloads window.

GETRIGHT /BROWSER = Show a GetRight Browser window.

GETRIGHT /DROPWIN = Show the GetRight Drag-Drop window.

GETRIGHT /AUTO [/HUP] [/OFF] [/EXIT] [/REDIAL]

= Start automatic downloading.

/HUP = Hang up when done.

/REDIAL = Set to redial if disconnected.

/OFF = Turn off when done.

/EXIT = Close GetRight when done.

GETRIGHT /AUTOOFF = Turns off automatic mode, but doesn't stop working downloads.

GETRIGHT /PAUSEALL = Pauses (stops) all downloads that are in progress.

GETRIGHT /SPEEDON = Turns on GetRight's speed limit.

GETRIGHT /SPEEDOFF = Turns off GetRight's speed limit.

GETRIGHT /NEW [/EXIT] = Check for a newer version of GetRight

/EXIT = Close the checking window if no new version found.

GETRIGHT /? = This list of commands.

GetRight PRO has additional command line items:

GETRIGHT /UPLOAD file TO url

GETRIGHT /UPLOAD file TO sync-name

These upload ones use the same format as the UPLOAD command in the GetRight Scripts.

GETRIGHT /SCRIPT X = A very powerful command for GetRight Pro. This lets you use ANY of the commands in the GetRight Scripts.

For example:

GETRIGHT /SCRIPT upload C:\Backup\log.txt to ftp://user:pass@server.com/log-%D%-%MM%-%YYYY%.txt

Note that not all the script commands will make sense, such as the IF, LOOP, sorts. And the wait option for some script commands won't wait either.

This most often would be used by another program to send an upload or download request to GetRight.


Wildcards

In a number of windows, GetRight allows "wildcard" characters. These let you do fancy filters, categorize your files, etc. In every place where GetRight will use wildcards, they all use the same rules:

? will match any single character.

* will match zero or more characters.

# will match numbers 0-9 and # itself.

Some Examples:

· mike? would match mikeb, but not mike or mikebb
· mike* would match mike, mikeb, and mikebb
· mike# would match mike3, but not mikeA


Hints and Tips

Hints, Tips, Notes, and Advanced features

(Documenting the undocumented features...)

Sorting on the Download Status. If you hold the CTRL key down when clicking on the header to sort by the file name column, GetRight will sort all the currently in progress downloads to the top. If you hold the ALT key down when clicking on the header to sort by the file name column, GetRight will sort by the Priority of the downloads.

If you download a web page (HTML), when the file finishes downloading, GetRight will ask you if it should process the web page. Processing will open the page in the GetRight Browser.

GetRight will automatically "fix" some file names for common file types there is no file extension/type in the file name. For example, if you saved a file as just SETUP and GetRight detects that it really is a executable program, then GetRight will add .EXE to the name to be SETUP.EXE so it will run properly under Windows. GetRight will do this for either .EXE or .ZIP files. If there is any file extension used, then GetRight will not do this fix.

GetRight can download from sites that require a username/password in order to login.

You can set up usernames and passwords for servers you use often on the Login Configuration tab.

GetRight will also accept URLs with the format:

ftp://username:password@ftp.xyz.com/...

Or make sure the "Assume server login or timeout error means server is busy." option on the Connections Configuration tab is unchecked so and then GetRight will prompt you for a username/password.

For Internet Explorer:

If you hold the SHIFT key down while copying a URL to the clipboard or when monitoring clicks in your web browser, GetRight will ignore it.

If you hold both the CTRL and ALT keys when clicking on a link in your web browser, and GetRight is monitoring clicks in your web browser, GetRight will get the file no matter what type.

If you hold the ALT key down while copying a URL to the clipboard, GetRight will get it even if it is normally an "ignored" type (such as an .HTML file that is normally sent to your web browser.)

NOTE: The key combination Ctrl-Alt-C does NOT copy text to the clipboard, however the key combination Ctrl-Alt-Insert does.

For Firefox with the Flashgot.net plug in:

If you hold both the ALT+SHIFT key down while clicking in Firefox, GetRight will ignore it.

If you hold the ALT key when clicking in Firefox, Flashgot will send the file to GetRight no matter what type.

GetRight should detect if a server really will support resuming before it needs to resume. But if you want to test if a server really will resume before getting too far into a large file, wait until the file has been downloading for a few seconds, then click Pause, then Resume. This will check to see if the file really can be resumed.

If you type in a filename in the "Save As" window that does not contain any file extension (such as ".EXE"), then GetRight will automatically add the previous file extension. So if you change "file.zip" to "XYZDemoInstaller", GetRight will automatically add ".zip" back onto the name to get "XYZDemoInstaller.zip". If the filename contains any periods, then GetRight will not do this (but should prompt you about changing the file type.)

When a new file is downloaded by GetRight, the suffix .GetRight will be added to the filename on the disk to indicate that the file is not complete. When the file finishes downloading, then it will automatically be renamed to remove the .GetRight. From a user perspective looking at GetRight, this is invisible--it removes the .GetRight for prompts and for displaying. But it will be visible if you look at the files in the directory while they are being downloaded.

Enter GETRIGHT.EXE /? to see all the command line options that GetRight will accept. Or view the Command Line Options.

If you have mirror addresses for a file, they may be discarded by GetRight for several reasons:

• If you are resuming a download, a server that does not support resuming will be discarded.
• If the size of the file is different than the size from the first server, GetRight assumes that they are different in some way and using it would very likely corrupt the file.

If you forgot to use GetRight and started downloading with another program and it was disconnected, there may still be hope for you!

Some registry entries for items you can't set up from the interface.

Developers: GetRight provide a simple DDE server so you can get information from GetRight about the downloads in progress--the most obvious use is for some screen savers that show the status of downloads from GetRight! For more details and up-to-date examples, see:

http://www.getright.com/getright_dde.html

Protocols Supported by GetRight.


URL Lists

GetRight can accept a file containing a list of URLs. When GetRight gets a URL list, it will prompt you for a single directory where all the items should be saved. All files will be named as they are in the URL so ftp://ftp.xyz.com/install/setup.exe would be saved as setup.exe

From a user perspective, GetRight will just prompt for a directory to save files and then add a bunch of files to your download list.

URL List files should use the file extension .URLS and the contents of the file should just be a list of URLs, one per line, like:

ftp://ftp.xyz.com/install/setup.exe

ftp://ftp.xyz.com/install/0setup.dat

ftp://ftp.xyz.com/install/readme.txt

To add the items into GetRight, just double-click the file in Windows Explorer.

Server Setup:

URL List files can also be sent from a web server so that they are processed and then add a list of downloads into GetRight's download list. There is a little setup on the server-side if you want to add this ability to your web site:

The file extension for a URL list in GetRight is:

.URLS

The MIME type is:

application/x-url-list

(How to add this or other MIME types varies for each web server software--consult the setup information or documentation that comes with your server software on how to add MIME types on your server.)

Some cool uses for this would be to let people select from a database of items (pictures, sounds, music, etc) and then the server could send one file to get them all into GetRight's download list!


Tray Icon Options Menu

Customizing the Tray Icon "Options" Menu

While few people are expected to want this, it is possible to add any other GetRight configuration item that uses a checkbox to this menu. If there is something that you change often, you can add it, but you must know about editing registry settings to do this. And you'll have to figure which item in the registry corresponds to what you want to be able to change. This is for Advanced users.

In the registry key:

HKEY_CURRENT_USER

Software\HeadLight\GetRight\Config

You may add values:

Option0 = the registry key value for any other item in this Config key that uses a TRUE/FALSE value. "PasvFTP" is one that somebody might want to add, so can easily turn on and off using Passive mode with FTP transfers.
Option0name = the text to show in the menu for the checkbox. This can be whatever you want, it is just for display. "Passive FTP" for the above example.

There are 3 ones you can add, so Option0, Option1, Option2.


About

About GetRight® / GetRight Pro

logo48x48 GetRight / GetRight Pro Help - Version 6.2

Copyright © 1997-2007 Headlight Software, Inc.

All Rights Reserved

www.GetRight.com / Pro.GetRight.com

Buying GetRight / Buying GetRight Pro

Contacting Headlight Software

Key Features of GetRight

Why should I use GetRight?

GetRight was Designed and Developed by Michael Burford.


Finding Upgrades

Finding Upgrades to GetRight

The quickest way is to use the "Check for a Newer Version of GetRight" in any of the Tools menus.

The GetRight web site will always have the most current version of GetRight:

http://www.getright.com/

or for GetRight Pro:

http://pro.getright.com/


New Features!

Even more complete details here.

New Features in GetRight 6.0:

· Support for BitTorrent downloads! Including downloading the same file from HTTP, FTP, and BitTorrent all at the same time.
· Added support for Podcast downloads.
· Ability to choose playlists (in iTunes, Windows Media Player) for MP3 or other music files.
· Support for FTPS downloads (both explicit ftps:// and implicit on port 990).
· Support for Anti-Leech.com protected downloads.
· Support for MD5 and SHA1 checksums to verify files.
· A Language configuration item, to make it easy to use translations.
· Added File Compare to the download status history mode, so can compare the size/date for a file you downloaded to the current file on the server.
· All new graphics, for a much newer look.
· And much more!

GetRight Pro New Features:

· Uploading of files
· Scripting to automate everything GetRight can do.
· Client/Server to have many computers send their downloads to a single PC to get all the files.
· Web Access to let you view and control your GetRight downloads from anywhere.

New Features in GetRight 5.2:

• Increase from 32 bit numbers (which maxes out at about 2GB for a single file) to 64 bits (which is about 8 billion Gigabytes). Should be good for another 1000 years or so! (How your disk is formatted can limit file sizes too: FAT limit is 2GB, FAT32 limit is 4GB, NTFS is unlimited.)
• Switched so the "by file type" Internet Explorer click monitoring uses a different method (now is a Browser Helper Object) which seems to have fewer quirks with Windows XP SP2 and a few other things. It's been the alternate method we referred people to try if they had problems, so really has been used by a lot of people over the years. Probably won't even notice any differences, if so, you can still use the "classic" method. There's a checkbox on the bottom of the Types & Options config page.
• Added built in click monitoring for many more browsers. Uses a plugin for Mozilla, Firefox, Netscape 6/7; with Opera it uses a feature to have Opera send the URL to another program.
• Added MODE Z for FTP transfers. Compresses the transfer of files and directory listings. Will make a big difference especially if downloading text. Doesn't do it for ZIP, EXE, RAR, or other already compressed types; and FTP servers are only just starting to add the feature; but is pretty cool with the right data and a server that allows it! I've seen folder contents compressed over 90% in the GetRight Browser!
• Added NTLM authorization.
• And much more. details here.

New Features in GetRight 5.1:

• Secure Server transfers....HTTPS! This is a registered-only feature, and the biggest change in 5.1.
• Added so the download windows are resizeable. Makes the report much easier to see everything at once.
• Added often requested Save/Open prompt so you can now "Open" files easily.
• Added a new IE click monitoring method, in addition to the current way. Works fine with a few browsers based on IE that didn't work with other methods (AOL 9.0, Avant, etc.) Redid the Monitor config pages to have better descriptions and split into 2 pages to fit better.
• Fixed something that could cause "stuck at 99%" problems for some FTP servers.
• Added "File Types" to the folders on the download status...so you can more easily have things like .MP3 automatically filed.
• Change some options for the Server Synchronizer to give more control: sizes separate from dates, overwrite/resume separate, option to put everything into the same folder, etc.
• Improved the "Log Into Website" functions to better handle websites with several forms on one page (like a login and a search form). Should now pick out the one real Login form.

New Features in GetRight 5.0:

• QuickSync and Server Synchronizer. Two features for quickly and easily gathering many files off a website. QuickSync for sites you want to process once; Server Synchronizer for sites you want to keep matched with your computer (can just download changed files!) Plus the GetRight Browser now does subdirectories too.
• Direct Cookies and Web Site Login. These let you have GetRight log into web sites that use cookies to tell if you're logged in or not (such as groups.yahoo.com). Now can download from those sites!
• Improvements to Automatic Downloading. Can use classic "Priority" order for downloads, or new "Exact Ordering" to drag-and-drop files into the exact order you want. Separated limits for Files and Segments for better control of connections.
• Added a simpler option for Automatic Segmenting/Accelerating; just do X segments per file if it meets a minimum size.
• Added a OneRun Shortcut option to help you keep track of your downloads. Shortcuts for programs to install that delete themselves when you run them!
• Added extra file Caching to not save to your disk as often, and the ability to set the file date to the date on the server.
• Added to Close GetRight when your Internet connection closes if there are no downloads in progress or scheduled.
• Added nice batch search/replace if you are changing many URLs or file names on the Download Status.
• Added simple, smart automatic password memory...if downloading from the same site in the same session of GetRight (list isn't saved when GetRight closes.)
• More customization and details can be shown. For the Download Status--can show or hide columns (and added a few new columns you can show--date added, etc.) and a few choices for the Speed Graph. For download windows, can show a Speed Graph or report with mirror/acceleration details.
• "Advanced" buttons to easily view and change exceptions in the registry for your Click Monitoring and "Referer" settings.
• Added a delay on the Internet dialing so can pause before redialing a broken connection.
• Changed a number of screens to use drop-down lists that remember your last choices instead of plain text-boxes for entering directories, etc.
• Updated the old "Drag-Drop" window and splash screens and main tray icon menu to look cooler.
• And a whole bunch of bug fixes and smaller improvements.


Key Features

• Easy to use. Integrates into Microsoft Internet Explorer and many other web browsers to automatically download your files using GetRight.
· Built in support for HTTP, HTTPS, FTP and BitTorrent downloads. (Note that HTTPS is a registered-only feature)
• Easily resume downloads that have been disconnected.
• Easily see details about download (size, speed, time left).
• Built in dialer (with redialing.)
• Accelerate your downloads by making many connections to get different parts of the same file at the same time.
• Automatically search for mirrors--other locations where a file can be downloaded.
• Schedule downloads to start at a specific time (such as late at night when phone rates are cheaper.) And you can set a re-occurring scheduled time (such as to download every weekend evening or when phone rates are cheapest).
• Schedule stopping downloads and hanging up the modem at a specific time (such as in the morning when phone rates go back up.)
• Hang up your modem when done downloading.
• Shut Down your computer (or Windows) when done downloading.
• Automatically redial and continue if disconnected while downloading.
• Set a speed limit to not hog the modem and let you keep browsing.
• Can automatically calculate and track alternate addresses for a file, and then Ping the servers to find and automatically switch to the one that should offer the best performance for downloading.
• Download Status window that shows a dynamic report view of all your downloads as they progress.
• Fast 32 bit, multi-threaded downloading.
• Segmented Downloading. GetRight can split a file and download different parts from different servers at the same time. Depending on your Internet connection, this can dramatically increase the download speed of a file.
• Very configurable:

• Set different sounds for many events in GetRight.

• Set directories for saving files by the type of file.

• Set a list of usernames and passwords for logging into servers that need them.

• Send each file to the virus scanner of your choice when it has finished.

• Several types of log files to keep track of what you've done.

• Control when you want to start downloading new files (now, later, or prompt you).

• Configure many options to behave the way YOU want.

• Easy to use to start downloads:
• Integrates into Microsoft Internet Explorer (and other web browsers) so using GetRight is seamless with your web browser.
• Monitors the clipboard for addresses (URLs) to start downloading--easily start downloads from any program by just copying text.
• Drag-and-drop links from your web browser to GetRight.
• GetRight can process a web page to find all the files available to allow you to quickly mark the ones you want to download.
• Save and restore a list of files to download so you can re-download the same files again!
• Build a set of files you want to download every day...GetRight will add and download them automatically!


Legal

GetRight is Copyright © 1997-2006 Headlight Software, Inc.

GetRight is a registered trademark of Headlight Software.

The GetRight "Arrows around a Globe" logo is a trademark of Headlight Software.

Microsoft, Windows, Windows NT, Internet Explorer, and/or other Microsoft products are either trademarks or registered trademarks of Microsoft Corporation.

Netscape and Netscape Navigator are registered trademarks of Netscape Communications Corporation in the United States and other countries.

Other product and brand names are trademarks of their respective owners.

See the LICENSE.TXT (also part of the Setup program for GetRight) for license information. And CREDITS.TXT for other information.


Contacting

Contacting Headlight Software

For the most up-to-date support and contact information, see:

www.getright.com/support.html

Visit the Headlight Software web site to find out about new versions of GetRight or other products from Headlight Software!

www.getright.com

This will always have the most current versions of GetRight.

Many common questions and problems are addressed in the Frequently Asked Questions www.getright.com/faq.html We're constantly adding more items.

Please check to see if your question has already been answered before sending email requesting help (it is faster for you than waiting for an email response).

To contact Headlight Software:

• EMail:

Headlight Software is adding more ways for you to get help faster.

Please see the contact information at www.getright.com/contact.html for the best and quickest way to get more help.

Help installing, setting up, lost codes, or using GetRight: help@getright.com

You found a bug or have a suggestion: bugs@getright.com

(For lost codes, include the name and email address used to register to speed up getting help.)

• Web:

www.getright.com

• Post:

Headlight Software

PO Box 30473

Spokane, WA 99223 (USA)


Buy GetRight

Buying GetRight

GetRight costs $29.95 (US)

(prices are subject to change)

You may evaluate GetRight for as long as needed to decide if it suits your needs and you want to purchase it. GetRight will show occasional "Shareware Reminder" messages during this evaluation time. It is expected that if you do like GetRight and plan to use it into the future, you will pay for it.

Payment Options:

• Buy Online using your Credit Card.

(Usually, get your code emailed to you within minutes*.)

• Telephone or Fax using your Credit Card.

(Usually, get your code emailed to you within 2 business days*.)

• Mailing a check or money order.

(Get your code emailed to you after the letter arrives--but mail sometimes takes awhile.)

For the latest payment options, visit: www.getright.com/buy.html

What paying will get you:

• A registration code number to:
* Remove all the "Shareware Reminder" windows.
* Enable a few registered-only features (Higher limit for the download list size, different sized windows, more Login username/password entries, more Daily Download items, more Server Synchronizer items, using the QuickSync more than once each time GetRight is run, HTTPS downloading, etc.)
• Upgrades: For the foreseeable future--and definitely for all 6.x versions--upgrades to GetRight will be free to registered users.
• A warm fuzzy feeling that you did the right thing.
• The more people who register this shareware, the more incentive to make GetRight even better.

Entering your Registration Code:

Once you have received your registration code you must enter the number into GetRight to tell GetRight that you have registered. You may enter the number by:

• On all the "Shareware Reminder" windows, as well as the "About GetRight" window, click the "Enter Code" button and enter the number in the window that is displayed. To get to the "About GetRight" window, Right click on the GetRight logo [image] in your Windows tray icons and pick "About GetRight" from the menu that appears.
• You may also enter the number by clicking the "Enter Code" button at the bottom of the "General" tab on the GetRight configuration window. To get to the GetRight configuration window, you may Right click on the GetRight logo [image] in your Windows tray icons and pick "Tools -> Configuration" from the menu that appears.

Prices may increase in the future, so buy now to ensure the cheapest price!


Buy GetRight Pro

Buying GetRight Pro

GetRight Pro costs $49.95 (US)

(prices are subject to change)

Already a registered GetRight user? See Here for information on discounted upgrade prices!

You may evaluate GetRight Pro for as long as needed to decide if it suits your needs and you want to purchase it. Some of the "Pro" features will time out and stop working after 30 days, but the basic GetRight functions will continue. GetRight Pro will show occasional reminder messages during this evaluation time. It is expected that if you do like GetRight Pro and plan to use it into the future, you will pay for it.

Payment Options:

• Buy Online using your Credit Card

(Usually, get your code emailed to you within minutes*.)

• Telephone or Fax using your Credit Card.

(Usually, get your code emailed to you within 2 businessdays*.)

• Mailing a check or money order.

(Get your code emailed to you after the letter arrives--but mail sometimes takes awhile.)

For the latest payment options, visit: pro.getright.com/buy.html

What paying will get you:

• A registration code number to:
* Remove all the reminder windows.
* Enable a few registered-only features (Higher limit for the download list size, different sized windows, more Login username/password entries, more Daily Download items, more Server Synchronizer items, using the QuickSync more than once each time GetRight is run, HTTPS downloading, etc.)
* Enable all GetRight Pro features. (Many GetRight Pro features are limited to a 30 day trial.)
• Upgrades: You will get one free major version upgrade, plus all bug fixes (ie if you buy version 5.0, you would get all versions through 6.99); OR free upgrades for 2 years, whichever is longer.
• A warm fuzzy feeling that you did the right thing.
• Your support allows us to keep adding features and improving GetRight Pro and have people available to answer support questions.

Entering your Registration Code:

Once you have received your registration code you must enter the number into GetRight to tell GetRight that you have registered. You may enter the number by:

• On all the "Shareware Reminder" windows, as well as the "About GetRight" window, click the "Enter Code" button and enter the number in the window that is displayed. To get to the "About GetRight" window, Right click on the GetRight logo [image] in your Windows tray icons and pick "About GetRight" from the menu that appears.
• You may also enter the number by clicking the "Enter Code" button at the bottom of the "General" tab on the GetRight configuration window. To get to the GetRight configuration window, you may Right click on the GetRight logo [image] in your Windows tray icons and pick "Tools -> Configuration" from the menu that appears.


Online Registration

To Buy online with your credit card, click here

Go to http://www.getright.com/buy.html for the latest purchasing options, such as PayPal, etc.

Your code will usually be emailed to you within minutes* of your order.

(Other Registration Options)


Mail Registration

Online Order Form: www.getright.com/orderform.html

Sending a check or money order payable to Headlight Software along with the form below.

• If ordering 1 to 10 copies $29.95 US per copy.
• If ordering 11 or more copies $24.95 US per copy.
• If more than 50 copies, or for information about site licenses, contact Headlight Software.

GetRight and GetRight Pro are priced to be affordable for people all over the world--in some places, $25 is relatively more money than in other places. Many users have said that GetRight was worth far more to them than the listed price. If you think it is worth more than that to you, and would like to give a bonus, please do include any extra amount with your order to go to the authors of GetRight.

You will receive a registration code via email. Please enclose an additional $5 US per copy if you also wish to have a CD sent to you.

(Print out and fill in the form below and enclose with your payment.)

(If you don't have a printer, it is fine if you just write the information on a piece of paper; and if a check in US dollars is a problem, I have gotten cash just fine from all over the world--but to be safe, be sure to wrap cash up tightly!)

================================================================================

GetRight / GetRight Pro Order Form.

Fill in the following information (please print or type--if your handwriting can't be read easily it can take longer to be sent your registration code!):

Name __________________________________________________________________

(Company--Optional) ______________________________________________________

Address ________________________________________________________________

City ___________________________ State/Province ____________ ZIP ____________

Country (if not USA) _________________________ Phone/Fax ____________________

E-Mail Address __________________________________________________________

(Make sure there is a valid email or mailing address so your registration code can be sent to you!)

Number of copies __________ (Number with CDs _______)

GetRight

Price per copy ( 1 to 10 copies = $29.95 US per copy.)

(11 or more copies = $24.95 US per copy.)

x __________ (Add $5 to price per copy to receive disks.)

GetRight Pro

Price per copy ( 1 to 10 copies = $49.95 US per copy.)

(11 or more copies = $44.95 US per copy.)

x __________ (Add $5 to price per copy to receive disks.)

+ __________ (OPTIONAL! Bonus for GetRight Authors.)

Sub Total = __________

Tax + __________ (WA state residents ONLY add 8% tax)

Total = __________

Mail to:

Headlight Software

PO Box 30473

Spokane, WA 99223 (USA)

Make sure your check or money order (in US Dollars) is enclosed and payable to Headlight Software.

Your registration code will be emailed to you on receipt of your payment.

================================================================================


Phone Registration

Telephone Registration

To order by Telephone:

• Please do not call these numbers for technical support questions--they are for ordering only. For technical support questions, see contacting Headlight Software or see http://www.getright.com/contact.html for all contact options.
• (888)-201-7131 toll free within the US. Have your credit card information ready.
• (719)-576-0115 from outside the US. Have your credit card information ready.

To order by FAX:

• Please print the form at http://www.getright.com/faxform.html and fill it and sign it for FAX orders.

FAX the completed form to: (719)-623-0399

Your order will be processed and your registration code will usually be emailed within 2 business days.

(Other Registration Options)


CodeDelivery

Most codes are sent and do arrive within minutes of your order being processed. But there are some conditions which can make it take much longer than several minutes for the code to arrive. Delivery be slowed down considerably by Internet or other network problems, mail server problems, or by far the most common: mis-typed or incorrect email addresses.

In these and other cases it might take much longer to get the code to you, if it has been more than a day, contact the company that processed your order for GetRight, or mjb@getright.com


Country Codes

Internet Country Codes

In case you don't know your two character country code, you can look it up here.

US  United States

A

AF  Afghanistan

AL  Albania

DZ  Algeria

AS  American Samoa

AD  Andorra

AO  Angola

AI  Anguilla

AQ  Antarctica

AG  Antigua and Barbuda

AR  Argentina

AM  Armenia

AW  Aruba

AU  Australia

AT  Austria

AZ  Azerbaijan

B

BS  Bahamas

BH  Bahrain

BD  Bangladesh

BB  Barbados

BY  Belarus

BE  Belgium

BZ  Belize

BJ  Benin

BM  Bermuda

BT  Bhutan

BO  Bolivia

BA  Bosnia and Herzegovina

BW  Botswana

BV  Bouvet Island

BR  Brazil

IO  British Indian Ocean Territory

BN  Brunei Darussalam

BG  Bulgaria

BF  Burkina Faso

BI  Burundi

C

KH  Cambodia

CM  Cameroon

CA  Canada

CV  Cape Verde

KY  Cayman Islands

CF  Central African Republic

TD  Chad

CL  Chile

CN  China

CX  Christmas Island

CC  Cocos (Keeling Islands)

CO  Colombia

KM  Comoros

CG  Congo

CK  Cook Islands

CR  Costa Rica

CI  Cote D'Ivoire (Ivory Coast)

HR  Croatia (Hrvatska)

CU  Cuba

CY  Cyprus

CZ  Czech Republic

D

DK  Denmark

DJ  Djibouti

DM  Dominica

DO  Dominican Republic

E

TP  East Timor

EC  Ecuador

EG  Egypt

SV  El Salvador

GQ  Equatorial Guinea

ER  Eritrea

EE  Estonia

ET  Ethiopia

F

FK  Falkland Islands (Malvinas)

FO  Faroe Islands

FJ  Fiji

FI  Finland

FR  France

FX  France, Metropolitan

GF  French Guiana

PF  French Polynesia

TF  French Southern Territories

G

GA  Gabon

GM  Gambia

GE  Georgia

DE  Germany

GH  Ghana

GI  Gibraltar

GR  Greece

GL  Greenland

GD  Grenada

GP  Guadeloupe

GU  Guam

GT  Guatemala

GN  Guinea

GW  Guinea-Bissau

GY  Guyana

H

HT  Haiti

HM  Heard and McDonald Islands

HN  Honduras

HK  Hong Kong

HU  Hungary

I

IS  Iceland

IN  India

ID  Indonesia

IR  Iran

IQ  Iraq

IE  Ireland

IL  Israel

IT  Italy

J

JM  Jamaica

JP  Japan

JO  Jordan

K

KZ  Kazakhstan

KE  Kenya

KI  Kiribati

KP  Korea (North) (People's Republic)

KR  Korea (South) (Republic)

KW  Kuwait

KG  Kyrgyzstan (Kyrgyz Republic)

L

LA  Laos

LV  Latvia

LB  Lebanon

LS  Lesotho

LR  Liberia

LY  Libya

LI  Liechtenstein

LT  Lithuania

LU  Luxembourg

M

MO  Macau

MK  Macedonia

MG  Madagascar

MW  Malawi

MY  Malaysia

MV  Maldives

ML  Mali

MT  Malta

MH  Marshall Islands

MQ  Martinique

MR  Mauritania

MU  Mauritius

YT  Mayotte

MX  Mexico

FM  Micronesia

MD  Moldova

MC  Monaco

MN  Mongolia

MS  Montserrat

MA  Morocco

MZ  Mozambique

MM  Myanmar

N

NA  Namibia

NR  Nauru

NP  Nepal

NL  Netherlands

AN  Netherlands Antilles

NT  Neutral Zone (Saudia Arabia/Iraq)

NC  New Caledonia

NZ  New Zealand

NI  Nicaragua

NE  Niger

NG  Nigeria

NU  Niue

NF  Norfolk Island

MP  Northern Mariana Islands

NO  Norway

O

OM  Oman

P

PK  Pakistan

PW  Palau

PA  Panama

PG  Papua New Guinea

PY  Paraguay

PE  Peru

PH  Philippines

PN  Pitcairn

PL  Poland

PT  Portugal

PR  Puerto Rico

Q

QA  Qatar

R

RE  Reunion

RO  Romania

RU  Russian Federation

RW  Rwanda

S

GS  S. Georgia and S. Sandwich Isles

KN  Saint Kitts and Nevis

LC  Saint Lucia

VC  Saint Vincent and The Grenadines

WS  Samoa

SM  San Marino

ST  Sao Tome and Principe

SA  Saudi Arabia

SN  Senegal

SC  Seychelles

SL  Sierra Leone

SG  Singapore

SK  Slovakia (Slovak Republic)

SI  Slovenia

SB  Solomon Islands

SO  Somalia

ZA  South Africa

SU  Soviet Union (former)

ES  Spain

LK  Sri Lanka

SH  St. Helena

PM  St. Pierre and Miquelon

SD  Sudan

SR  Suriname

SJ  Svalbard and Jan Mayen Islands

SZ  Swaziland

SE  Sweden

CH  Switzerland

SY  Syria

T

TW  Taiwan

TJ  Tajikistan

TZ  Tanzania

TH  Thailand

TG  Togo

TK  Tokelau

TO  Tonga

TT  Trinidad and Tobago

TN  Tunisia

TR  Turkey

TM  Turkmenistan

TC  Turks and Caicos Islands

TV  Tuvalu

U

UG  Uganda

UA  Ukraine

AE  United Arab Emirates

UK  United Kingdom (Great Britain)

US  United States

UY  Uruguay

UM  US Minor Outlying Islands

UZ  Uzbekistan

V

VU  Vanuatu

VA  Vatican City

VE  Venezuela

VN  Viet Nam

VG  Virgin Islands (British)

VI  Virgin Islands (US)

W

WF  Wallis and Futuna Islands

EH  Western Sahara

X

Y

YE  Yemen

YU  Yugoslavia

Z

ZR  Zaire

ZM  Zambia

ZW  Zimbabwe


Special Folder Variables

You can use all the special date variables from the Daily Downloads, as well as the following:

%SERVER% for the server name minus ftp. or www. (getright.com for www.getright.com)

%TYPE% for the file type (exe for setup.exe).

%PROTOCOL% either www or ftp.

%PATH% for the server's path to the file (\pub\files for www.xyz.com/pub/files/setup.exe).

%PAGESERVER% gets the web page from your browser and is the server name minus ftp. or www. (getright.com for www.getright.com/download.html) for the web page where the download link was clicked.

%PAGEPATH% gets the web page from your browser and is the server's path to the page (\files\xyz for www.xyz.com/files/xyz/index.html).

NOTE for these %PAGEx% items. The value calculated is NOT guaranteed to be right. Especially if you click a number of files in a row on different pages, or have many web browser windows open and are quickly switching between them when adding files, or other causes. GetRight can easily get the page from the wrong browser window. This also does take a little bit of time to request the URL from your web browser. If the source page can not be found, the download server and path information is used.

For the %PAGEx% ones, Internet Explorer 5.5 and higher no longer make it possible to easily ask the URL of the currently open web page. Someone likely decided it was a very big privacy leak...and they're right!


DefineCookies

Cookies:

Cookies are small bits of information that web sites can send to your web browser to store information for the next time you return to that site. (Often used to know you are logged into the web site.)


Drag and Drop

• Click on the link, but don't release your mouse button.
• "Drag" - move your mouse with the button still held down - until the mouse cursor is over the "GetRight Drag-Drop Target" window or the GetRight main "Download Status" window. (The mouse cursor will look different when it is over a program where you can drop the information.)
• "Drop" - release your mouse button while it is still over the window.


FileMirrorsRecover

FileMirrors.com and Recovering Lost Downloads

Another very cool use for FileMirrors.com, if you ever need to use the "Recover Lost Downloads" and do not know the original URL, you can try using the FileMirrors.com website to search for the filename. If you or someone else did share when starting to download the file, it's a great way to find the URL!


Filter Properties

Filters are used to let you show just specific file types on the Download Status window.

• File Types (? and * wildcards allowed): The different file types to be shown when this filter is selected. You may use a list, separated by spaces. For example to show EXE and ZIP files, you would put in the box: *.exe *.zip

• Image: The filters can have several different icons showing on the Download Status. Move the slider bar to pick from among a number of possible filter icons.


Folder Properties

Folders are used on the Download Status to help you organize and prioritize your downloads. The priority is used when doing Automatic downloading.

• Default Directory: If you select a folder to categorize a file on the Save As window, it will automatically switch so that the directory here is the default directory on the Save As window.

• Folder Download Priority: Folder Download Priority is used when doing Automatic downloading. Files in a High priority folder would be downloaded before those in a normal or low priority folder. The individual file priority is also used, with the folder priority taking preference. For example, a Very Low priority file in a High Priority folder would be downloaded before a Very High priority file in a Normal Priority folder. Combining these two different priorities, there are 15 real priority levels.


Forgot To Use GetRight...

So you forgot about GetRight and used some other program to download a file and it was disconnected. There may still be hope for not having to start over at the beginning.

• Make a copy of the file that was being downloaded before clicking OK on any messages from the other program that was downloading! Otherwise the other program may clean up and delete the partial file. (If the file has already been deleted, you may still be able to un-delete it using an UnDelete program or possibly the Recycle Bin in Windows.) Microsoft web browsers may store partially downloaded files in a hidden directory called MSDOWNLD.TMP. You may need to turn on display of hidden files in Windows Explorer->Options.

• Just in case, make a Second backup. In a later step, if the server you select to resume the download does not support resuming, GetRight will start at the beginning--which will also lose the data in the file.
• As an alternative, you may use GetRight to start downloading the file (to a different filename) from the server you intend to use to recover the original download. After the download has started, press "Pause" then "Resume" to see if that server really will support resuming before using it to recover the partial file. You may then Cancel the new test download.

• Open the GetRight Download Status window by double-clicking the GetRight tray icon.
• Pick the "Recover Lost Downloads" item under the "Tools" menu item.
• Pick the copy of the file you made in the first step.
• Enter the URL of the file you were downloading (normally looks like http://www.xyz.com/file.name )


FTP Search

Much like many of the common sites that let you search the web for information, there are several sites offer "FTP Searching" to allow you to search for a specific file on different FTP servers. GetRight will now use these FTP search sites to find more alternate addresses where files may be downloaded.

You may pick which server to use for FTP searches, as well as calculate the fastest server for you to use, on the File Mirrors configuration tab.


GetRight Drop Target

The GetRight Drag-and-Drop Target is only used if you drag-and-drop links from your web browser to start them. (This was actually the first method available for getting downloads into GetRight. Most people now use the newer Clipboard or Click Monitoring, but this is still available too.) You can open the special small Drag-and-Drop window from any of the Tools menus, or you can drop links onto the main Download Status window as well.

Using the "Drag-and-Drop" method of starting downloads does not always work right if the link you are dragging is an image. Many web browsers are dragging the picture instead of the link the picture represents. To workaround this, use the clipboard or click monitoring methods of starting downloads.

To Drag from your Browser: Click down with the left mouse button over a link, but don't let go of the button. Then drag the link to this GetRight Drop Target window and release the button. That's it!

Right Click Menu Items:

• Minimize: Minimizes the window.

• Always On Top: Whether the window should stay on top of all other windows (so always visible).
· Small Window: Controls if it is regular sized, or even smaller. The smaller size is just barely bigger than this:
· Semi-Transparent: With newer versions of Windows, you can choose if the window is partly transparent, so you can see thru to what is behind.
· Show in Windows Taskbar: You can control if an item is included in the regular Windows taskbar/programs when this window is open (the area between the Windows Start button and the Windows Tray Icons.)

· Dropped Files Upload To: When using GetRight Pro, you can drag-and-drop files onto this window to have them automatically uploaded to a server. This menu will show all the Server Synchronizer items you have available for uploading so you can choose one.


Download History

GetRight can now keep a more detailed history about files you have recently finished. GetRight stores the last 500 files you finished, as more items are finished, the oldest item is removed so only the last 500 are saved. If you do not want GetRight to keep this or other history items, you may turn it off on the Advanced-Miscellaneous configuration page, "Keep 'History' items in drop-down-lists and menus."

The History mode on the Download Status lets you quickly find and run or view any of your recent downloads. It also provides useful information about the download, such as the total time spent downloading, and the average speed of the whole download.


Glossary

Not a perfect dictionary, but to give you an idea of the meaning of some terms used in this help file.

A

B

C

D

Download - to save a file from a server computer to your own computer. In GetRight's case, the server is a server on the Internet.

E

F

FTP - "File Transfer Protocol" a method/protocol for downloading files to your computer.

G

H

HTTP - "Hyper-Text Transfer Protocol" a method/protocol for downloading files to your computer.

I

J

K

L

M

N

O

P

Proxy - A Proxy server acts as bridge between your computer and the Internet. GetRight (or any other Internet program) talks to the proxy server, and that proxy server will do all the communication to other servers on the Internet.

Protocol - commonly accepted rules for so different programs written by different people know how to communicate with each other.

Q

R

S

Server - a computer on the Internet (or other network) that stores files and makes them available for you to get.

Shareware - Shareware programs are not free. "Shareware" is the accepted word, but "Trialware" would be a better name for it. You are usually given a period of time to use and evaluate the program to help you decide whether or not you wish to purchase the program. After you are done with the trial period, you must either pay for the program (often called "registering") or remove it from your computer. GetRight has no set time limit for your evaluation, some people require more time, while others decide quickly. But please do purchase GetRight if you decide to keep using it into the future! Please support the authors of good shareware programs (and their families) by paying this and other shareware programs!

T

Tray Icon - in Windows, the small icons by the clock that show the status of some programs that are running on your computer. GetRight's tray icon:

U

URL - an address for a file on the Internet. Usually looks something like http://www.getright.com/index.html The general format is PROTOCOL://SERVER.NAME/FILEPATH/FILENAME

V

W

Web Link (URL) - an address for a file on the Internet. Usually looks something like http://www.getright.com/index.html The general format is PROTOCOL://SERVER.NAME/FILEPATH/FILENAME

X

Y

Z


Mirror Manager

This shows a form that lists all the mirrors for a download in GetRight. There is a toolbar of choices for adding, changing, and checking mirrors across the top. The current URL that GetRight will use for downloading has a dot to the left of its row. Double-clicking any item will switch it to be the URL for downloading. (Of course, if the download is using segmented downloading, several of the mirrors may be used.)

• Add: Allows you to enter a new URL as a mirror for this download. You may also drag-and-drop URLs from your web browser onto this window to easily add Mirrors for a file.
• Edit: Allows you to edit an existing mirror URL to change the address, etc.
• Delete: Remove an existing mirror URL.

• Search: Uses GetRight's FTP searching features to try and find other mirrors available for downloading this file.
• Speed: Checks the speed to connect to all the servers by pinging them. This gives a good indication of which servers will be fastest for you to use for downloading. Lower numbers are better!
• Verify: Check that all the mirror URLs are valid. The "Verify" column in the report will indicate if the server is OK, can not be contacted, the file is not the correct size, etc. You can then Edit or Delete any URLs that are not correct.
• Del. Bad: This is enabled after verifying. Clicking this will delete any mirrors with errors of any kind.


Accessing GetRight Menu

With GetRight running, click with the right mouse button on the GetRight logo in the Windows tray icons in the Start bar to get the menu of options:


Overwrite-Resume-Cancel

Overwrite, Resume, Cancel

Overwrite button: start the download from the beginning. The current file on your hard drive with that name will be deleted.

Resume button: Resume the download, starting at the end of the file on your hard drive.

Cancel button: Go back to the Save As window.


Protocols Supported

GetRight supports HTTP, HTTPS (registered only), FTP, and BitTorrent protocols.

Nearly every server you will download from supports resuming.

If the server does not support resuming, this will be indicated on the download window in case you wish to stop and start downloading from a different server. (NOTE: If you are using a proxy server and no servers are resuming for you, it is likely that your proxy server does not support resuming. Try using some of the Proxy Server configuration options to get around this problem.)


Proxy

A Proxy server acts as bridge between your computer and the Internet. This tells GetRight that it needs to talk to the proxy server, and that proxy server will do all the communication to the Internet.


Registry Settings

Doing any editing in the registry can be a risk if you aren't careful, or don't know what you are doing. This assumes you know what you're doing--if you don't know how to safely edit the registry, don't do these.

• Download Thread Priority: In a little testing, this didn't make any difference on my computer (the modem was always the slow point). But I don't know what effect this might have on download speeds, or performance of GetRight and other programs on other computers. This might help if you're doing something very complex--like playing games--while downloading.

To change the priority of the download windows (threads) that GetRight uses for downloading:

[HKEY_CURRENT_USER\Software\HeadLight\GetRight\Config]

ThreadPriority = # (DWORD)

Where # is 1, 2, or 3. 2 is the normal priority (default value). 1 is higher than normal priority, 3 is lower than normal priority.


Requirements

Requirements to run GetRight

GetRight requires Windows95 and higher -or- WindowsNT 3.51 or higher.

• If you have Windows 3.x, visit http://www.getright.com/install31.html for a version of GetRight that will work under Windows 3.x. (It's a VERY old version that will run in Windows 3.x--but then Windows 3.x is very old itself now too!)

GetRight requires an Internet connection in order to download from the Internet.


Shareware

Shareware programs are not free. "Shareware" is the accepted word, but "Trialware" would be a better name for it.

You are usually given a period of time to use and evaluate the program to help you decide whether or not you wish to purchase the program. After you are done with the trial period, you must either pay for the program (often called "registering") or remove it from your computer.

GetRight has no set limit for the amount of time you may evaluate the program--some people decide quickly that it is something they want to buy, while others can take more time. GetRight will show advertising banners during the evaluation time. But please do purchase GetRight if you decide to keep using it into the future!

Please support the authors of good shareware programs (and their families) by paying this and other shareware programs!


Skins

You may use "Skins" for the GetRight download window. Skins are used to make the window look different by using pictures or themes for the background and buttons of the window.

To select different skins: when the download window is open, click the Options button, then the Skins menu. You may pick from all your saved skins there. GetRight will remember the last skin you used when the next download starts. Or switch back to the "original" look of GetRight by picking the "No Skin" item.

GetRight has two sizes of skins, "Shareware" skins that are sized to contain the advertising banner shown while you are trying out GetRight and available for use by everyone, and "Registered" skins that are only usable if you have purchased GetRight.

To find more skins, visit the GetRight Skins web page!


Special Characters

Special Values

Within the URL and file names for a daily download or a imported list (.GRX file) or the Scripts in GetRight Pro, you can use special values that GetRight will replace with the current date and time information. You may use these values anywhere in the path or file name.

%YY% Current year (2 digits--so 99 or 00)

%YYYY% Current year (4 digits--so 1999 or 2000)

%MM% Current Month (2 digits--'0' added if needed.)

%-M% Current Month (1 or 2 digits--no '0' added.)

%MON% Current Month (3 letter abbreviation..."apr"...always lowercase.)

%MONTH% Current Month (spelled out; December, etc.)

%D% Current Day (2 digits--'0' added if needed.)

%-D% Current Day (1 or 2 digits--no '0' added.)

%DAY% Current day of the week (spelled out; Monday, Tuesday, etc.)

%H% Current Hour (2 digits--'0' added if needed, 24-hour format)

%-H% Current Hour (1 or 2 digits--no '0' added, 24-hour format)

%M% Current Minute (2 digits) This is NOT guaranteed to be exactly the same minute of the time you set the download to be added.

%J% Days since the beginning of the year. (3 digits--'0' added if needed.)
%-J% Days since the beginning of the year. (not padded to 3 digits--no '0's added.)

%W% Week of the year (2 digits--'0' added if needed. 00 to 51)

%-W% Week of the year (1 or 2 digits--no '0' added. 00 to 51)

%N% An incrementing number to make the file name unique, first file 001, second file 002, etc. Does max out at 999.

%DATE-X%

%DATE+X% Lets you do a little math on the dates. Moves the date back (-) or forward (+) in time X number of days for doing the other replacements. This will work if going back X days means a different month or year. These can be anywhere in the value, they will be removed from the result.

And some Extra special values, not related to dates, but extra functions you can do or switches to turn on.

%RUN% Just good in the Daily Downloads, sets so the file will be run/opened when it is done downloading.

%OVERWRITE% Any current file with the name is deleted before the download starts. This can be anywhere in the value, it will be removed from the result.

%DIAL% Just good in the Daily Downloads...dials the modem when the item is added.

%AUTO% Just good in the Daily Downloads, turns on Automatic mode when the download is added.

%HANGUP% Just good in the Daily Downloads, sets so GetRight's normal "Hangup When Done" is on.

%SHUTDOWN% Just good in the Daily Downloads, sets so GetRight's "Turn Off When Done" is on.

%ENV-xxx% Reads any Windows environment variables to include. The ones you might want most are %ENV-USERNAME% or %ENV-USERPROFILE%

Examples:

The filename value of:

c:\my-stocks\prices_%YYYY%-%MM%-%D%.html

On April 15th, 2000, would have saved to filename:

c:\my-stocks\prices_2000-04-15.html

Using the math

c:\my-stocks\prices%DATE-10%_%YYYY%-%MM%-%D%.html

On April 15th, 2000, would have subtracted 10 days from the date and saved to filename:

c:\my-stocks\prices_2000-04-5.html


Thanks

Many people have helped make GetRight an even better program with suggestions, ideas for new features, testing, etc. This list should contain many 1000's of more names--but I haven't done a good job of keeping track...

Thanks to all of you (and to those who aren't listed here too, there should be hundreds or thousands more names. I've gotten ideas from tons of people over the years)

Peter Burford (for a whole lot of the skins, testing, suggestions, etc.)

Rachel Burford (The Voice of GetRight)

Brandon Horn (for some good testing)

Michele Catania

Fidde Rydén

William Warner

Yuval Sadan (for some tray icon choices)

Ray Sormaz (for some tray icon choices)